pulseaudio (14.2-2+droidian4+git20250504201345.dc4fdb8.next.production) trixie; urgency=medium

  * alsa: profile-sets: raise default priority of iec958-stereo

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 04 May 2025 22:13:45 +0200

pulseaudio (14.2-2+droidian3) next; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * build-sys: bump webrtc-audio-processing dep on autoconf too
  * build-sys: Bump cpp_std to c++17 on autoconf too

  [ Arun Raghavan ]
  * echo-cancel-test: Drop references to internal message queue
  * echo-cancel: Fix multichannel processing
  * build-sys: Bump webrtc-audio-processing dependency
  * build-sys: Bump cpp_std to c++17

  [ Eero Nurkkala ]
  * echo-cancel: add webrtc AEC3 support

  [ Ilja van Sprundel ]
  * webrtc: Avoid using dynamic strings as format strings

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 28 Apr 2025 00:27:41 +0200

pulseaudio (14.2-2+droidian2+z1) next; urgency=medium

  * [packaging] rules: drop debian/tmp/usr/share/man/man1/padsp.1 on armhf

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 15 May 2024 01:54:59 +0200

pulseaudio (14.2-2+droidian1) next; urgency=medium

  [ Arun Raghavan ]
  * tests: Don't run volume tests with impossible alignments

  [ Eugenio Paolantonio (g7) ]
  * [packaging] control: build-depend on liblirc-dev rather than liblircclient-dev
  * [packaging] rules: disable OSS wrapper on armhf

  [ Jeremy Bicha ]
  * Selectively disable libpulsedsp & padsp on 32-bit non-i386 architectures

 -- Arun Raghavan <arun@asymptotic.io>  Wed, 15 May 2024 01:46:15 +0200

pulseaudio (14.2-2+droidian1+z1) next; urgency=medium

  * [skip ci] Replace Drone with CircleCI
  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb
  * [skip ci] Move to Droidian rolling

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 25 Jun 2023 21:28:14 +0200

pulseaudio (14.2-2+droidian0) bookworm; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [ci] Updated to match new name [CI SKIP]
  * [pulseaudio] Move to bookworm
  * Merge tag 'upstream/14.2' into feature/bookworm/upgrade-14.2
  * [packaging] Import packaging from Debian/bullseye/14.2-2
  * [packaging] Disable testing in armhf

  [ Faidon Liambotis ]
  * tests: fix use of uninitialized variable cpu_info

  [ Felipe Sateler ]
  * Disable autospawn by default

  [ r3vn ]
  * [ci] switch to Drone CI

  [ Tanu Kaskinen ]
  * alsa-mixer: Document the intended-roles mapping option
  * ci: Fix comment
  * alsa-mixer: Set availability groups once per card
  * alsa-mixer: Fix jack name comparison
  * gitlab: Remove trailing whitespace from the issue template
  * alsa-mixer: Remove references to non-existent multichannel paths
  * alsa-mixer: Document the description and description-key mapping options
  * switch-on-port-available: Fix switching away from unplugged headphones
  * build-sys: Disable GStreamer by default with Autotools
  * alsa-mixer: Use unambiguous descriptions with dual headphone outputs
  * alsa-mixer: Move HP EliteDesk 800 SFF/DM second headphone output to path analog-output-headphones-2
  * alsa-mixer: Add support for the Headphone,1 element
  * switch-on-port-available: Pass correct port_pointers to switch_to_port()
  * Update NEWS

  [ Arun Raghavan ]
  * Revert "alsa-mixer: support up to 8 channels per mixer element"
  * build-sys: meson: Add libm dep to raop module
  * rtp: gstreamer: Don't count on buffer DTS for capture time
  * rtp: gstreamer: Account for rounding errors in RTP timestamp conversion
  * build-sys: Set the GStreamer RTP backend to disabled by default
  * sink, source: Skip filter streams while changing default sink/source
  * switch-on-port-available: Switch to headphones on unknown availability
  * module-alsa-card: Drop availability groups with only one port
  * Revert "mainloop: fix timeout assignment in pa_mainloop_prepare"
  * build-sys: Bump libpulse soversion
  * Update NEWS
  * Update NEWS

  [ Patrick Gaskin ]
  * cli: Fix crash when using .include with an empty directory

  [ Igor V. Kovalenko ]
  * module-stream-restore: log error writing volume/mute/device entry to database
  * module-stream-restore: check if dbus entry exists in dbus_entries map before creating it
  * device-port: fire port available changed hook after streams are moved
  * build-sys: meson: adjust path to gsettings-helper runing from build tree
  * module-bluez5-discover: avoid use after free on de-init
  * pactl: explicitly print if port availability is unknown
  * i18n: Update pulseaudio.pot
  * module-alsa-card: Add debug logging if availability group was pruned
  * switch-on-port-available: Add logging for port availability group
  * ladspa-sink: do not call pa_sink_suspend if PA_SINK_IS_LINKED is false
  * build-sys: meson: use target_machine.cpu_family() for CANONICAL_HOST
  * database: extract common method to handle machine id and architecture
  * database: use existing database matching same architecture prefix
  * database: drop arch from newly created database file name
  * database: pick old database file from any arch
  * database: clean up remaining references to CANONICAL_HOST

  [ Kai-Heng Feng ]
  * alsa-mixer: Handle the index for ALSA mixer jack identifiers
  * alsa-mixer: Support dual Front Headphone Jack

  [ morrishoresh ]
  * bluetooth: correct possible segmentation fault

  [ Hui Wang ]
  * switch-on-port-available: Switch to headset or mic on unknown avail

  [ Jaroslav Kysela ]
  * alsa-mixer: support up to 8 channels per mixer element
  * alsa: move the exceptionally large value errors from error to debug level
  * alsa: mixer - use safe dB range values when the override mask is unset
  * alsa: mixer - add support up 8 mixer channels

  [ Pali Rohár ]
  * alsa: Fix compile warnings

  [ Emanuil Novachev ]
  * Translated using Weblate (Bulgarian)

  [ Dusan Kazik ]
  * Translated using Weblate (Slovak)

  [ Emilio Herrera ]
  * Translated using Weblate (Spanish)

  [ Karl Ove Hufthammer ]
  * Translated using Weblate (Norwegian Nynorsk)

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 30 Jan 2022 23:57:03 +0100

pulseaudio (13.0-5+hybrismobian1) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [packaging] Import packaging from Debian/bullseye/13.0-5
  * [packaging] Rename upstream changelog to changelog.Debian-upstream and ship it among the pulseaudio package's documentation
  * [packaging] Ship pulsecore in pulseaudio-pulsecore-dev
  * [travis-ci] Allow building on Travis CI

  [ Juho Hämäläinen ]
  * database: simple hashmap based database implementation
  * alsa-sink: take base volume into account when applying hw volume
  * bluetooth-device: fix rounding errors caused by few bt volume steps
  * alsa-mixer: select nearest alsa volume step in sync-volume mode
  * stream-restore: Add missing method handler argument.
  * dbus: Use correct idxset when getting sources
  * dbus: Use correct initialization for source ports hashmap.
  * dbus: Use hooks for card profile events
  * dbus: Use hooks for client proplist changes
  * dbus: Use hooks for sink and source events
  * dbus: Use hooks for sink-input and source-output events
  * dbus: Use state changed hook for sink-input and source-output rate changes
  * core: Add hooks for default sink and source changes
  * namereg: Fire hooks for default sink and source changes
  * dbus: Use hooks for put and unlink
  * dbus: Use hooks for default sink and source changes
  * core: Add core hooks for module changes
  * module: Fire hooks for new, proplist changed and removed
  * core, core-scache: Fire hooks for new, changed and removed events
  * dbus: Use hooks for sample cache new and removed events
  * dbus: Use hook for sample cache proplist changes
  * dbus: Use hooks for module new and removed events
  * dbus: Use hooks for module proplist changes
  * Revert "Warn on loading module-dbus-protocol"
  * dbus: Add card profile availability info to API
  * alsa-mixer: Have valid proplist for synthesized path as well.
  * stream-restore: With dbus-proto fix segfault if e->device is NULL.
  * pulsecore: Don't allow unreferencing linked object.
  * sfos: build: Install pulsecore headers.

  [ Felipe Sateler ]
  * zsh-completion: Fix completion for default sink/source
  * util: Try finding out application name using dladdr if available
  * Fix #defines for Debian GNU/kFreeBSD
  * pactl: fix getopt indexing for set-*-volume
  * Add a .travis.yml for Travis CI
  * man: fix reference to --daemonize option
  * Fix return code check of pa_append_to_home_dir
  * util: pa_get_fqdn: always free addrinfo
  * sink, source: Do not dereference freed memory when freeing the next events
  * daemon: Use Type=notify for systemd service
  * pulseaudio.1: document that systemd notification only works without daemonization
  * build-sys: Make pulsecore a private library
  * travis: Run make install in travis.
  * build-sys: Fix install order of libpulsecore
  * launch: make pulseaudio.service properly order and require the socket
  * padsp: allow overriding library install location
  * launch: avoid autostarting pulseaudio systemd units for root
  * build-sys: test for cxx-11 after AC_USE_SYSTEM_EXTENSIONS
  * build-sys: don't install esdcompat tool if building without esound support
  * qpaeq: fix Qt5 mainloop use
  * i18n: Don't compile with -ffast-math
  * qpaeq: Drop unused imports
  * qpaeq: use python3 instead of python 2
  * qpaeq: Drop unused imports
  * qpaeq: use python3 instead of python 2

  [ Jaroslav Kysela ]
  * alsa-ucm: use ucm2 name for the direct card index open
  * alsa-ucm: add mixer IDs to ucm_items
  * alsa-mixer: handle the index for ALSA mixer element identifiers
  * alsa-mixer: improve alsa_id_decode() function
  * alsa-ucm: use the correct mixer identifiers as first
  * alsa-ucm: add support for master volume
  * alsa-ucm: split correctly JackHWMute device names
  * alsa-ucm: fix parsing for JackControl
  * alsa-ucm: add comments to ucm_get_mixer_id()
  * alsa-ucm: validate access to PA_DEVICE_PORT_DATA()
  * alsa-ucm: parse correctly the device values
  * alsa-ucm: do not try to use UCM device name as jack name by default
  * alsa-util: do not try to guess the mixer name from the PCM name
  * alsa-ucm: add control and mixer device items
  * alsa-ucm: get the mixer names from ucm, don't guess
  * alsa-ucm: use the proper mixer name for ucm pcm sink/source
  * alsa-mixer: handle interface type (CARD,PCM) for mixer element lookups
  * alsa: rewrite mixer open/close, cache mixer accesses in probe
  * alsa-ucm: add support for HDMI ELD
  * alsa-mixer: do the quick card number lookup to save mixer instances
  * alsa-mixer: improve check for the empty path set for sink/source
  * alsa-ucm: allow to set profile priority from UCM value
  * alsa-ucm: correct the channel default logic (stereo)
  * alsa ucm: do not assign JackHWMute when JackControl is missing for the UCM device
  * ucm: fix the port / ucm device activation on boot
  * alsa sink/source: fix the mixer initialization
  * device-port: introduce available_group member
  * device-port: add type member
  * protocol: describe v34 (available_group, port type)
  * alsa-ucm: set available_group (use jack name)
  * alsa: legacy card - set available_group
  * alsa: legacy card - implement device port type parser and assignment
  * alsa ucm: set device port type
  * pactl: print device port type and available group
  * ucm: add possibility to skip the UCM card completely (Linked)
  * alsa: mixer - reorder the type field in path parser
  * alsa: fix analog-input-microphone-headset device type
  * alsa: fix type for legacy hdmi devices

  [ Michael Pivonka ]
  * alsa-mixer: Add Razer Kraken Tournament Edition USB headset

  [ Ralph Seichter ]
  * macos: Add missing import statement

  [ Sanchayan Maity ]
  * modules: rtp-gstreamer: Fix RTP sound lag
  * rtp: Fix sending of small packets

  [ Juliano de Souza Camargo ]
  * Update Portuguese translation

  [ Arun Raghavan ]
  * Mark shared variables as volatile
  * Add a configure option to change 'udevrulesdir'
  * echo-cancel: Move the module into it's own directory
  * echo-cancel: Split out speex code from the core module
  * echo-cancel: Pass arguments to the specific canceller module
  * echo-cancel: Let AEC module determine source/sink spec
  * echo-cancel: Add alternative echo-cancellation implementation
  * echo-cancel: Allow selection of AEC method using modargs
  * echo-cancel: Make blocksize a module-wide parameter
  * echo-cancel: Mark immutable parameters as const in vfunc
  * echo-cancel: Fix out-of-tree build
  * build: Fix make distcheck
  * cpu: Add CPU information to pa_core
  * echo-cancel: Add SSE optimisation to the adrian module
  * echo-cancel: orc-ify some bits for optimisation
  * echo-cancel: Ensure correct handling of endianness
  * echo-cancel: Use S16NE for adrian module
  * build: Copy orc dist files to the correct directory
  * volume: Use a macro to check if a volume is valid
  * volume: Clamp volume to PA_VOLUME_MAX
  * cli: Validate volume before setting
  * pactl: Validate volume before setting
  * volume: Decrease PA_VOLUME_MAX to be < 2^31
  * volume: Fix incorrect usage of PA_VOLUME_IS_VALID
  * alsa: Sprinkle some PA_UNLIKELYs around error checks
  * volume: Add explicit checks for ARMv6 instructions
  * rescue-streams: Fix segfault in some conditions
  * echo-cancel: Fix source may_move_to function
  * i18n: Update POTFILES.*
  * build-sys: Fix a warning during distcheck
  * client: Don't update smoother while corked
  * build: Move orc.mak out of build/
  * build: Simplify Orc-related make rules
  * echo-cancel: Make Orc file names less silly
  * Revert "core: volume ramping fix"
  * Revert "ramping: minor cleanups"
  * Revert "Add volume ramping feature - sink modification"
  * Revert "Add volume ramping feature - sink-input modification"
  * Revert "Add volume ramping feature - envelop fix"
  * Revert "Add new subsystem for applying envelopes (such as volume ramps) to audio signals"
  * Remove remaining ramping/envelope references
  * introspect: Client-side implementation for has_volume/read_only_volume
  * volume: Make tests use only valid volumes
  * volume: Fix sample array size for tests
  * volume: Add Orc-based optimised volume scaling
  * daemon: Fix missing include - cpu-orc.h
  * build: Bump Orc dependency to 0.4.11
  * cork-on-phone: Handle sink-inputs with NULL sinks
  * bluetooth: Pull a2dp-codecs.h from BlueZ
  * stream-restore: Check for readability before reading volume
  * volume: Get more data from volume tests
  * filter-apply: Make housekeeping optional
  * filter-heuristics: Only apply AEC if we're not already on a phone sink
  * filters: Handle stream moves properly
  * filters: Handle filters on sources as well
  * echo-cancel: Play nice with module-filter-*
  * filter-heuristics: Match roles correctly
  * filter-apply: Mark modules as being autoloaded
  * sink: Trivial typo fix
  * sample: Use PA_SAMPLE_INVALID instead of numeric value
  * core: Add a pa_format_info structure
  * format: Add some properties and internal API
  * sink: Extend API for compressed formats support
  * core: Add extended stream API to support compressed formats
  * format: Add convenience API to check if a format is PCM or not
  * sink: Remove PASSTHROUGH flag
  * tests: Add a trivial test for the extended API
  * sink-input: Minor cleanups
  * sink-input: Return NOTSUPPORTED if format negotiation fails
  * sink-input: Don't assert on bad formats
  * format: Avoid some code duplication
  * sink: Fix leak in pa_sink_check_formats()
  * sink-input: Kill passthrough streams if moving to an unsupported sink
  * core: Fix some FIXMEs for the extended API
  * alsa-mixer: Remove passthrough profiles
  * sink: Trivial typo fix in comment
  * core: Suspend monitor when a sink enters passthrough mode
  * alsa: Reconfigure sink sample rate for passthrough inputs
  * format: Const-ify some parameters
  * format: Add some convenience functions for printing
  * stream: Add API to get a stream's pa_format_info
  * introspect: Get formats for sinks
  * introspect: Get format of sink input
  * format: Add a type for DTS
  * core: Factor out passthrough checks into their own functions
  * filter-apply: Mark modules as being autoloaded
  * echo-cancel: Handle alignment requirement manually
  * echo-cancel: Remove unnecessary noalign attribute
  * sink-input: Don't print an error if a passthrough connection fails
  * sink-input: Don't restore volume for passthrough streams
  * sink-input: Add a format-lost event
  * format: Export pa_format_info_is_compatible in API
  * format: Add correct sample spec conversion for E-AC3
  * sink-input: Provide more information to client when format is lost
  * format: Extend properties to handle lists/ranges
  * format: Add some convenience API for setting properties
  * doxygen: generate documentation for format.h
  * module-tunnel: Update for recent protocol changes
  * echo-cancel: Don't overpad variable
  * echo-cancel: Remove extraneous debug message
  * format: Fix channel map handling
  * echo-cancel: Add speex preprocessing
  * echo-cancel: Fix a crash is speex cleanup
  * tests: Update extended API test
  * echo-cancel: Fix preprocessor initialisation
  * echo-cancel: More preprocessing fixes
  * protocol-native: Use original requested latency on stream moves
  * protocol-native: Don't leak formats
  * stream: Fix a couple of format_info leaks
  * stream: Simplify passing of formats in extended API
  * source-output: Trivial code move
  * pactl: Add a set-source-output-volume command
  * echo-cancel: Set sane defaults for module initialisation
  * protocol-native: Fix backward compatibility break
  * protocol-native: Fix invalid assert
  * padsp: Handle eol in info callbacks correctly
  * protocol-native: Trivial fix for a compiler warning
  * doc: Document subscription events better
  * log: Add missing pulsecore/thread.h include
  * sink: Add a set_formats() API
  * alsa: Implement get/set_formats()
  * device-restore: Make bools not be bit fields
  * device-restore: Set sink format when possible
  * format: Make pa_format_info_snprint() more parseable
  * format: Add string to pa_format_info conversion function
  * pactl: Add a set-sink-formats command
  * sink: Fix lazy commenting
  * device-restore: Log invalid sink index while setting formats
  * Remind people not to break module-tunnel
  * proplist: Make filter properties line up prettily
  * filter-heuristics: Don't force AEC on all phone streams
  * conf: Load module-filter-* by default
  * build-sys: Bump JACK dependency to 0.117.0
  * sink: Add a SET_FORMATS flag
  * alsa: Set SET_FORMATS flag when appropriate
  * format: Remove stupid copy-paste-o
  * source: Remove the PA_SOURCE_PASSTHROUGH flag
  * alsa: Don't always suspend/unsuspend on sink-input removal
  * formats: Use correct API to check for passthrough streams
  * alsa: Open iec958 device with NONAUDIO bit set in passthrough mode
  * formats: Fix bad passsthrough check
  * alsa: Fix bad function name
  * daemon: Fix compiler warning about missing function prototype
  * passthrough: We must not plug in a resampler on stream move
  * sink-input: Ensure no volumes are applied for passthrough streams
  * source-output: Ensure no volumes are applied for passthrough streams
  * Revert "device-restore: Make bools not be bit fields"
  * sample-util: Fix off-by-one in error check
  * sink: Add PA_SINK_SET_FORMATS macro
  * build-sys: Fix some LDFLAGS vs. LDADD usage
  * echo-cancel: Add multiple include protection for header
  * echo-cancel: Use pa_streq instead of strcmp
  * echo-cancel: Move speex preprocessing out of the main module
  * passthrough: Fix what volume we set sinks/sources to
  * passthrough: Fix setting volume to unamplified again
  * echo-cancel: Make save_aec modarg a bool instead of an int
  * echo-cancel: Don't allow streams to attach while unloading
  * echo-cancel: Get rid of annoying compiler warnings
  * equalizer: Comment out unused function
  * vala: Add has_type_id=false to all enums, structs and classes
  * stream: Relax assert for extended API
  * def: Hide server-side sink/source flags
  * volume: Handle varying channel count for shared volumes
  * virtual: Make volume sharing on by default
  * equalizer: Use volume sharing by default
  * echo-cancel: Use volume sharing by default
  * sink,source: Handle missing in the shared volume case
  * extended: Fix doxygen comment style typos
  * sink,source: Avoid unnecessary call to pa_rtclock_now()
  * alsa: Give compressed formats preference over PCM
  * alsa: Better error handling in mixer rtpoll callback
  * echo-cancel: Fail if loaded between a sink and its monitor
  * alsa: Make mixer error handling more robust still
  * echo-cancel: Add a standalone test program
  * echo-cancel: Remove redundant variable
  * echo-cancel: Don't crash if adjust_time = 0
  * echo-cancel: Increase threshold for resyncing, make it configurable
  * echo-cancel: Skip canceller when no source outputs are connected
  * echo-cancel: Skip processing till there's enough data
  * echo-cancel: Drop sink/source samples before processing begins
  * namereg: Don't set default sink/source on get()
  * echo-cancel: Close debug files on module unload
  * echo-cancel: Don't process if sink is unconnected
  * filter-apply: Move sink/source unlink callbacks before m-s-r
  * build-sys: Drop libsamplerate from pulsecommon deps
  * echo-cancel: Simplify checking if AEC is active
  * macro: typedef pa_bool_t to bool instead of _Bool
  * echo-cancel: Add the WebRTC echo canceller
  * build-sys: Minor CXXFLAGS fix
  * source: Bring rate update code in sync with sink code
  * sink,source: Add the ability to disable alternat sample rate switching
  * sink,source: Handle equal default and alternate sample rates
  * alsa: Remove unused variable
  * alsa: Probe sink/source sample rates
  * sink,source: Account for corked streams in update_rate()
  * native: Fix Solaris build
  * solaris: Use real_volume for set/get volume
  * gitignore: Update for recent additions
  * doc: Correct intended roles property documentation
  * core: Add a string list membership check function
  * echo-cancel: Plug in WebRTC drift compensation
  * echo-cancel: Adapt test code for drift compensation
  * doc: Fix some old 0pointer.de references
  * echo-cancel: Fix webrtc gain control initialisation
  * cli: Add a dump-volumes command
  * sink,source: Fix corked stream handling in update_rate()
  * sink-input,source-output: Add an update_rate() function
  * sink,source: Allow sample rate switching with corked streams
  * sink,source: Update sample rate if possible on stream uncork
  * echo-cancel: Add infrastructure for cancellers to do AGC
  * echo-cancel: Hook up WebRTC analog gain control
  * echo-cancel: Turn WebRTC analog gain control on by default
  * echo-cancel: Make WebRTC the default canceller
  * core: Make debugging a bit simpler
  * tests: Add playback tests to check-daemon
  * alsa: Minor debug code cleanup
  * core: Look up /etc/machine-id if D-Bus machine-id is not found
  * echo-cancel: Use speex by default if webrtc isn't available
  * echo-cancel: Use more human-friendly descriptions
  * filters: Fix the master source/sink when autoloaded
  * filters: Allow a filter to have both sink and source
  * proplist: Add internal API to get stream group
  * filters: Handle echo-cancel streams better
  * echo-cancel: Fix warning for undefined HAVE_WEBRTC
  * build-sys: Fix building without NLS
  * build-sys: Use absolute path for map-file while linking
  * mime: Move assert to correct position
  * iochannel: Handle missing un.h correctly
  * utils: Fixes for building without NLS
  * utils: Typo fixes in qpaeq
  * resampler: Remove invalid channel asserts in peak and trivial
  * resampler: Move some peak resampler asserts around
  * protocol-native: Fix 'auth-group-enabled' modarg
  * x11: Fix build without NLS support
  * build-sys: Fix map-file check
  * build-sys: Fix po/ build with --disable-nls
  * build-sys: Make esound bits optional
  * doc: Clarify pa_stream_get_latency() return value
  * daemon: Fix *-idle-time arguments
  * daemon: Drop --module-idle-time from docs
  * orc: Trivial documentation typo fix
  * orc: Another trivial documentation fix
  * alsa-mixer: Turn off the IEC958 element for analog outputs
  * stream: Clarify the sign of error return codes
  * alsa-mixer: Fix mixer path for AC3 profiles
  * format: Add "since 1.0" documentation tags where they were missing
  * loopback: Trivial whitespace fix
  * sink-input,source-output: Handle devices going away in unlink hooks
  * pacmd: Fix compiler warning
  * build: Fix out-of-tree build
  * format: Export pa_format_info int and string property getters
  * format: Don't assert on errors in getters
  * format: Expose pa_format_info<->pa_sample_spec conversion functions
  * format: Add more property getters
  * format: Update map-file
  * format: Trivial reorganisation
  * format: Add API to query a property's type
  * format: Allow format->sample spec conversion for compressed formats
  * build-sys: Bump soname
  * protocol-native: Reinstate assert that was incorrectly removed
  * protocol-native: Remove redundant asserts
  * stream: Fix sample spec initialisation for extended API
  * bluetooth: Fix crash due to usage of pa_bool_t instead of dbus_bool_t
  * build-sys: Bump soname
  * sink-input,source-output: Avoid unneccessary rate updates
  * role-cork: Fix a minor leak
  * core-util: Add a pa_split_in_place() string utility function
  * core-util: Make pa_make_secure_dir() act like mkdir -p
  * auth: Create cookie directory if it doesn't exist
  * pactl: Print sink-input/source-output corked status
  * glib: Stop using g_source_get_current_time()
  * core-util: Fix permissions handling while creating directories
  * Revert "role-cork: Fix a minor leak"
  * role-cork: Fix incorrect check at deinitialisation time
  * Revert "Revert "role-cork: Fix a minor leak""
  * role-cork: Fix another minor leak
  * alsa: Allow channel count probe on open by mapping
  * alsa: Add a proplist to mappings
  * alsa: Add separate sinks/sources for UCM modifiers if needed
  * i18n: Remove module-hal-detect reference in POTFILES
  * echo-cancel: Print what AEC engine is being used
  * build: Avoid libstdc++ dep for module-echo-cancel if possible
  * i18n: module-coreaudio-device now has some translatable strings
  * build: Fix distcheck failure on libwebrtc-util
  * tests: Factor out Orc test code into cpu-test
  * tests: Make cpu-test less verbose
  * build: Merge bluez pkg-config checks into one
  * Revert "build: Merge bluez pkg-config checks into one"
  * stream: Allow record streams to start muted
  * core: Separate ARM CPU detection from initialisation
  * tests: Factor out ARM svolume test into cpu-test
  * tests: Minor cpu-test reorganisation
  * core: Document ARM-optimised svolume code a bit
  * core: Fix a litte-endian bug in ARM svolume code
  * tests: Add a copyright header to cpu-test
  * tests: Factor out core sconv test code in cpu-test
  * tests: Reorganise cpu-test to reuse code
  * tests: Add a basic sanity test to sconv cpu-test
  * tests: Run sconv tests with multiple alignments
  * build-sys: Add volume code to libpulsecommon
  * sconv: Fix NEON sconv rounding code
  * tests: Allow off-by-one error in sconv test
  * tests: Increase sconv cpu-test timeout
  * tests: Print average outer-loop iteration time in cpu-test
  * tests: Minor cpu-test fixes for non-NEON builds
  * core: Fix warning on non-win32 builds
  * tests: Run svolume test for various sample alignments
  * tests: Make cpu-test less verbose
  * tests: Run svolume on different channel counts
  * tests: Fix a cpu-test debug message
  * build-sys: Drop -Wvla from compiler flags
  * tests: Minor alignment adjustment fix for cpu-test
  * svolume: Fix ARM alignment issues
  * Revert "core: adjust playing_for and underrun_for at rewind"
  * build-sys: Bump soname
  * i18n: Fix POTFILES for poll changes
  * build-sys: Document libpulsecommon vs. libpulse duplication
  * alsa: Drop verbosity on UCM message
  * Revert "tests: modify alsa-time-test to use 'check' framework"
  * introspect: Minor documentation fix
  * man: Correction for how sample rate switching is disabled
  * sink, source: Prevent unnecessary rate update attempts
  * modules: Micro-optimisation for rewind_requested paths
  * build-sys: Bump BlueZ dependency to 4.99
  * build-sys: Bump soname
  * build-sys: Drop ChangeLog generation
  * source-output: Fix volume fixup for rate update
  * sink-input, source-output: Check rate update success for passthrough
  * core: Remove bad free() call
  * alsa: Try to support non-standard rates in alsa-sink/source
  * build-sys: Bump soname
  * build-sys: Bump soname
  * tests: Minor alsa-time-test improvments
  * core: Fix up some debug logging
  * stream: Make it easier to enable debug output
  * alsa: Minor debug log addition
  * protocol-native: Fix some debug output
  * resample: Switch to speex-float-1 by default
  * pulsecore: Don't conditionally inline pa_run_from_build_tree()
  * alsa: Fix mixer path when running from build tree
  * build-sys: Bump sonames
  * equalizer: Fix compiler warning due use of 'signal'
  * rygel: Set DLNA profile on our MediaItems
  * daemon: Fix dlsearchpath while running from build tree
  * pulsecore: Make run-from-build not readlink() on every call
  * build-sys: json-c changed everything :(
  * sink-input,source-output: Deal with FIX* flags and extended API
  * build-sys: Bump soname
  * Add a NEWS file
  * build-sys: Bump soname
  * core: Add an "internal" suspend cause
  * pulsecore: Fix assert in pa_msgobject creation
  * mainloop: Add API to set thread name for threaded mainloop
  * zeroconf: Make Avahi usage in m-z-publish async
  * tests: Add a latency measurement test
  * tests: Make loopback latency test run with rt priority
  * tests: Adjust latency test calibration
  * tests: Factor out loopback setup code
  * tests: Make loopback latency test more accurate
  * alsa-mixer: Disable headphones when playing to speakers
  * doc: Fix building doxygen docs out of tree
  * iochannel: Document modified pa_iochannel_write return value
  * sink-input: Log format negotiation better
  * mainloop: Document need for mainloop lock around pa_mainloop_api_once
  * zeroconf: Fix pa_mainloop_api_once usage
  * sample: Apply SPARC-specific condition on SPARC only
  * doc: Update LICENSE to reflect optional libpulse dep on libdbus
  * alsa: Trivial whitespace deletion
  * sink-input: Don't assert when removing non-existent volume factor
  * hashmap: Add the ability to free keys
  * alsa: Allow sample spec override in mappings
  * alsa-ucm: Use playback/capture rate specification from UCM
  * alsa-ucm: Make combination port names deterministic
  * build-sys: Fix warning in use-case.h configure check
  * log: Add missing header
  * sink: Increase max sink inputs per sink
  * mutex: Fix compiler warning when priority inheritance is not supported
  * hashmap: Add a key+value iterator
  * alsa-ucm: Don't allow Playback/CaptureRate to be 0
  * alsa-ucm: Fix bad rate check
  * i18n: Update bluetooth bits in POTFILES
  * alsa: Log some output if we disable tsched for BATCH devices
  * protocol-native: Don't enumerate unlinked sinks and sources
  * build-sys: Bump soname
  * Revert "protocol-native: Don't enumerate unlinked sinks and sources"
  * gconf: Remove unused variable
  * gconf: Avoid calling deprecated function if possible
  * echo-cancel: Fix drift timer restart logic across suspend
  * srbchannel: Trivial whitespace and style fixes
  * srbchannel: Fix documentation error
  * pulse: Initalise pa_threaded_mainloop with zeroes
  * creds: Rename pa_ancil to pa_cmsg_ancil_data
  * bluetooth: Fix some native backend command sending
  * introspect: Minor documentation fix
  * build-sys: libwebrtc-util needs libpulsecore
  * shell-completion: bash: Fix pactl list source-outputs
  * sink-input: Clarify the meaning of rewrite and flush a bit in rewinds
  * udev: Deal with unavailable bus property
  * protocol-native: Fix source latency calculation in ADJUST_LATENCY mode
  * rescue-streams: Document a cryptic looking condition
  * rescue-streams: Fix a couple of typos
  * stream: Support extended API with PULSE_LATENCY_MSEC if possible
  * sink,source: Add a helper function to check whether this is a filter
  * always-sink: Ignore filter sinks
  * echo-cancel: Handle underlying sink going away better when autoloaded
  * equalizer: Handle underlying sink going away better when autoloaded
  * build-sys: Fix distcheck for systemd user unit dir
  * build-sys: Make echo-cancel use speex cflags/libs conditionally
  * build-sys: Fix up setting the bash completion dir
  * alsa-mixer: Drop redundant conditional frees
  * alsa: Clarify potentially confusing device port data field
  * lfe-filter: Deal with empty input chunks
  * Update NEWS for 7.0 release
  * resampler: Don't expose soxr methods if they are not supported
  * tests: Set appropriate timeouts for a couple of tests
  * build: Add IRC notifications to Travis
  * sink: Make early drain reporting propagate down to filters
  * source: Deal with filter having more channels than the master
  * alsa: Use helper function for byte conversion across sample specs
  * tests: Make echo-cancel-test not crash
  * echo-cancel: Don't skip canceller when sink is inactive
  * build: Move to using Travis trusty images
  * daemon: Sanitise message about unsupported high res timers
  * alsa: Don't disable timer-based scheduling on USB devices
  * sink-input, source-output: Add some debug output on start_move()
  * stream: Clarify pa_stream_writable_size() documentation
  * build-sys: Use #ifdef with HAVE_FAST_64BIT_OPERATIONS
  * Update NEWS for 8.0
  * format: Make pa_format_info_valid() stricter for PCM
  * pulse: Bump PA_RATE_MAX to 384 kHz
  * glib: Trivial whitespace fix
  * build-sys: Only use sysroot in OS X CFLAGS if specified
  * coreaudio: Dynamically allocate C string when converting from CFString
  * coreaudio: Catch devices with more channels than we support
  * echo-cancel: Update webrtc-audio-processing usage to new API
  * echo-cancel: Allow enabling the extended filter in webrtc AEC
  * echo-cancel: Canceller may use different spec for playback and capture
  * echo-cancel: Express restrictions correctly on webrtc AEC stream config
  * echo-cancel: Add a modarg to use sink/source master format and spec
  * echo-cancel: Mark private function as static
  * echo-cancel: Allow enabling tracing output from the webrtc canceller
  * echo-cancel: Deal with volume limit breakage in webrtc AGC
  * echo-cancel: Start capture at a sane volume if we're doing webrtc AGC
  * echo-cancel: Allow enabling of the webrtc experimental AGC mechanism
  * echo-cancel: Add a modarg toggle for VAD in the webrtc canceller
  * build-sys: Move to compiling with C11 support
  * echo-cancel: Use anonymous unions for echo canceller params
  * echo-cancel: Make webrtc AGC start volume a modarg
  * echo-cancel: Fix webrtc canceller when rec channels != play channels
  * echo-cancel: Improve webrtc canceller error handling a bit
  * echo-cancel: webrtc canceller supports different in/out channel counts
  * echo-cancel: Use webrtc's deinterleaved API
  * echo-cancel: Update a copyright notice
  * echo-cancel: Remove pa_ prefix on private functions
  * echo-cancel: Add beamforming support in the webrtc canceller
  * echo-cancel: Convert AGC API to deal with pa_volume_t
  * rtp: Do all receive side rate calculations in sink-input domain
  * Revert "format: Make pa_format_info_valid() stricter for PCM"
  * module-filter-apply: Remove some dead code
  * module-filter-apply: Don't implement policy in module-device-manager
  * module-device-manager: Refine logic to ignore filtered streams
  * alsa: Reread and upate jack status when a card is unsuspended
  * module-filter-apply: Fix stale m-d-m property name in comment
  * build-sys: Bump sonames for release
  * dbus: Deal with double-counting module-dbus-protocol
  * sink-input,source-output: Fix crasher while setting property
  * Update NEWS for 9.0
  * client, protocol-native: Use macros for protocol version/flag access
  * allow-passthrough: Use pa_module_hook_connect()
  * i18n: Add module-allow-passthrough to POTFILES.in
  * pulse: Add a JSON-parsing library
  * format: Drop dependency on json-c
  * json: Correctly handle bad strings with missing closing quotes
  * json: Add overflow checks for integer and float parsing
  * json: Handle error cases while parsing numbers
  * json: Error out for objects and arrays that are nested too deep
  * json: Add a positive test for nested objects
  * json: Add some more negative test cases
  * json: Drop refcounting of json objects
  * device-port: Add mechanism to free implementation data
  * alsa: Use pa_device_port->impl_free() for freeing port data
  * modargs: Add a mechanism to append modargs
  * daemon: Tone down system mode snarkiness
  * memblockq-test: Rename test to something more relevant
  * sink-input,source-output: Fix a leak during property change logging
  * source-output: Fix copy-pasto
  * shm: Wrap memfd-specific code in relevant ifdef
  * stream-interaction: Fix a memory leak
  * build-sys: Enable clang-based builds on Travis
  * sink, source: Add a mode to avoid resampling if possible
  * sink, source: Make rate selection more explicit
  * combine-sink: Use PA_MAX instead of ternary operator for clarity
  * alsa: Avoid creating tiny memchunks on write iterations
  * echo-cancel: Limit the maximum sink/source latency
  * echo-cancel: Fix assert with webrtc's built-in drift compensation
  * echo-cancel: Try to minimise in-flight chunks in snapshot latency
  * padsp: Write only frame-aligned chunks to the stream
  * always-source: Fix pa_module_load() usage
  * bluez: Don't autodetect MTU by default
  * bluez: Don't crash on strange MTU sizes
  * sink, source: Rework reconfiguration logic to apply to more than rate
  * echo-cancel: Fix speex echo state setting
  * echo-cancel: Expose dereverb in the speex canceller
  * client-conf: Add a default value for disable-memfd
  * build-sys: Stop using symdef headers for modules
  * module-allow-passthrough: Don't crash if we can't find a sink
  * build-sys: First pass at a meson-ified build system
  * PROTOCOL: Bump to version 33
  * core: Expose API to elevate a thread to realtime priority
  * null-sink,null-source: Use realtime scheduling if possible
  * map-file: Fix typo while adding pa_thread_make_realtime
  * build-sys: Update meson.build based on recent changes
  * travis: Update gettext along with other packages
  * format: Expose pa_format_info convenience getters in API
  * build-sys: Drop ancient check for dbus_watch_get_unix_fd()
  * build-sys: Add some missing header/function checks to meson build
  * build-sys: Update meson version dependency
  * gitignore: Ignore build* directories
  * doc: Update README to point to GitLab
  * bluetooth: Re-add rtp.h to Makefile.am
  * gitlab: Add support for GitLab CI
  * gitlab: Add meson build to CI
  * Adopt a Code of Conduct
  * build-sys: Add CoC to the dist'ed files
  * gitlab: Update Dockerfile to pull xmllint
  * man: Fix a syntax issue in pacat xml
  * build-sys: Set minimum required meson version to 0.44.0
  * i18n: Provide *ngettext() stubs when NLS is diabled
  * build-sys: Fix meson version detection logic
  * null-sink: Add support for reconfiguration and non-PCM formats
  * tests: Add a unit test for passthrough support
  * passthrough-test: Add a test for volume set/restore
  * gitignore: Ignore cscope files
  * system.pa: Drop mention of module-hal-detect
  * meson: Fix some config generation warnings
  * build-sys: Add the ability to disable maintainer mode
  * tests: Shorten how long daemon tests take to run
  * pactl: Fix some corner cases when setting sink formats
  * protocol-native: Fix format ownership while creating record streams
  * source: Fix a bad condition that made source events not be emitted
  * thread-mainloop: Add API for running a callback unlocked
  * build-sys: Update meson dependency to 0.50.0
  * build-sys: Fix up meson install paths
  * daemon: Drop empty fields in desktop file
  * meson: Skip norun tests
  * meson: Duplicate split of long daemon tests from autotools build
  * core-util: Fix detection when running in a VM
  * build-sys: Bump libpulse soversion
  * build-sys: Fixes for i18n parts of the meson build
  * build-sys: meson: Disable coverage by default
  * svolume: Mark channel parameter as earlyclobber
  * build-sys: meson: Add -Wl,no-delete to relevant libraries
  * build-sys: meson: Correctly set up RPATH
  * build-sys: meson: Fix some defines for default.pa generation
  * build-sys: meson: Add symbol versioning as in autotools
  * build-sys: meson: Fix minor typo in orc build
  * build-sys: Move svolume-*.c to libpulsecore
  * build-sys: autotools: Add meson build files to EXTRA_DIST
  * build-sys: meson: Add atomic ops related checks
  * build-sys: meson: Add ARMv6 instruction check
  * build-sys: meson: Add a check for fast 64-bit operations
  * build-sys: meson: Add some missing declaration checks
  * build-sys: meson: Add mkfifo checks for module-pipe-*
  * build-sys: meson: Add a bunch of missing checks
  * build-sys: meson: Give ourselves a little more timeout headroom
  * build-sys: meson: Fixes for some ARM compiler checks
  * build-sys: meson: Process subdirectories before generating configuration
  * build-sys: Bump version info for libpulse
  * build-sys: Fix documentation of version info
  * rtp: Make init return a value for success/failure
  * rtp: Don't use cookie for SSRC
  * rtp: Drop support for non-L16 media
  * rtp: Move MTU handling to the RTP implementation
  * rtp: Hide RTP implementation details from module-rtp-*
  * rtpoll: Separate out before/after/work callback userdata
  * rtp: Add a GStreamer-based RTP implementation
  * rtp: Add some logging to know what backend is being used
  * switch-on-connect: Fix warning on discarded const qualifier
  * alsa-ucm: Support Playback/CaptureVolume
  * gitlab: Make container updates automatic
  * build: Bump soversion for libpulse
  * ci: Update for changes in CI template
  * ci: Go back to using CI templates from master
  * alsa-mixer: Add an explicit profile-set for Audigy devices
  * build-sys: Bump soversions
  * build-sys: Add doxygen/meson.build to distfiles
  * build-sys: Bump gettext dependency

  [ Rafael Fontenelle ]
  * i18n: update the Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * po: Update Brazilian Portuguese translation
  * i18n: Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation

  [ Tanu Kaskinen ]
  * Fix setrlimit() return value comparsion.
  * Fix typo: "now"->"not".
  * Create module-dbus-protocol with "Hello, world!" functionality.
  * daemon: Implement the DBus server lookup service.
  * dbus-protocol: Connection handling for local connections.
  * dbus-common: Implement infrastructure for registering D-Bus objects on all
  * dbus-protocol: Implement TCP server startup.
  * module-dbus-protocol: Allow anyone to connect the daemon in system mode.
  * Merge branch 'master' into dbus-work
  * Merge branch 'master' into dbus-work
  * module-cli: Fix compilation by adding libpulsecommon to module_cli_la_LIBADD.
  * server-lookup: Update the D-Bus identifiers to be versioned.
  * dbus: Implement the Name property of the core object.
  * Finish the Core dbus interface.
  * Add the forgotten src/modules/dbus directory to git.
  * Bug fixing and minor cleanups.
  * dbus/iface-core.c: Make sure D-Bus objects are created only once.
  * dbus-protocol: Implement extension registration.
  * dbusiface-core: Send signals whenever extensions are registered and unregistered.
  * dbusiface-core: Don't die if we get a default sink/source change event before the new default device is actually created.
  * dbus-protocol: Add debugging output (temporary change).
  * dbus-util: Fix broken proplist reading logic.
  * stream-restore: Expose module to D-Bus.
  * dbusiface-core: Make the interface string a public constant.
  * dbus-protocol, dbusiface-core: Take a reference when storing the core pointer.
  * dbus-protocol: Make debug logging saner.
  * dbus-protocol: Remove erroneous protocol object unref.
  * dbusiface-memstats: Implement the Memstats D-Bus interface.
  * proplist: New function: pa_proplist_equal()
  * dbus: Three entangled changes:
  * dbus: Take advantage of the PA_HASHMAP_FOREACH macro.
  * dbusiface-core: Generate more informative error messages.
  * dbusiface-core: Add functions for getting various object paths.
  * dbus-util: Add helpers for proplist handling.
  * dbus-util: Trivial comment punctuation fix.
  * dbus-protocol: Split some overly long lines.
  * dbus-protocol: Take advantage of the helpers in dbus-util.
  * dbusiface-card: Implement the Card D-Bus interface.
  * dbusiface-card-profile: Implement the CardProfile D-Bus interface.
  * dbus-protocol: Add a note for _send_signal that by default the signal isn't
  * dbus-protocol: Fix signal sending for the case when the client doesn't listen
  * dbusiface-card: Split some overly long lines.
  * dbusiface-card-profile: Assert the core argument isn't NULL.
  * dbusiface-card: Use the ++ operator like it's meant to be used.
  * dbusiface-card: Assert that the profiles list is empty if there's no active
  * dbusiface-card: Fix the OwnerModule property type in handle_get_all().
  * dbusiface-core: New function: pa_dbusiface_core_get_card_path().
  * dbus-protocol: Use pa_hashmap_remove() instead of _get().
  * dbusiface-device: Implement the Device and DevicePort D-Bus interfaces.
  * dbusiface-core: Two new functions: pa_dbusiface_core_get_playback/record_stream_path().
  * dbusiface-client: Implement the properties of the Client D-Bus interface.
  * dbusiface-client: Fix the interface name.
  * dbusiface-client: Fix indentation.
  * dbusiface-device: Free the copied proplist.
  * dbusiface-stream: Implement about a half of the Stream D-Bus interface.
  * Merge branch 'master' of git://0pointer.de/pulseaudio into dbus-work
  * namereg: Revert default device handling back to the upstream version.
  * dbusiface-core: New function: pa_dbusiface_core_get_client_path().
  * dbusiface-core: Two new functions: pa_dbusiface_core_get_sink/source().
  * dbusiface-device: Split some overly long lines.
  * dbusiface-device: Use a single if-else section instead of ternary operator overuse.
  * dbusiface-device: Fix argument reading in handle_suspend().
  * dbusiface-device: Save one level of identation by returning early.
  * dbusiface-stream: Finish the Stream D-Bus interface.
  * dbusiface-core: Split some overly long lines.
  * dbusiface-core: Use the PA_IDXSET_FOREACH macro.
  * dbusiface-core: Assert that _add/remove_interface calls succeed.
  * dbusiface-sample: Implement the Sample D-Bus interface.
  * Merge branch 'master' of git://0pointer.de/pulseaudio into dbus-work
  * dbusifaca-device: Adapt to the changed pa_sink_get/set_volume() interface.
  * proplist: Return early from pa_proplist_equal() if the pointers are equal.
  * proplist: A couple of documentation fixes.
  * modargs: New function: pa_modargs_iterate().
  * dbus-protocol: Print a debug line whenever interfaces are unregistered.
  * dbusiface-module: Implement the Module D-Bus interface.
  * Merge branch 'master' of git://0pointer.de/pulseaudio into dbus-work
  * dbus: Save one level of identation by returning early.
  * dbus: Make sure that subscription callbacks don't try to access removed objects.
  * dbusiface-stream: Only send stream event signals from the right D-Bus objects.
  * dbus: Finish the Client D-Bus interface.
  * Merge branch 'master' of git://0pointer.de/pulseaudio into dbus-work
  * dbus: Do message argument type checking early, centrally.
  * Merge branch 'master' of git://0pointer.de/pulseaudio into dbus-work
  * dbusiface-core: Add signals FallbackSinkUnset and FallbackSourceUnset.
  * dbus: Change IsMuted property names to Mute.
  * dbus-protocol: Implement argument type checking for normal methods.
  * Merge branch 'master' into dbus-work
  * dbusiface-client: Fix the destructor (stop leaking stuff).
  * Merge branch 'master' of git://0pointer.de/pulseaudio
  * libpulse: Store pa_stream pointers to hashmaps instead of dynarrays.
  * dbus: Handle the cases when a non-existing interface is detected in an incoming message.
  * dbus: Add a missing break statement in handle_message_cb().
  * stream-restore: Fix a few assertion misuses with the D-Bus code.
  * stream-restore: Add a missing pa_xnew0() call in handle_add_entry().
  * stream-restore: At startup, create dbus entries only for valid database entries.
  * idxset: Fix _get_by_data() comment.
  * sink-input: Replace a tab indentation with spaces.
  * daemon: Don't autospawn if a server address is explicitly configured.
  * alsa-mixer: Use pa_xfree() instead of pa_xstrdup() for freeing a string.
  * alsa-mixer: Replace erroneous PA_ALSA_VOLUME_IGNORE with PA_ALSA_ENUMERATION_IGNORE.
  * alsa: Fix log output to inform about positive base volumes correctly.
  * cli: Increase the command maximum length from 1024 to 2048.
  * dbus: Make it possible to allow remote connections from outside localhost.
  * dbus: Initialize properly the type field of new server structs.
  * dbus: Fix segfault when receiving a property access call that isn't permitted.
  * stream-restore: Fix segfaulting. The dbus entry callbacks expect a dbus_entry pointer instead of a userdata pointer.
  * dbus: Use a struct as the hashmap items for listening_signals.
  * dbus: Fix slightly messed up assertions.
  * stream-restore: When changing restore entries with D-Bus, apply the changes immediately.
  * dbus: Stop polling every 10 seconds to check whether all clients are still alive.
  * dbusiface-core: Track sinks and sources using synchronous hooks instead of asynchronous subscription events.
  * loopback: Make stream names and roles configurable.
  * core: New function: pa_module_update_proplist().
  * module-alsa-card: New argument: namereg_fail.
  * module-udev-detect: When loading module-alsa-card, use namereg_fail=false.
  * alsa-sink: Get rid of a compiler warning regarding rewind_safeguard type.
  * alsa-sink/source: Use the "namereg_fail" module argument.
  * alsa: Print dB values in addition to percentages in debug messages.
  * core: Link virtual sinks and sources to their streams.
  * dbusiface-stream: Send the Device property in the GetAll handler.
  * Allow read-only or non-existing sink input volume.
  * alsa-mixer: Fix path set building when using the element-output or element-input mapping options in profile set configuration.
  * alsa-card: Add a new modarg "profile_set" for giving the card a custom profile set configuration file.
  * Implement the "volume sharing" feature.
  * virtual-sink: Add a modarg for enabling volume sharing.
  * virtual-sink: Add a modarg for forcing flat volume.
  * virtual-sink/source: Use a more descriptive stream name.
  * virtual-sink/source: Remove an unused variable.
  * virtual-sink: Fix a crash when moving the sink to a new master right after setup.
  * sink: Don't send unnecessary PA_SINK_MESSAGE_SET_SHARED_VOLUME messages.
  * sink: Add casts to some printf arguments to get rid of compiler warnings.
  * Add src/*-symdef.h to .gitignore.
  * alsa-mixer: Add DecibelFix section to the profile set config file format.
  * alsa-mixer: Use decibel fixes when getting and setting decibel volumes.
  * pacat: Fix memory leak when draining the context.
  * alsa-mixer: Add a default case for a switch, so that the compiler won't complain about unhandled cases.
  * alsa-card: Print the profile set configuration when loading the card.
  * dbusiface-stream: Fix crash when there's no resampling used.
  * dbus: Always accept mono volumes when setting device or stream volume.
  * alsa-mixer: Implement support for setting element specific upper limits for volume.
  * alsa-mixer: When figuring out the max_dB of a path, use only channels that are used by the path elements.
  * alsa-mixer: Implement constant volume.
  * alsa-mixer: Refactoring: merge element_mute_volume(), element_zero_volume() and element_apply_constant_volume() into a single function.
  * bluetooth: Don't log an error if an endpoint type is disabled.
  * bluetooth: Get rid of warnings about unused stuff when building against a D-Bus version that doesn't have fd-passing support.
  * .gitignore: Add ChangeLog to the ignore list.
  * alsa-mixer: Get rid of a compiler warning.
  * sink-input: Add volume_writable to pa_sink_input.
  * alsa-mixer: Make probing elements with more than two volume channels fail.
  * alsa-mixer: Make sure that SND_MIXER_SCHN_UNKNOWN isn't used when indexing e->masks.
  * alsa-mixer: Check that the kernel driver returns consistent limits with both snd_mixer_selem_get_*_dB_range() and _ask_*_vol_dB().
  * bluetooth: Drop all "#ifdef NOKIA" directives.
  * bluetooth: Fix HSP volume handling.
  * alsa: Fix log output to inform about positive base volumes correctly.
  * sink-input: Check flat volume with pa_sink_flat_volume_enabled().
  * protocol-dbus: Fix some memory management bugs.
  * stream-restore: Enable database dumping if DEBUG_VOLUME is defined.
  * match: Support for both merging and replacing proplist updates.
  * dbus: Fix connection idxset freeing when unloading the module.
  * dbus: Fix the order of freeing stuff when unloading module-dbus-protocol.
  * loopback: Add a modarg for disabling remixing.
  * gitignore: Add connect-stress, extended-test and format-test.
  * bluetooth-discover: Remove remaining ifdef NOKIAs.
  * virtual: Fix volume callback setting.
  * daemon-conf: Don't make log files executable.
  * svolume: Make log messages more precise.
  * loopback: New modargs: sink_input_properties and source_output_properties.
  * sink: Move updating the requested latency after the rewind request when finishing a stream move.
  * sink: Add some comments about the rewind handling during stream moves.
  * memblockq: Improve debuggability by storing a name and a sample spec.
  * doc: Add an example stream-restore fallback table file.
  * daemon: Don't treat it as a fatal error if we can't connect to the session bus
  * alsa: New modarg "paths_dir" for module-alsa-card
  * alsa: Handle the "profile" modarg in module-alsa-card
  * sink, source: Join two ifs with the same condition.
  * device-port: Fix the circular dependency problem more cleanly.
  * alsa-mixer: Remove unused pa_alsa_path_set_probe() declaration.
  * dbus: New helper function: pa_dbus_get_error_message().
  * bluetooth: When receiving D-Bus errors, print also the error message.
  * dbus: Give NULL as the error parameter to dbus_bus_remove_match().
  * bluetooth: Remove the right match in the proximity module.
  * bluetooth: Change function name add_matches to update_matches.
  * stream-restore: Clean up the database at startup.
  * stream-restore: Don't verify entry validity needlessly.
  * virtual-sink: Remove irrelevant comment.
  * man: Document the local-server-type daemon.conf option.
  * dbus: Use correct free function.
  * flist: Make name non-const to avoid casting with pa_xfree().
  * proplist: Constify the pa_proplist_copy and _update input pointers.
  * proplist: Match pa_proplist_copy argument name between header and implementation.
  * build-sys: Remove the public API stuff from libpulsecommon.
  * i18n: Fix POTFILES.
  * Revert "build-sys: Remove the public API stuff from libpulsecommon."
  * bluetooth: Remove unused variable.
  * dbus: Check method call signatures.
  * dbus: Fix device latency querying.
  * padsp: Fix a double-free bug.
  * sample-util: Remove redundant check from pa_volume_memchunk.
  * device-manager: Fix a memory leak.
  * alsa: Fix SND_MIXER_SCHN_LAST related stuff.
  * dbus: Add an assertion to get rid of a warning from Coverity.
  * device-manager: Add an assertion to get rid of a warning from Coverity.
  * dbus: Add assertions to get rid of warnings from Coverity.
  * echo-cancel: Drop the correct amount of samples when skipping.
  * echo-cancel: Fix memblockq length check.
  * echo-cancel: Clarify function call contexts.
  * resampler: Use pa_xnew0() to avoid manual zeroing.
  * resampler: Use more descriptive buffer names.
  * resampler: Add support for resamplers that consume less data than asked.
  * alsa: Add support for sound cards with 4-channel input.
  * device-port: Create the profiles hashmap at initialization.
  * device-port: Remove an out-of-date comment.
  * native: Don't save device, volume or mute of new streams.
  * sink, source: Fix setting the latency offset when the sink/source is unlinked.
  * Fix a copy-paste error in PROTOCOL.
  * pulse: Use more intuitive indexing with port infos in introspect.c.
  * proplist: Change proplist_name_valid() to be public function pa_proplist_key_valid().
  * tagstruct: Allow NULL proplist with pa_tagstruct_get_proplist().
  * conf-parser: Pass parser state in a struct instead of function parameters.
  * conf-parser: Pass parser state in a struct also for parse callbacks.
  * conf-parser: Add support for parsing property lists.
  * alsa-mixer: Add support for defining port property lists in the path configuration files.
  * native: Send the actual port proplists with card info.
  * pactl: Print card port properties with the "list" command.
  * card: Don't crash if someone gives NULL name to pa_card_set_profile().
  * sink, source: Always create a hashmap for ports.
  * card: Ensure that there's always at least one profile.
  * Assume that the profiles hashmap of ports is always non-NULL.
  * Assume that the ports hashmap of cards is always non-NULL.
  * card-restore: Handle reading NULL profile name from the database.
  * alsa-mixer: Implement a new path option: "mute-during-activation".
  * build-sys: Link utf8-test to libpulsecommon.
  * Add comments referring to bug #53709.
  * memblock: Add pa_memblock_acquire_chunk().
  * object: Get rid of "warning: cast increases required alignment of target type"
  * sink-input: Fix comment: s/push/peek/
  * sink-input: Add a comment in pa_sink_input_request_rewind().
  * sink: Remove an incorrect FIXME comment.
  * bluetooth: Remove commented out code.
  * .gitignore: Add cpu-test.
  * rtp: Fix rtp_port reading.
  * card: Store a pa_card pointer in pa_card_profile.
  * build: Add a2dp-codecs.h to libbluetooth-util sources.
  * memblockq: Fix the order of setting minreq and prebuf.
  * resampler: Make sure that there are no overflows when multiplying potentially big numbers.
  * loopback: Use the real sample spec once it's known.
  * loopback: Don't fix the source output format/rate/channels.
  * virtual-surround-sink: Fix setting max_request and max_rewind.
  * combine: Keep the timer active in the null mode only when running.
  * match: Use the SINK_INPUT_FIXATE hook instead of NEW.
  * build: Add .gitignore files to EXTRA_DIST.
  * device-restore: When restoring volume, print the restored volume to the log.
  * build: Add PROTOCOL to EXTRA_DIST.
  * pulse: Fix hole handling in pa_stream_peek().
  * mainloop: Change wakeup_requested type from pa_bool_t to pa_atomic_t.
  * mainloop: Don't care about the mainloop state variable when waking up the mainloop.
  * sink: Process rewind requests also when suspended.
  * bluetooth: Add a pa_bluetooth_discovery pointer to pa_bluetooth_device.
  * bluetooth: Ignore Device.Connected
  * bluetooth: Add helper pa_bluetooth_device_any_audio_connected()
  * bluetooth: Unload device module when no audio profiles connected
  * mainloop: Remove redundant wakeup_pipe validity checks.
  * mainloop: Check pa_write() return value.
  * esound: Suspend/resume also sources on STANDBY/RESUME commands.
  * Log the reason for every suspend/resume.
  * card-restore: Log the restored profile name.
  * bluetooth: Check if BlueZ tries to set the configuration twice for the same transport.
  * bluetooth: Remove prefixing from static functions.
  * core-util: Improve get_path() documentation
  * man: Document the possiblity of unloading modules by name in pulse-cli-syntax.
  * bluetooth: Improve transport state change log message.
  * bluetooth: Make pa_bt_audio_state_from_string() private.
  * bluetooth: Don't free read_smoother in pa__done().
  * pasuspender: Check pa_context_connect() return value.
  * Fix pa_parse_boolean() return value checking.
  * smoother-test: Fix array overflow.
  * mainloop-signal: Explicitly ignore pa_write() return value.
  * oss: Check pa_read() return value.
  * cpulimit: Explicitly ignore pa_read() return value.
  * device-restore: Fix empty argument list declaration.
  * memblockq: Use pa_xnew0() to avoid manual zeroing.
  * modargs: Don't fail needlessly in pa_modargs_get_sample_spec_and_channel_map().
  * man: Update log-target documentation.
  * bluetooth: Don't access a transport after it's freed.
  * build: Don't enable BlueZ if libbluetooth is not found.
  * bluetooth: Remove pa_bluetooth_discovery_sync().
  * shm: Support Solaris shm file paths.
  * solaris: Fix get_playback_buffered_bytes() return value.
  * solaris: When suspending, flush the device instead of draining it.
  * pulse: Fix endianness definition on Sparc.
  * bluetooth: Convert booleans to stdbool.
  * pulse: Initialize pa_operation objects to all-zero.
  * Call change_cb() only when there's an actual change.
  * Initialize monitor's busy status to false if we own the device.
  * jack: Don't fail module-jackdbus-detect loading if the channels argument is not given.
  * device-port: Return early from pa_device_port_set_latency_offset() if the offset doesn't change.
  * card: Remove some unnecessary checks.
  * build-sys: Bump D-Bus dependency version to 1.4.12.
  * build-sys: Fix an outdated D-Bus version in an error message.
  * ladspa: Fix a couple of minor memory leaks.
  * .gitignore: Add pulse-daemon.log.
  * build-sys: Install the bash completion script.
  * build-sys: Use dist_vapi_DATA instead of listing the files in EXTRA_DIST.
  * bluetooth: Fail if BlueZ tries to give duplicate device addresses.
  * tests: Fix function argument wrapping style in cpu-test.c.
  * simple: Handle holes in recording streams.
  * padsp: Handle holes in recording streams.
  * pacat: Handle holes in recording streams.
  * dbus: Fix connection cleanup when killing clients
  * dbus: Fix cleanup when removing signal listeners
  * udev: Add use_ucm module argument
  * build-sys: Add check-daemon target to the top-level Makefile.am.
  * tests: Indicate failure in test-daemon.sh by returning 1 if any test fails.
  * daemon: Don't rely on prctl(PR_SET_KEEPCAPS, 0) for dropping caps.
  * echo-cancel: Fix tap weights array alignment
  * echo-cancel: Fix uninitialized variable dotp_xf_xf of AEC struct
  * gconf: Add userdata pointer to struct module_info
  * gconf: Remove needless userdata function arguments
  * hashmap: Use pa_free_cb_t instead of pa_free2_cb_t
  * device-port: Remove pa_device_port_hashmap_free()
  * idxset: Use pa_free_cb_t instead of pa_free2_cb_t
  * hashmap: Add pa_hashmap_remove_all()
  * idxset: Add pa_idxset_remove_all()
  * bluetooth: Fix thread teardown code ordering
  * format: Add #defines for enum values
  * module: Don't use lt_dlerror(), it's useless
  * ltdl-bind-now: Log an error in case of failures
  * man: Remove reference to the .verbose CLI command
  * udev: Add tsched_buffer_size module argument
  * ladspa: Use volume sharing.
  * pulse: Document the operation state behavior on context disconnection.
  * alsa: Add configuration for NI Traktor Audio 2
  * pacat: Fix mode detection for parecord
  * loopback: Fix segfault in may_move_to() callbacks
  * filter-apply: Fix segfault with moving streams
  * loopback: Flush asyncmsgq from the right context
  * conf-parser: Remove redundant feof() call
  * Revert "conf-parser: Remove redundant feof() call"
  * .gitignore: Add alsa-mixer-path-test
  * sink: Fix flag name typo
  * mix: Mix the right number of streams
  * shm: Don't force the shm files to be read-only
  * sink, source: Propagate flag changes to filters
  * sink, source: Really set the fixed latency in set_fixed_latency_within_thread(), always.
  * sink, source: Send notifications when flags change
  * alsa-mixer: Don't use the mono path in the analog-stereo mapping.
  * map-file: Remove pa_format_info_free2
  * switch-on-port-available: Prepare for dual-direction ports going away
  * switch-on-port-available: Remove a redundant function argument
  * switch-on-port-available: Fix error reporting style
  * alsa-mixer: Introduce "description-key" option for paths
  * alsa-mixer: Remove the "name" option from the "General" section of path configuration files
  * device-port: Make it impossible to have dual-direction ports
  * .gitignore: Update m4/ ignore list
  * core-util: Don't accept random words in pa_parse_boolean()
  * alsa: Don't use pa_strna() for port names
  * pasuspender: Resume before exiting in case of SIGINT or fork() failure.
  * module: Assign the index before calling init()
  * bluetooth: Fix error checking style
  * bluetooth: Fix input port description
  * .gitignore: Add lo-latency-test
  * native: Don't enable prebuffering when draining
  * combine: Fix crash in output freeing
  * bluetooth: Fix too late assertion
  * log: Fix error message
  * core-util: Fix log message levels
  * .gitignore: Add build-aux
  * device-port: Assert that ports have a description
  * object: Initialize allocated memory to zero
  * source: Fix an indentation mistake
  * dynarray: Reimplement with nicer semantics
  * alsa-mixer: Add a couple of assertions
  * waveout: Simplify setting the device description
  * device-manager: Add a sanity check for reading entries
  * device-manager: Refuse to load empty descriptions
  * build-sys: Add native-instruments-traktor-audio2.conf to Makefile.am
  * mainloop-test: Use FALSE instead of false for gboolean
  * channelmap, volume: Don't refer to bool in the public API documentation
  * pulse: Add verbose volume printing functions
  * Use pa_(c)volume_snprint_verbose() everywhere
  * sink-input: Keep reference ratio up-to-date
  * Revert "resampler: Resample first followed by remapping if have more out channels than in channels"
  * module: Fix crash in pa_module_unload_all()
  * log: Fix thread name printing
  * caps: Fix compilation on Windows
  * tunnel: Fix reading state from wrong variable
  * log: Remove pa_log_set_fd()
  * log: Use pa_write() instead of write()
  * log: Harmonize log target output
  * ucm: Fix an incorrect log message
  * sink: Add missing curly braces
  * dbus: Fix invalid dbus_bool_t values
  * vala: Add CVolume.set()
  * loopback: Increase the maximum allowed latency
  * resampler: Fix peaks resampler's channel handling
  * source-output: Get the correct source for "direct_on_input" streams
  * sink, source: Reduce indentation level in *_update_rate()
  * sink, source: Don't care about default and alternate rate in passthrough mode
  * sink, source: Fix default and alternate rate assertions
  * sink, source: Small readability improvement
  * sink, source: Return early from pa_*_update_rate(), if there's no need to do anything
  * source: Fix monitor source rate changing
  * source: When updating a monitor source's rate, update the sink rate too
  * sink, source: Fix error reporting style for rate updates
  * resampler: Never return zero for max block size
  * suspend-on-idle: Allow disabling suspending for specific devices
  * .gitignore: Add .dirstamp
  * bluetooth: Add a comment about messing with the IDLE suspend cause
  * build-sys: Don't define _FORTIFY_SOURCE when building with -O0
  * build-sys: Print CPPFLAGS in configure
  * bluetooth: Remove adapter_remove_all()
  * bluetooth: Fix variable constness
  * simple: Improve pa_simple_read() documentation
  * sink-input, source-output: Don't assume that proplist has been initialized in free()
  * bluetooth: Remove a redundant variable
  * bluetooth: Use a helper function for setting device_info_valid
  * bluetooth: Don't mark device valid before it has an adapter
  * bluetooth: Fire DEVICE_CONNECTION_CHANGED in set_device_info_valid()
  * bluetooth: Remove device_remove_all()
  * bluetooth: Set device_info_valid to -1 when the device's adapter disappears
  * source-output: Log the format negotiation result
  * sink, source: Add a TODO comment about removing get_formats()
  * idxset: Allow deep copying with pa_idxset_copy()
  * ucm: Add a FIXME comment about bad error handling
  * Pass the profile object instead of the profile name to pa_card_set_profile()
  * card: Move pa_card_add_profile() implementation to a more logical place
  * bluetooth: Fix profile priority comparison
  * Add pa_sample_format_valid()
  * Add pa_sample_rate_valid()
  * Add pa_channels_valid()
  * sink-input: Fix volume_factor_sink initialization
  * caps: Improve log message
  * caps: Fix platform checking
  * caps: Remove the FreeBSD implementation of pa_drop_caps()
  * volume-test: Increase the allowed number of rouding errors
  * Move pa_format_info_to_sample_spec_fake() to core-format
  * core-format: Add pa_format_info_get_sample_format()
  * core-format: Add pa_format_info_get_rate()
  * core-format: Add pa_format_info_get_channels()
  * core-format: Add pa_format_info_get_channel_map()
  * format: Simplify pa_format_info_to_sample_spec()
  * core-format: Add pa_format_info_to_sample_spec2()
  * core-format: Add pa_format_info_from_sample_spec2()
  * sink-input, source-output: Do routing related validity checks immediately after routing
  * format, core-format: Constify some function parameters
  * stream-util: Add pa_stream_get_volume_channel_map()
  * stream: Remove a volume channel validity check
  * sink-input, source-output: Interpret missing PCM parameters in format info as a request to decide those parameters at the server end
  * def, format: Document how to leave PCM parameters to be decided by the server
  * stream: Improve pa_stream_connect_playback() documentation
  * stream: Mention pa_stream_new_extended() in the high-level stream creation documentation
  * format: Add some error logging
  * caps: Use standard macro when checking for Linux
  * build-sys: Fix building with --as-needed
  * alsa: Mute "Bass Speaker" when using headphones or lineout
  * Revert "ladspa-sink: Handle empty chunks in sink_input_pop_cb"
  * sink, source: Remove useless attach/detach stuff
  * introspect, thread-mainloop: Fix Doxygen "since" tags
  * build-sys: Bump sonames
  * build-sys: Add tests/runtime-test-util.h to the tarball
  * caps: Don't require --without-caps on FreeBSD
  * device-manager: Don't try to use unlinked devices
  * module: Replace rindex() with strrchr()
  * card-restore: Fix a memory leak
  * thread-win32: Implement pa_thread_free_nojoin()
  * protocol-native: Fix a crash
  * source: Increase max outputs per source
  * man: pulse-cli-syntax: Document the "journal" log target
  * sink-input, source-output: Don't crash if format negotiation fails
  * rtp-send: Use _cb suffix with callbacks
  * rtp-send: Add "inhibit_auto_suspend" module argument
  * Update NEWS
  * suspend-on-idle: Fix monitor source handling
  * Remove all references to the removed KDE files
  * alsa: Remove a redundant check
  * pactl: Fix a copy-paster error
  * tunnel: Fix inverted if condition
  * volume: Increase PA_SW_VOLUME_SNPRINT_DB_MAX
  * mainloop-api: Improve pa_mainloop_api_once() documentation
  * core-util: Make pa_yes_no() translatable
  * pacat: Fix partially translated message
  * zeroconf-publish: Add locking around pa_mainloop_api_once()
  * zeroconf-publish: Don't react to messages while shutting down
  * doxygen: Update the configuration file
  * direction: Add a couple of direction helper functions
  * introspect: Use pa_direction_valid() to validate port direction
  * pactl: Fix crash with older servers
  * util: Check that the home dir is an absolute path
  * client-conf: Remove redundant function parameters
  * client-conf: Don't create multiple cookie files
  * zeroconf-publish: Don't assume any particular defer event ordering
  * hashmap: Add pa_hashmap_remove_and_free()
  * Use pa_hashmap_remove_and_free() where appropriate
  * doxygen: Enable GENERATE_DEPRECATEDLIST
  * sink-input, source-output: Fix mute saving
  * sink, source: Assign to reference_volume from only one place
  * sink-input, source-output: Assign to volume from only one place
  * sink, source: Return early from set_mute()
  * sink-input, source-output: Add logging to set_mute()
  * sink, source: Allow calling set_mute() during initialization
  * echo-cancel: Remove redundant get_mute() callback
  * sink, source: Call set_mute() from mute_changed()
  * sink, source: Assign to s->muted from only one place
  * sink-input, source-output: Remove redundant get_mute() functions
  * solaris, tunnel: Remove some redundant boolean conversions
  * sink, source: Add hooks for volume changes
  * sink-input, source-output: Add hooks for volume changes
  * sink, source: Add hooks for mute changes
  * sink-input, source-output: Add hooks for mute changes
  * bluetooth: Remove redundant assignments
  * bluetooth: Fix a copy-paste error in log message
  * resampler: Remove prefix from static functions
  * shell-completion: Add completion for parec
  * bluetooth: Add "valid" flag to pa_bluetooth_adapter
  * bluetooth: Refactor device validity management
  * combine-sink: Make the latency range calculation easier to read
  * combine-sink: Add a convenience variable
  * combine-sink: Fix the initial requested latency of new outputs
  * combine-sink: Rearrange block_usec initialization
  * client-conf: Don't report failure from pa_client_conf_load()
  * client-conf: Move x11 and env loading to pa_client_conf_load()
  * authkey: Remove pa_authkey_load(), it's redundant
  * authkey: Rename pa_authkey_load_auto() to pa_authkey_load()
  * core-util: Add pa_append_to_home_dir()
  * esound, native: Pass an absolute path to pa_authkey_load() when using a file in the home directory
  * core-util: Add pa_get_config_home_dir()
  * core-util: Add pa_append_to_config_home_dir()
  * authkey: Use the config home dir for relative paths
  * bluetooth: Refactor POLLHUP handling
  * device-manager: Add a comment about non-extensible struct
  * .gitignore: Add srbchannel-test
  * simple: Take locally buffered data into account in pa_simple_get_latency()
  * sink-input, source-output: Assign to reference_ratio from a single place
  * shell-completion: Install the Zsh completions
  * shell-completion: zsh: Move duplicated code into a function
  * shell-completion: zsh: Support also --server in remote detection
  * shell-completion: zsh: Don't say "this help" when it's a different help
  * shell-completion: zsh: Don't use multiple option sets for one command
  * shell-completion: zsh: Use -S and -A with _arguments
  * shell-completion: zsh: Add "=" to the end of some command options
  * alsa-mixer: Fix path subset detection
  * device-restore: Sync the database on unload
  * raop: Don't use incompatible default sample spec parameters
  * bluetooth: Always initialize profile->available
  * device-manager: Don't allow setting an empty description in the client API
  * alsa-mixer: Mark "Line HP Swap" as required-any
  * Add a Valgrind suppression file
  * core-util: Add pa_unset_env()
  * switch-on-connect: Initialize userdata contents to zero
  * tunnel-sink-new: Limit the maximum latency to 200 ms
  * bluetooth: Move stuff to pa_bluetooth_transport_put/unlink()
  * tunnel-sink-new: Fix requested latency check
  * shell-completion: zsh: Mark a variable as local
  * shell-completion: zsh: Rework pactl completion
  * alsa-mixer: Merge analog-output-desktop-speaker with analog-output-speaker(-always)
  * alsa-mixer: Ignore some elements in the analog-output path
  * socket-server: Improve readability
  * build-sys: Fix a variable value check
  * .gitignore: Add pulseaudio.service
  * shell-completion: zsh: Fix set-default-sink/source completion
  * shell-completion: zsh: Fix the set-card-profile description
  * dbus: Fix the ActivePort property handler
  * raop: Fix a memory leak
  * NEWS: Zsh completion support isn't new in 6.0
  * build-sys: Always define bluetooth related HAVE_* variables
  * build-sys: Fix the BlueZ 5 native headset backend check
  * module: Fix unsafe iteration
  * i18n: Add French translation for "Speaker"
  * card-restore: Fix profile restoring with bluetooth
  * tunnel-sink-new: Fix stale audio on resume
  * build-sys: Don't enable libsamplerate by default
  * i18n: Fix up the Turkish translation
  * alsa-mixer: Add lineout to surround21 mappings
  * alsa: Don't try to use ELD controls with UCM
  * socket-server: pa_socket_server_new() can't fail, so don't check its return value
  * dynarray: Add pa_dynarray_last()
  * dynarray: Add pa_dynarray_remove_by_index()
  * dynarray: Add pa_dynarray_remove_by_data()
  * dynarray: Add PA_DYNARRAY_FOREACH
  * tagstruct: Refactor writing/reading basic types
  * alsa: Don't access pa_sink/source_new_data after done() has been called
  * core-util: Make number parsing stricter
  * ucm: Add support for "JackControl"
  * .gitignore: Add lfe-filter-test
  * sink, source: Fix a volume change leak
  * pactl: Fix relative volume parsing
  * core-util: Filter out not-a-numbers in pa_atod()
  * core-util: Make pa_parse_volume() more strict
  * oss: Use the correct fd when interacting with the mixer
  * build-sys: add winerrno.h to libpulsecommon_SOURCES
  * combine-sink: Fix unsafe message handling
  * alsa-mixer: Add descriptions for analog-stereo-input and analog-stereo-output mappings
  * build-sys: make error message visible
  * alsa: Add pa_alsa_jack_new() and pa_alsa_jack_free()
  * ucm: Don't create separate input and output jacks
  * alsa: Add associations between jacks, UCM devices and UCM ports
  * alsa: Move UCM port availability updating to the mixer code
  * ucm: Create only one jack object per kcontrol
  * ucm: Add support for "JackHWMute"
  * build-sys: bump sonames
  * update NEWS for 7.0
  * alsa-mixer: sb-omni-surround-5.1.conf: rename analog-stereo to analog-stereo-output
  * alsa-mixer: sb-omni-surround-5.1.conf: remove analog-surround-40 mapping
  * build-sys: check strtod_l instead of strtof_l
  * core-util: include xlocale.h when using strtod_l()
  * build-sys: bump sonames
  * build-sys: add sb-omni-surround-5.1.conf to Makefile.am
  * alsa-mixer: Add "Dock Line Out" jack handling to analog-output-speaker-always
  * build-sys: fix the default bash completion directory
  * alsa-ucm: fix pa_device_port.profiles leak
  * man: document when system.pa is used instead of default.pa
  * man: remove a reference to pacmd from default.pa.5
  * core-util: improve comments in pa_machine_id()
  * build-sys: fix PULSE_LOCALEDIR definition
  * conf-parser: add support for .d directories
  * client-conf, daemon-conf: enable .d directories
  * always-sink: simplify hook management with pa_module_hook_connect()
  * build-sys: bump sonames
  * build-sys: add typedefs.h to libpulsecore SOURCES
  * source-output: do volume_factor_source application before resampling
  * source-output: remap volume_factor_source when starting move
  * device-manager: improve logging about non-existing data
  * default.pa: remove X11 module examples
  * echo-cancel: Add some bits for webrtc intelligibility enhancer
  * card-restore: save the database when shutting down
  * resampler-test: remove translations
  * filter-apply: fix typo "what" -> "want"
  * build-sys: build gtk-test only when glib is enabled
  * echo-cancel: rework move handling
  * don't move streams to devices that are going away
  * device-manager, filter-apply: don't reroute streams that have a filter
  * sink-input, source-output: rework property setting
  * sink-input, source-output: remove set_name()
  * loopback: refactor proplist updating
  * filter-apply: simplify proplist updating
  * switch-on-port-available: unify input/output switching policy
  * switch-on-port-available: fix inverted if condition
  * switch-on-port-available: avoid repetitive pointer deferencing
  * card: add preferred_{input, output}_port
  * card-restore: restore preferred ports
  * switch-on-port-available: prefer ports that have been selected by the user
  * alsa: ignore jack events when the user is inactive
  * dbus: fix crash on LoadModule()
  * pstream: fix revoke callback setting
  * webrtc: improve comment about mic geometry
  * alsa, bluetooth: fail if user-requested profile doesn't exist
  * card: don't allow the CARD_NEW hook to fail
  * card: move profile selection after pa_card_new()
  * card: remove pa_card_new_data.active_profile
  * alsa: set availability for (some) unavailable profiles
  * launch: explain why .service depends on .socket
  * bluetooth: wait for all profiles to connect before creating card
  * card-restore: don't switch profiles when availability changes
  * bluetooth: remove a redundant assignment
  * bluetooth: update device's valid flag after parsing properties
  * bluetooth: unify BlueZ 4 and BlueZ 5 UUID handling
  * bluetooth: unify BlueZ 4 and BlueZ 5 profile constant names
  * bluetooth: refactor BlueZ 4 transport state setting
  * bluetooth: don't create the HSP/HFP profile twice
  * zeroconf-publish: fix uninitialized variable
  * zeroconf-publish: unref D-Bus connection
  * daemon-conf: enable memfd by default
  * raop: add compatibility with openssl 1.1.0
  * remove module-xenpv-sink
  * module: postpone lt_dlclose() until a safe time
  * rtp: don't use memblocks for non-audio data
  * don't assume that pa_asyncq_new() always succeeds
  * bluetooth-policy: do A2DP profile restoring a bit later
  * suspend-on-idle: use earlier (safer) hooks for stream unlink notifications
  * sink-input, source-output: set sink/source to NULL before the "unlink post" hook
  * sink, source: unify stream "attached" flag checking
  * sink, source: add missing stream "attached" flag handling
  * sink, source: remove some assumptions about stream "attached" state
  * refactor stream attaching/detaching
  * build-sys: add LICENSE.WEBKIT to EXTRA_DIST
  * Revert "memblockq: remove internal "missing" state variable"
  * LICENSE: add a clarification
  * LICENSE: add a note about qpaeq being licensed under AGPL
  * memblockq: remove pa_memblockq_missing()
  * memblockq-test: fix incorrect assumption of pa_memblockq_pop_missing() behaviour
  * build-sys: bump sonames
  * zeroconf-publish: fix unitialized DBusError
  * update NEWS
  * build-sys: add the AGPL license file to tarballs
  * x11-bell: ignore volume from X11
  * thread-test: fix deadlock
  * alsa-util: don't crash on devices with more than 32 channels
  * iochannel: don't use variable length array in union
  * udev-detect: don't use readdir_r(), it's deprecated
  * dbus: fix card profile change signals
  * bluetooth-policy: retain backwards compatibility
  * bluez5-util: fix profile waiting logic
  * bluetooth: assert that dbus_message_iter_append_basic() doesn't fail
  * bluetooth: allow UTF-8 in device descriptions
  * i18n: update the Swedish translation
  * thread-mainloop: fix volatile use in example
  * pipe-sink: set correct latency
  * protocol-native: log who changes card profiles
  * memblock: multiple references should make blocks read-only
  * ladspa-sink, virtual-surround-sink: fix master sink argument handling
  * alsa: don't assume that hw:x is an analog output
  * improve default sink/source handling
  * core, device-port: check availability when choosing the default device
  * jack-sink: fix latency calculation
  * sink, source: update the default sink/source on port switches
  * sink-input, source-output: don't allow moving streams that are connected to moving filter devices
  * i18n: update the French translation
  * Revert "bluetooth: Auto recover if profile is 'off'"
  * man: fix a copy-paste error
  * man: fix typos: "my" -> "may"
  * man: fix typo: "the" -> "they"
  * fix dbus message leaks
  * core: change configured_default_sink/source type to string
  * protocol-native: fix bytes-to-usec conversion of "on-the-fly" data
  * simple: fix negative latency handling
  * build-sys: bump sonames
  * build-sys: add coverity/model.c to the tarball
  * echo-cancel: don't set latency range if the device doesn't support dynamic latency
  * core: ignore devices that are not linked when choosing the default sink or source
  * update NEWS
  * NEWS: add GNU Hurd support
  * equalizer-sink: update sink description when moving
  * raop: silence a Coverity complaint
  * alsa-mixer: set PCM Capture Source for iec958 input
  * build-sys: add iec958-stereo-input.conf to dist_alsapaths_DATA
  * device-port, switch-on-port-available: fix automatic profile changing when current profile is off
  * cli-command: unload modules synchronously
  * main: set umask to 077 instead of 022
  * bluetooth: recognize another HSP HS UUID
  * build-sys: add the Arctis configuration
  * sink, source: don't try to update volumes of not-yet-linked devices
  * sink, source: fix out of date comments
  * sink: remove priority bonus for the "internal" form factor
  * alsa-mixer: add mixer handling to the fallback stereo case
  * update NEWS
  * LICENSE: fix typo
  * qpaeq: change license from AGPL to LGPL v2.1
  * thread-mq: create event on the right mainloop
  * i18n: add raop files to POTFILES.in
  * Revert "alsa-mixer: fix speaker output on a couple of Asus EeePC machines"
  * source-output: fix copy-paste error
  * bluetooth: set better priorities for profiles
  * volume: improve documentation
  * mention the sound card clock and system clock difference in libpulse docs
  * system.pa: load module-device-restore before module-udev-detect
  * system.pa: load module-card-restore
  * sink-input, source-output: add a couple of assertions
  * alsa-sink: update max_rewind when updating the latency
  * remap-source, virtual-source: fix max_rewind handling
  * card-restore: log the correct profile name
  * card-restore: don't restore unavailable profiles
  * echo-cancel: ignore remaining canceller messages after the module has been unloaded
  * echo-cancel: fix a memory leak
  * sink-input, source-output: add sink/source_requested_by_application flag
  * device-manager: don't override application routing requests
  * core-util, cpu-x86: use __get_cpuid() instead of homegrown assembly
  * augment-properties: fix a memory leak
  * map-file: add pa_encoding_from_string
  * alsa: fix infinite loop with Intel HDMI LPE
  * sink, source: improve state change logging
  * sink, source: improve suspend cause logging
  * build-sys: fix PA_MODULE_NAME for module-default-device-restore
  * switch-on-port-available: remove unused return values
  * alsa-mixer: add another hardware ID for Traktor Audio 6
  * bluetooth: don't send unsolicted replies to the endpoint Release() call
  * memfd-wrappers: only define memfd_create() if not already defined
  * alsa-mixer: add hw_device_index to pa_alsa_mapping
  * alsa-mixer: autodetect the HDMI jack PCM device
  * alsa-mixer: autodetect the ELD device
  * sink, source: redo state changing code
  * pass pa_suspend_cause_t to set_state() callbacks
  * sink: don't sync monitor suspend state when unlinking
  * alsa, solaris, oss: remove unnecessary error handling when suspending
  * alsa: add a couple of FIXME comments
  * null-sink, pipe-sink: some state variable cleanups
  * bluetooth: fix resume error handling
  * sink, source: rename set_state() to set_state_in_main_thread()
  * oss: don't fail resume if trigger() fails
  * replace sink/source SET_STATE handlers with callbacks
  * pass pa_suspend_cause_t to set_state_in_io_thread() callbacks
  * fix a call to pa_sink_suspend() from an incorrect thread
  * man: unify pactl and pacmd suspend command documentation
  * .gitignore: add module-gsettings related things
  * default.pa: add module-gsettings
  * gsettings: add the modules schema to the schema description file
  * gconf, gsettings: fix config.h includes
  * gsettings: rename "module" to "module-group"
  * build-sys: remove a redundant enable_gsettings check
  * gsettings: check that children haven't been deleted before using them
  * gsettings: remove bad signal connection
  * gsettings: free the module-group GSettings objects after use
  * gsettings: free group_names after use
  * build-sys: enable GSettings by default
  * gsettings: run gsettings-data-convert from gsettings-helper
  * allow-passthrough: fix hook return value
  * build-sys: bump sonames
  * build-sys: fix distribution of GSettings files
  * build-sys: remove module-defs.h.m4 from EXTRA_DIST
  * alsa-card: fix null dereference
  * sink-input, source-output: fix uninitialized variable access
  * update NEWS
  * alsa-card: improve the profile availability logic
  * set exit_idle_time to 0 when we detect a session
  * .gitignore: add m4/extern-inline.m4 and remove-ptcdate.sed
  * core-format: fix TrueHD and DTS-HD channel maps
  * alsa-mixer: make the mono mapping a fallback only
  * context: constify pa_context_set_error()
  * switch-on-port-available: ignore bluetooth cards
  * sink-input: remove the DRAINED state
  * sink-input, source-output: remove the state getters
  * sink, source: remove the state getters
  * ladspa-sink: fix search path
  * pipe-sink, pipe-source: fix file permissions
  * update NEWS
  * update NEWS
  * i18n: update translation bug reporting links
  * daemon-conf: fix printing avoid-resampling in pa_daemon_conf_dump()
  * .gitignore: add passthrough-test
  * alsa-mixer: don't make lineout unavailable when headphones are plugged in
  * alsa-mixer: swap lineout and headphone priorities
  * raop: add error handling to rsa_encrypt()
  * raop: fix typo: modules -> modulus
  * bluez5-device: use correct RTP payload type
  * alsa-mixer: improve a comment in udev rules
  * build-sys: Lower the minimum gettext version
  * build-sys: Fix the Meson build
  * i18n: a couple of improvements to the Spanish translation
  * core: send subscription events when the configured default sink or source changes
  * loopback: remove an unnecessary level of pointer dereferencing
  * loopback: fix callback name in comment
  * sink, source: Don't change suspend cause when unlinking
  * .gitignore: add atomic-test
  * a2dp-codec-sbc: get rid of compiler warnings
  * main: Log more information when executing default.pa fails
  * bootstrap.sh: don't set sysconfdir and localstatedir configure options
  * update NEWS
  * build-sys: Add missing files to release tarballs
  * Update NEWS
  * alsa-mixer-path-test: Hide unused functions when building with Meson
  * daemon-conf: disable flat-volumes by default
  * null-sink: allow clients to configure the supported formats
  * alsa-mixer: recognize the "Speaker Jack" control
  * man: remove outdated information about real-time scheduling
  * gitlab: explain the container image tag better
  * stream: clarify the meaning of NULL device
  * core-util: Handle zero-length volume string
  * switch-on-connect: Blacklist HDMI devices by default
  * virtual-source: Don't process the rewind during requesting it
  * virtual-surround-sink: Use correct sample spec with memblockq
  * sink, source: Fix inaccurate log message
  * alsa: Document that mixer elements can be identified by a combination of name and index
  * ucm: Don't log errors during normal operation
  * protocol-native: Fix error code
  * i18n: Import Bulgarian translation from fedora.zanata.org
  * i18n: Merge Catalan translation from fedora.zanata.org
  * i18n: Replace po/ja.po with the Fedora Zanata version
  * i18n: Replace po/es.po with the Fedora Zanata version
  * i18n: Add pulseaudio.pot to version control
  * meson: Remove libpulse dep from libpulsecore
  * Point to SupportedAudioFormats wiki page where appropriate
  * thread-mainloop: Extend the locking documentation a bit
  * stream-restore: Drop the version field from the entry struct
  * stream-restore: Fix a potential crash in pa_namereg_is_valid_name()
  * stream-restore: Forget pre-14.0 stream routing
  * raop-sink: Fix compiler warnings
  * sink, source: Use the global configuration for the avoid_resampling default
  * man: Explain the limitations of "pulseaudio --check"
  * alsa-ucm: Fix NULL pointer handling
  * i18n: Update pulseaudio.pot
  * build-sys: meson: bump protocol version
  * remap_neon: use register r12 instead of r7
  * device-port: send sink and source change events when availability changes
  * build-sys: Build atomic-test only if pthread_setaffinity_np() is available
  * meson: Build atomic-test
  * udev: fix too long card name with HyperX Cloud Orbit S
  * gitignore: Ignore hashmap-test
  * build-sys: Configure doxygen.conf.in a bit differently
  * meson: Add doxygen target
  * Improve the port available_group and type documentation
  * alsa-mixer: Fix mapping_group_available() logic
  * Rename "available group" to "availability group"
  * alsa-mixer: Fix indentation
  * i18n: Update pulseaudio.pot
  * man: client.conf: Explain that autospawn=no doesn't disable systemd autostarting

  [ Milo Casagrande ]
  * Update Italian translation.
  * i18n: Update Italian translation
  * i18n: update the Italian translation
  * i18n: update Italian translation
  * i18n: update Italian translation
  * l10n: Update Italian translation
  * l10n: Update Italian translation
  * Translated using Weblate (Italian)

  [ Göran Uddeborg ]
  * Translated using Weblate (Swedish)

  [ Tom Yan ]
  * main, core: check idle after loading conf
  * man: mention that exit-idle-time is complied if the user is lingering

  [ itsthem ]
  * pulsecore: Replace gendered pronouns with gender neutral ones

  [ Felix Yan ]
  * shell-completion: zsh: Correct a typo

  [ Balázs Meskó ]
  * Translated using Weblate (Hungarian)

  [ Milo Ivir ]
  * Translated using Weblate (Croatian)

  [ Geert Warrink ]
  * Translated using Weblate (Dutch)

  [ Kai-Heng Feng ]
  * alsa: Skip resume PCM if hardware doesn't support it
  * alsa-mixer: Recognize USB audio jack mixer
  * module-alsa-card: Set a minimum profile priority if it's not set

  [ Rosen Penev ]
  * modules: fix wrong formats under 32-bit
  * raop-crypto: add missing header

  [ Jan Alexander Steffens (heftig) ]
  * alsa-mixer: Actually install analog-input-headphone-mic.conf
  * core-util: Clamp RLIMIT_RTTIME to what RealtimeKit accepts
  * alsa: Fix crash when loading bare ALSA sink/source
  * thread-mq: Initialize thread_mainloop to NULL if not in use
  * launch: Remove the already implicit After=pulseaudio.socket
  * build-sys: Install cmedia-high-speed-true-hdaudio.conf
  * meson: Fix build of padsp
  * meson: Fix library versioning to match Autotools
  * meson: Fix installation of headers
  * build-sys: meson: Add some missing checks
  * build-sys: meson: Fix 2 cases of joining paths w/o join_paths
  * autotools: Put module-tunnel-source X11_CFLAGS into CFLAGS instead of LDFLAGS
  * meson: Define TUNNEL_SINK for module-tunnel-sink
  * build-sys: meson: Fix detection of SYS_memfd_create
  * meson: Add missing thread_dep to atomic-test
  * build: Make alsadatadir configurable

  [ Wim Taymans ]
  * protocol-native: use the right samplerate
  * sample-utils: split out functions from case
  * sample-utils: coding style cleanup
  * sample-util: move some functions around
  * sample-util: move volume code to separate file
  * samples-util: add padding to volume array
  * volume: add first mmx optimized function
  * volume_mmx: fix mmx code a bit
  * volume_sse: add sse optimisations
  * svolume: improve SSE and MMX code
  * cpu-x86: add cpu detection code and helpers
  * main: hook up cpu detection code
  * cpu-x86: guard header with ifdef
  * svolume: add some comments
  * volume: make the benchmark more meaningfull
  * volume: improved comments
  * volume: remove ref functions
  * Get rid of liboil
  * resampler: cache integer channel_map
  * svolume: remove unneeded compare
  * svolume: add ARM optimized volume scaling
  * svolume: add CPU guards around code
  * resample: refactor the channel remapping a little
  * resample: fix counters
  * resampler: fix identity check
  * sample: manually inline table lookups
  * svolume: fix compilation in 32bits
  * x86: keep the cpu flags local
  * arm: implement ARM cpu detection
  * svolume: add comment
  * resampler: avoid some multiplies when we can
  * whitespace fixes
  * svolume: cleanups
  * alsa-sink: reduce the amount of smoother updates
  * sconv: allow for setting custom functions
  * resamples; refactor the channel remapping bits
  * remap: move remapping code in separate file
  * remap: allow specialisations to install NULL
  * remap: init the do_remap function to NULL
  * remap: add MMX mono to stereo
  * remap: make the MMX code pretier
  * sconv: fix indentation
  * remap: add sse optimized mono to stereo
  * sample-util: avoid stack overrun
  * remap: cleanup assembler a little
  * macro: add macro to align variables
  * convert: add sse/sse2 s16 to float32ne conversions
  * remap: fix counters for mmx and sse remap
  * sconv_sse: fix leftover counter
  * x86: only install some functions when SSE2
  * x86: also call see init for SSE2
  * svolume_sse: fix comment
  * svolume_mmx: optimize some more
  * svolume: tweak constraints for 32 bits
  * sink: simplify silence checks
  * svolume: fix MMX error
  * protocol: use the right sample rate for sources
  * alsa: resume smoother after unsuspend
  * make echo-cancel module that exposes a new sink and source
  * echo-cancel: take into account snapshot delay
  * echo-cancel: use the phone media role
  * echo-cancel: tweak the resync code a little
  * echo-cancel: improve debug
  * echo-cancel: keep frame_size a power of 2
  * alsa: increase the smoother window
  * smoother: avoid losing precision
  * alsa-source: refactor smoother and device start
  * alsa-time-test: make test usable for capture too
  * alsa: work around slightly broken _delay implementations
  * echo-cancel: rework alignment code
  * alsa: make defines for smoother configuration
  * echo-cancel: improve accuracy
  * echo-cancel: pause timer when echo canceling is off
  * daemon: Remove deprecated Encoding from .desktop files
  * man: improve man page and help for cmdline options
  * device-restore: log restored mute state
  * combine-sink: rework output add/remove
  * combine-sink: add support for DYNAMIC_LATENCY
  * configure: fix headset check
  * bluez5-device: use get_profile_direction
  * bluez5-util: add destroy function
  * backend-native: add a new native headset backend
  * backend-native: implement volume control
  * bluetooth: set gain correctly
  * svolume.orc: avoid parameter loading undefined behaviour
  * Add korean translation
  * suspend-on-idle: resume on unload
  * backend-native: add support for the HSP Headset role
  * X11: Add xauthority parameter
  * alsa: handle unavailbale HW volume in UCM
  * alsa-ucm: use the right profile name
  * modules: fix some small memory leaks
  * alsa-util: fix check for digit

  [ Tomasz Kontusz ]
  * alsa-mixer: Fix well-known descriptions for steelseries game/chat outputs
  * alsa-mixer: Remove unused iec958-passthrough* descriptions
  * alsa-mixer: add description-key to Mappings and Profiles
  * alsa-mixer: add support for Astro A50 gaming headset

  [ Eero Nurkkala ]
  * alsa-sink: add missing header 'signal.h'
  * alsa-source: add missing header 'signal.h'
  * alsa-ucm: disallow null mdev argument into pa_alsa_open_mixer_by_name()
  * tests: hashmap-test.c: fix memory leak
  * tests: cpu-remap-test.c: fix memory leaks

  [ zhaochengyi ]
  * pulsecore: Add exception judgment to fix the crash when playing music

  [ Hui Wang ]
  * rescue-streams: try to find best one using availability and priority
  * module-switch-on-connect: add an argument for conditionally connecting
  * module-switch-on-port-available: make the output more accurate
  * lfe-filter: change the crossover frequency as a parameter
  * tests: adding lfe-filter-test
  * daemon-conf: enable the lfe remixing by default
  * tests: Remove a redundant mempool_new from resampler-test
  * tests: add tolerant variation for comparing the rewind result
  * alsa: make priority of the port headset-mic higher than headphone-mic
  * alsa-mixer: Add support for usb audio in the Dell dock TB16
  * build-sys: add the Dell dock TB16 configuration
  * stream-restore: Don't restore if the active_port is PA_AVAILABLE_NO
  * sink-input: change bool save_sink to char *preferred_sink
  * sink-input: add a new API pa_sink_input_set_preferred_sink
  * sink-input: clear the preferred_sink if it is default_sink
  * core: move sink-inputs conditionally when update default_sink
  * sink: move streams to new appeared sinks if they prefer these sinks
  * device-port: moving streams due to changing the status of active_port
  * sink: move the streams to the default_sink when the sink is unlinked
  * stream-restore: skip entries setting action from gnome-control-center
  * source-output: change bool save_source to char *preferred_source
  * source-output: add a new API pa_source_output_set_preferred_source
  * source-output: clear the preferred_source if it is default_source
  * core: move source-outputs conditionally when update default_source
  * source: move streams to new appeared sources if they prefer these sources
  * device-port: moving streams since active_port on source changes status
  * source: move the streams to the default_source when the source unlink
  * stream-restore: skip entries set on source from gnome-control-center
  * alsa-mixer: store the ucm_device with the order of their priority
  * alsa: make the unsuspend more robust
  * alsa: adjust ucm sink/source priority according to ports priority

  [ Jean-Baptiste Holcroft ]
  * Translated using Weblate (French)

  [ Piotr Drąg ]
  * Initial Polish translation
  * Added Polish translation to LINGUAS
  * Updated Polish translation
  * Updated LINGUAS
  * Updated Polish translation
  * Updated Polish translation
  * Updated Polish translation
  * Updated Polish translation
  * Updated Polish translation
  * Updated Polish translation
  * Updated Polish translation
  * i18n: Update Polish translation
  * i18n: Update Polish translation
  * i18n: Update Polish translation
  * i18n: Update Polish translation
  * i18n: sort POTFILES.in alphabetically
  * i18n: add missing files to POTFILES.in
  * i18n: remove unneeded files from POTFILES.in
  * i18n: Update Polish translation
  * Updated Polish translation
  * i18n: Update Polish translation
  * i18n: Update Polish translation
  * i18n: fix errors and warnings in Belarusian and Korean translations
  * i18n: update Polish translation
  * i18n: update Polish translation
  * i18n: update Polish translation
  * Remove bad characters from Malayalam translation
  * i18n: update Polish translation
  * i18n: update Polish translation
  * i18n: update Polish translation
  * Translated using Weblate (Polish)

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ Baurzhan Muftakhidinov ]
  * i18n: Add initial Kazakh translation

  [ Libin Yang ]
  * core-subscribe: add PA_SUBSCRIPTION_EVENT_CARD in dump_event
  * device-port: queue CARD CHANGE event before update default sink

  [ Taahir Ahmed ]
  * Add a basic test suite for pa_hashmap

  [ Yuri Chornoivan ]
  * Update Ukrainian translation.
  * Update Ukrainian translation.
  * Fix various typos in messages and comments
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * i18n: Update Ukrainian translation
  * i18n: Update Ukrainian translation
  * i18n: update the Ukrainian translation
  * i18n: update the Ukrainian translation
  * i18n: update the Ukrainian translation
  * [l10n] Update Ukrainian translation
  * po: update Ukrainian translation
  * i18n: Update poulseaudio.pot

  [ Pali Rohár ]
  * bluetooth: bluez4: Add profile name to sinks and sources
  * bluetooth: Add support for automatic switch between hsp and a2dp profiles
  * bluetooth: bluez5: Add profile name to sinks and sources
  * bluetooth: Add support for automatic switch between hsp and a2dp profiles also for bluez5
  * bluetooth: Add optional heuristic for switching between hsp and a2dp profiles
  * bluetooth: policy: Remove BlueZ 4 related code
  * bluetooth: Update a2dp-codecs.h from upstream bluez project
  * bluetooth: Modular API for A2DP codecs
  * bluetooth: Add missing validations for SBC codec parameters
  * bluetooth: Clean up SBC bitpool calculation
  * bluetooth: Set correct endianity of audio samples for SBC codec
  * bluetooth: Fix usage of MTU, buffer sizes and return values of encode/decode methods
  * bluetooth: Change A2DP codec API of reset() method to indicate failure
  * bluetooth: Fix usage of RTP structures in SBC codec
  * bluetooth: Only perform write-related calculations when we have a sink
  * bluetooth: Implement reading SO_TIMESTAMP for A2DP source
  * bluetooth: Print SO_TIMESTAMP warning for SCO source only once
  * bluetooth: Ensure that only one A2DP codec is registered to bluez
  * bluetooth: policy: Remove BlueZ 4 related code

  [ Hugo Osvaldo Barrera ]
  * Delete .travis.yml

  [ roshal ]
  * man: remove space

  [ StefanBruens ]
  * raop: Send initial timing packet to prime UDP connection tracking

  [ efim ]
  * add comma

  [ Georg Chini ]
  * loopback: Don't push zero-sized block to memblockq
  * null-sink: correct update of timestamp when state changes to RUNNING or IDLE
  * loopback: Validate the rate parameter
  * role-cork: Don't ignore streams without media.role
  * role-cork: React to mute/cork of trigger streams and to proplist changes
  * role-cork: allow cork of all non-trigger streams using cork_roles=any_role
  * role-cork: remove corking on module exit
  * role-cork: prepare merge with role-ducking: move most code to stream-interaction.c
  * role-cork: prepare merge with role-ducking: replace "cork" with "interact" where appropriate
  * role-cork: more cosmetic changes, changed debug output
  * stream-interaction: Bugfix for improper uncorking behavior with global=1
  * stream-interaction: add ducking functionality
  * role-ducking: use the common code in stream-interaction.c
  * stream-interaction: interact if a stream starts corked
  * loopback: Save time stamps during latency snapshots
  * loopback: Improve latency estimation in snapshots
  * loopback: Improve latency estimation
  * loopback: Change memblockq length
  * loopback: Move timer restart and snapshots to timer callback
  * loopback: Restart timer after 1/3 second
  * loopback: Adjust rate based on latency difference
  * loopback: Stop tracking max_request and min_memblockq_length
  * bluetooth: Make use of getsockopt() to determine MTU configurable
  * bluez5-device: Use correct constants for fixed latency in PA_{SINK, SOURCE}_MESSAGE_GET_LATENCY
  * loopback: Rename sink_input_buffer to loopback_memblockq_length
  * loopback: correct comments about the thread calling a function
  * loopback: Initialize latency at startup and during source/sink changes
  * loopback: fix up the previous commit
  * bluetooth: use native and ofono backends in parallel with headset=auto
  * bluez5-util: Disconnect AG devices when ofono is started and headset=auto
  * sink-input/source-output: Don't crash when cork() is called without valid sink or source
  * loopback: Fix corking logic of module-loopback
  * loopback: Do not skip audio at startup
  * loopback: Calculate and track minimum possible latency
  * Merge branch 'master' of ssh://git.freedesktop.org/git/pulseaudio/pulseaudio
  * loopback: Add hooks to track port latency offsets
  * sink-input: Allow sink_input_set_rate() to be called during a move
  * loopback: Reset sink input rate when source or sink changes
  * loopback: Implement underrun protection
  * sample.c: Allow module-loopback to exceed PA_RATE_MAX
  * source/sink: Don't let pa_{sink, source}_get_latency_within_thread() return -1 if process_msg() fails
  * source/sink: Allow pa_{source, sink}_get_latency_within_thread() to return negative values
  * bluez5-util: Fix segfault during shutdown of daemon
  * echo-cancel: Fix segfault during profile switch
  * virtual sources and sinks: Fix possible segfault
  * source/sink: Fix wrong calculation of thread_info.current_hw_volume
  * volume: Print a warning when volume is clipped in pa_sw_volume_multiply/divide()
  * volume: Fix overflow in percent calculation of pa_*volume_snprint*()
  * bluez5-device: Correctly handle suspend/resume cyle for audio gateway role of ofono backend
  * virtual sinks and sources: Revert commits
  * virtual sources and sinks: Don't double attach a sink input or source output on filter load
  * sink/source: Don't update default sink/source before calling PA_CORE_HOOK_{SINK,SOURCE}_PUT
  * stream-restore: Ignore sink-inputs/source-outputs that connect a filter to the master
  * tunnel-{sink, source}-new: Fix assertion when used with loopback or combine-sink
  * bluez5-device: lower sink/source priority for Audio gateway or a2dp source
  * loopback: Use new allow_negative flag of pa_{source, sink}_get_latency_within_thread()
  * bluez5-device: Set transport state correctly for AG role
  * loopback: Track and use average adjust time
  * switch-on-connect: add option to ignore virtual sinks/sources
  * sink, source: Don't finish move if unlink happens after pa_*_move_all_start()
  * filter-apply: Ignore monitor source of filter in find_paired_master()
  * bluez5-device: Rewrite of thread function, reduce send buffer size for a2dp sink
  * bluez5-device: Fix memory leak in sco_process_render()
  * alsa-util: Set ALSA report_delay flag in pa_alsa_safe_delay()
  * alsa-util: Use time stamp config only for alsa versions >= 1.1.0
  * core-util: correct error in set_nonblock()
  * virtual-source: Fix crash in combination with module-loopback
  * loopback: Add option fast_adjust_threshold_msec
  * alsa: Improve resume logic after alsa suspend
  * sink, source: Call sink input suspend callback also on suspend cause change
  * ladspa-sink: Suspend virtual sink when master is suspended
  * null-source: fix multiple bugs
  * core-util: Avoid usage of pa_strbuf in pa_escape()
  * core: add simple message interface
  * source-output: Fix rewinding bug
  * sink-input: fix rewriting render memblockq when nothing should be rewound
  * Commit fd9e3452 removed -ffast-math from the compile flags. Under some
  * virtual sources: Propagate asyncmsgq change after source-output move
  * sink-input, source-output: Fix stream rescue if a move fails
  * daemon.conf: Add boolean rescue_streams parameter
  * sink, source: Fix stream rescue from sinks or sources without port
  * stream-restore: Restore preferred device for new streams

  [ Philip Withnall ]
  * zeroconf-discover: fix a memory leak
  * daemon: Add --log-target=journal to pulseaudio.service

  [ Khem Raj ]
  * padsp: Make it compile on musl
  * remap/arm: Adjust inline asm constraints

  [ Alexander E. Patrakov ]
  * alsa: add DTS profile
  * Documentation of known misuse of PulseAudio API
  * Fix a few "it's -> its" typos
  * Name HDMI outputs uniquely
  * core-util: Remove redundant check of directory permissions
  * build-sys: Eliminate _FORTIFY_SOURCE warnings
  * resampler: Support speex resampler compiled with FIXED_POINT
  * source, sink: Support weird sample rates
  * rtp-recv: fix crash on empty UDP packets (CVE-2014-3970)
  * alsa: Add extra HDMI mappings
  * resampler: Moved speex_is_fixed_point() to speex.c
  * resampler: Changed style of includes
  * Warn on loading module-equalizer-sink
  * Warn on loading module-dbus-protocol
  * Fix URLs still pointing to the old wiki
  * Fix the WhatIsWrongWithSystemWide URL
  * Make pa_socket_server_new static
  * module-loopback: don't use 0 for custom source output message id
  * echo-cancel: fix the obviously-wrong "buffer+=buffer" logic
  * loopback: Fix the obviously-wrong "buffer+=buffer" logic
  * alsa-sink: Don't pretend to support passthrough on HDMI surround sinks
  * Disable LFE remixing by default
  * alsa: reread configuration when opening new devices
  * resampler: Fix confusion between rear and side channels for 5.1 layouts
  * man: Deprecate the enable-remixing option

  [ Sebastien ]
  * Update configure.ac to fix the enable_gstreamer summary

  [ Jarno Suni ]
  * shell-completions/bash: Add pactl set-default-sink and set-default-source
  * shell-completion: Do not use 'awk -e' in bash completion

  [ Nick Moriarty ]
  * Permit root-owned home directory

  [ Yi-Jyun Pan ]
  * l10n: zh_TW: update translation

  [ Ben Buchwald ]
  * module-jackdbus-detect: Allow omitting channels argument
  * module-jackdbus-detect: Separate sink/source channels arguments

  [ Laurent Bigonville ]
  * i18n: fix French translation of "Line Out"
  * alsa-mixer: Add the ability to pass the intended-role to the mapping
  * alsa-mixer: Set the intended-role of Steelseries Arctis 5/7 headset as phone

  [ ckdo ]
  * raop: Fix non working tcp mode
  * rtp: Fix reverted test for INHIBIT_AUTO_SUSPEND_ONLY_WITH_NON_MONITOR_SOURCES
  * raop: Fix soft volume not applied on initial volume
  * raop: Fix rewinding handling : process just after request received
  * raop: Fix callback call in raop client after auth : only call once everything is freed
  * raop: Code clarification : Detect raop_client recording state in a proper way
  * raop: Code clarification : Only free the I/O thread when everything is initialized
  * raop: Add autoreconnect feature

  [ Peter Meerwald ]
  * echo-cancel: Fix memory leak in test program
  * pstream: Fix spelling of 'receive'.
  * stream: Fix comments
  * def: Document that pa_buffer_attr.maxlength is in bytes.
  * format: Fix unknown doxygen command \second
  * format: Add periods to fix brief documentation for pa_format_info_is_pcm()
  * format: Add description for format.h
  * introspect: Fix unresolved doxygen link pa_port_available_t
  * proplist: Add doxygen file description for proplist.h
  * proplist: Fix typos in doxygen documentation
  * utf8: Fix doxygen file description for utf8.h
  * proplist: Consistently use parameter name p for a pa_proplist* in prototype
  * error: Fix spelling of 'initialization' in errortab for PA_ERR_MODINITFAILED
  * stream: Fix 'e g' as 'e.g.\ '
  * simple: Fix typos in simple.h doxygen documentation
  * mainloop: Fix typos and rewording of thread-mainloop.h doxygen documentation
  * stream: Fix typos and formatting in stream.h doxygen documentation
  * build-sys: Make speex library optional
  * echo-cance: Make Adrian canceller optional
  * echo-cancel: Set file mode to binary in test code
  * echo-cancel: Begin log message with uppercase letter
  * echo-cancel: Better handling of error conditions in test
  * tests: Fix resampler-test compilation without NLS support
  * core: fix potential memory leak
  * core: sample_spec.rate is in Hz, not kHz; change logging output
  * core: fix typo in logging
  * core: comment typo
  * alsa: Mention correct ALSA function in debug log
  * core: Fix return of pa_cpu_init_arm()
  * core: Fix log message about ARM feature detection
  * sconv: Fix generation of floats in SSE test code
  * pulse: Turn the anonymous error code enum into pa_error_code_t.
  * pulse: Document general error handling.
  * manpage: document --log-target=file:PATH
  * manpage: document --log-meta, --log-time, log-backtrace
  * fix the ever-popular 'the the' typo
  * alsa: fix comment
  * core: whitespace typo
  * core: svolume tests should generate realistic random volume data
  * dbus: Fix dbus argument type in iface-stream.c handle_move().
  * build: Fix spelling in src/Makefile.am.
  * echo-cancel: Upper/lowercase in comment.
  * core: Fix comments.
  * pulse: Clarify proplist doxygen documentation.
  * pulse: Fix warning in introspect.h; minor rewording and punctuation.
  * pipe: whitespace and log output cleanup
  * pipe: check return value of mkfifo()
  * memblock: Fix typos.
  * build: Fix static linking
  * core: Set volumes const in pa_do_volume_func_t
  * modules: Add null/dummy echo canceller
  * daemon: Fix redundant redeclaration warning
  * svolume_arm: Fix a const warning.
  * echo-cancel: Fix false warning in webrtc AEC.
  * rtp: Fix warning using pa_assert_not_reached()
  * core: Add ARM NEON optimized sample conversion code
  * tests: Fix test description in cpu-test
  * tests: Implement test code for ARM NEON sconv s16_to_float
  * tests: Fix allowed sample formats in resampler-test usage text
  * echo-cancel: Fix error cleanup of pa_speex_ec_init()
  * tests: Fix conversion typo in cpu-test
  * tests: Fix potential out-of-bound access violation in svolume cpu-test
  * remap_sse: More specific logging: SSE -> SSE2
  * tests: Test both, SSE and SSE2, sconv in cpu-test
  * tests: Add remap test code to cpu-test
  * sconv: Check for SSE flag before initializing code
  * tests: Fix sconv sample correctness in cpu-test
  * resampler: Drop redundant assignment in convert_from_work_format()
  * resampler: Improve s16<-->s32 conversion, use s16 work format if input or output is s16
  * sconv: Change/fix conversion to/from float32
  * build-sys: ALSA use-case manager requires ALSA library >= 1.0.24
  * build-sys: Properly check for HAVE_DBUS in module-ladspa-sink
  * echo-cancel: Add function pa_echo_canceller_blocksize_power2()
  * echo-cancel: Output echo canceller name if invalid
  * echo-cancel: Fix memory leak / deinitialization of Adrian AEC
  * echo-cancel: Fix zeroing of w in AEC_leaky()
  * echo-cancel: Use proper float constants in adrian-aec
  * resampler: Resample first followed by remapping if have more out channels than in channels
  * tests: Volume-test seems to be long-running, set timeout
  * core: Move pa_mix() into new file mix.c
  * sample-util: Remove duplicate stdio.h #include
  * mix: Use table for calc_stream_columes()
  * mix: Split pa_mix() code using function table
  * mix: Export function to get/set mixing implementation for a sample format
  * mix: Combine loops over streams in pa_mix()
  * core: Refactor code to multiply s16 by volume
  * tests: Add mult-s16 test
  * mix: Add special cases for mixing streams in s16ne format
  * mix: Change end pointer to length parameter in mixing function
  * mix: Add optimized mix code path for ARM NEON
  * tests: Add NEON mix test cases to cpu-test
  * tests: add test/performance comparison for mixing special-case code
  * remap: fix check when to apply specialized code path
  * doc: Fix suggested dl-search-path in README
  * doc: Mostly fixing up i.e. versus i.e.\ in doxygen documentation
  * doc: Some more nitpicking in pulse/def.h doxygen documentation
  * doc: Document PULSE_COOKIE in pulseaudio.1
  * doc: Explain PULSE_SERVER string in pulseaudio.1
  * pstream: Fix case in log message
  * doc: Mention just one CLI language in default.pa.5
  * doc: Fix description how boolean values can be specified
  * doc: Reword description of meta commands in pulse-cli-syntax.5
  * echo-cancel: Fix send/recv_counter in calc_diff()
  * build: make ARM NEON check in configure.ac more strict
  * fdsem: Remember pa_write() type in pa_fdsem_post()
  * .gitignore: Ignore src/*.gcno files created when building with --enable-gcov
  * cli: Fix plural in caption of source-outputs list
  * pactl: Use colon to separate priority in profiles output
  * intended-roles: Fix typo in module description
  * rescue-streams: Fix wording of module description
  * sconv: avoid multiply in ARM NEON float->s16 conversion
  * sconv: avoid multiply in ARM NEON s16->float conversion
  * cli: Output prompt and welcome message only when requested by 'hello'
  * pacmd: Discriminate between interactive and non-interactive mode
  * cli: Use pa_xnew0 to save some 0 inits
  * memblock: Fix typo in description of pa_memblock_unref_fixed(), cleanup
  * tests: Resampler output memchunk may be reset (zero)
  * modargs: Add pa_modargs_get_resample_method()
  * modargs: Add pa_modargs_get_sample_rate()
  * tests: Extract PA_CPU_TEST* macros to separate header
  * resampler: Introduce work frame size (w_fz)
  * resampler: Introduce work_channels
  * resampler: Change interface, resampler may return the number of leftover frames
  * resampler: Handle leftover samples, use new return value
  * resampler: Cleanup, rename xxxx_buf_samples to xxxx_buf_size
  * resampler: Add fit_buf() helper funtion for buffer allocation
  * resampler: Prepare to have leftover data in different output buffers
  * resampler: Cleanup, index of memchunks is not used
  * resampler: Clean up ffmpeg resampler buffering
  * modules: Make use of new function pa_modargs_get_sample_rate()
  * module-sine: Add rate argument
  * module-remap-sink: Add resample_method argument
  * module-remap-source: Add resample_method argument
  * core-util: Check that we actually have regexec before we use it
  * modargs: Fix pa_modargs_get_sample_rate() if no "rate" is present in the modargs
  * modargs: Do not modify alternate_rate in pa_modargs_get_alternate_sample_rate() on failure
  * doc: Fix reference to pa_threaded_mainloop
  * doc: Refer to seek parameter of pa_stream_write() in description of pa_stream_flush()
  * doc: Document that pa_simple_get_latency() can be used on record streams as well
  * doc: Document that pa_stream_flush() is applicable to playback and record streams
  * simple: Enable pa_simple_flush() on record streams and amend documentation
  * modules: Fix resource leak in stream-restore
  * modules: Fix resource leak in alsa-card
  * modules: Fix resource leak in device-restore
  * modules: Fix resource leak in alsa-ucm
  * modules: Fix resource leak in oss
  * core: Fix resource leak in core-util
  * modules: Fix resource leak in tunnel-sink-new
  * modules: Fix resource leak in raop_client
  * modules: Fix resource leak in card-restore
  * core: Fix uninit pointer read in protocol-native
  * modules: Fix uninit value in rtp-send
  * core: Fix asserting command in protocol-native
  * modules: Remove redundant code in virtual-surround-sink
  * tests: Fix resource leak in sigbus-test
  * core: Use after free in pa_sink_input_new_data_set_formats() and pa_source_output_new_data_set_formats()
  * modules: Remove dead code in position-event-sounds
  * core: Remove dead code in pa_mainloop_run()
  * core: Fix check for io->output_event in enable_events()
  * modules: Add assertion in equalizer-sink
  * alsa-card: Don't free the modargs in pa__init
  * resampler: Extend fit_buf() helper to copy leftover data to new buffer
  * resampler: Implement leftover handling in convert_to_work_format()
  * resampler: Resample first followed by remapping if have more out channels than in channels
  * modules: Fix uninitialized variable in rtp-send
  * doc: Assorted spelling and grammar fixes for doxygen output
  * doc: Fix a couple of 'to to' typos
  * doc: Fix pa_stream_set_latency_update_callback() documentation
  * tunnel-source-new: Fix shadow compiler warning
  * doc: Use correct parameter name wait_for_accept in documentation of pa_threaded_mainloop_signal()
  * core: add missing SET_PORT_LATENCY_OFFSET to dispatcher opcode string table
  * doc: Use \since doxygen command correctly in mainloop-api.h
  * doc: Fix some typos/wording in man/pulse-daemon.conf.5
  * man: Fix typos in pulse-daemon.conf.5.xml.in
  * pactl: Stop parsing option when the first non-option is encountered
  * pactl: Check consistency of volumes specified
  * pactl: Document ability to specify channel volumes individually
  * pactl: Clean up checking for VOL_RELATIVE flag
  * sconv: Cleanup ARM NEON code
  * pacat: Mention source in addition to sink where applicable in help
  * remap: Don't use PA_VOLUME_NORM
  * remap: Rename pa_init_remap() to pa_init_remap_func()
  * remap: Refactor channel remap table computation calc_map_table()
  * remap: Make resampler's remap structure more self-contained
  * remap: Split remapping functions into s16 and float implementation
  * remap: Use float constant instead of double
  * remap: Add helper function to setup channel arrangement information
  * remap: Cleanup remap function selection, add pa_set_remap_func() helper
  * remap: Change remapping function argument type from void to int16_t / float as appropriate
  * remap: Add (optional) state to remap struct
  * remap: Add special remapping case which just re-arranges channels
  * remap: Add stereo to mono and 4-channel special case remapping
  * mix: Add special-case ARM NEON code for s16 mixing
  * core: Distinguish Cortex processors: A8 vs later (A9, A15)
  * remap: Add ARM NEON optimized remapping and rearrange code
  * core: Initialize ARM NEON remapping code if available
  * tests: Adapt memblock-test to changed pa_memimport_get()
  * core: Misc srbchannel cleanup
  * core: Add SRBCHANNEL command names for debug
  * mix: Fix mixing of S24 samples stored as S32RE
  * sconv: Use optimized conversion function for both directions
  * tests: Cleanup mix-test
  * endianmacros: Fix PA_MAYBE_INT16_SWAP() macro
  * tests: Fix mix-test on big-endian systems
  * util: Fix pa_get_binary_name() on Debian/kFreeBSD
  * remap: Add 4-channel to mono channel rearrangement
  * tests: Add *.log and *.trs to src/.gitignore
  * echo-cancel: Fix spelling of canceller
  * misc: Fix format specifiers
  * core-util: Avoid warnings when missing certain system calls
  * tests: Check expected result of sigbus-test
  * memtrap: Debian/kFreeBSD seems to signal SIGSEGV, not SIGBUS
  * srbchannel: Cleanup when pa_fdsem_open_shm() fails
  * srbchannel: pa_srbchannel_new() may fail
  * context: Stop and return if srbchannel memblock looks fishy
  * context: Handle client-side failure of pa_srbchannel_new_from_template()
  * format: Don't _put() objects obtained with json_object_object_get() or json_object_array_get_idx()
  * format: Use json_object_object_get_ex() instead of deprecated json_object_object_get()
  * build-sys: Drop support for json 0.9
  * format: Don't use deprecated json-c is_error() macro
  * daemon: Debian/kFreeBSD 9.2 fails to compile due to caps
  * svolume: Make volume pointer parameter const for pa_volume_float32re_c()
  * endianmacros: Replace borked PA_FLOAT32_SWAP() with PA_READ_FLOAT32RE() / PA_WRITE_FLOAT32RE()
  * core: Add pa_cpu_init() / cpu.c
  * cpu: Don't check for both x86 and ARM code
  * cpu: Add force_generic_code flag to cpu_info struct
  * tests: Split cpu tests in separate files
  * tests: Use single-line #ifdef for ARM NEON code
  * tests: Add tests for mix special-case code
  * tests: Add ARM NEON test code to cpu-mix-test
  * tests: Use remap function passed in remap struct
  * tests: Reorganize cpu-remap-test program
  * tests: Add to remapping special case code tests to cpu-remap-test
  * tests: Add rearrange remapping test cases to cpu-remap-test
  * tests: Add ARM NEON test code to cpu-remap-test
  * tests: Use float constants in cpu-sconv-test
  * tests: Remove mix-special-test
  * Remove link to CIA from README
  * Cleanup !! for bool
  * mainloop: Fix typo
  * modules: Fix )== typos
  * alsa-sink: Check for after-avail is redundant
  * tests: Make global variables static in srbchannel-test
  * tests: Be careful with data types to avoid cast
  * rtpoll: typo
  * pactl: Remove deprecated 'stat' behaviour
  * resampler: Drop pointless remix variable
  * asyncmsgq: Drop weird assert
  * pstream: Duplicate assignment, write.data is always NULL
  * mix: Make use of pa_cvolume_is_norm/muted() macros
  * log: Cleanup
  * core: Replace assert()s with pa_assert()s
  * alsa: Precompute maximum frames per block
  * iochannel: Remove unnecessary zero-initialization
  * mix: pa_mix() is always called with more than one steam
  * mix: Length over all chunk has already been computed by the caller
  * rtpoll: Fix condition for DEBUG_TIMING output
  * rtpoll: Drop extra wait_op argument to pa_rtpoll_run()
  * alsa-util: Finish description of pa_alsa_set_hw_params()
  * build-sys: Deprecate libsamplerate support
  * macro: Abort() when pa_assert_not_reached() even for NDEBUG
  * macro: Add macro PA_UNUSED
  * core: Annotate variables only used within assert()s to be PA_UNUSED
  * tests: Use pa_assert_se() to get rid of an used variable warning
  * alsa-mixer: Use pa_assert_not_reached()
  * context: pa_context_connect() with PA_CONTEXT_NOFAIL should return 0 when waiting for PA on D-Dus
  * man: Describe optional prefix {string} in server address
  * man: Drop separate paplay man page, move info to pacat man page
  * man: Install man page symlinks to pacat for paplay, parec, parecord, pamon
  * pacat: State purpose of program depending how it was invoked
  * alsa-util: No logging when sound card only supports non-interleaved sample format
  * alsa: Fix spelling of officially
  * tagstruct: Distinguish pa_tagstruct_new() use cases
  * tagstruct: Replace dynamic flag with type
  * tagstruct: Get rid of pa_tagstruct_free_data()
  * tagstruct: Add type _APPENDED
  * tagstruct: Use flist to potentially save calls to malloc()/free()
  * packet: Hide internals of pa_packet, introduce pa_packet_data()
  * packet: Make pa_packet_new() create fixed-size packets
  * packet: Introduce pa_packet_new_data() to copy data into a newly created packet
  * packet: Use flist to save calls to malloc()/free()
  * pacat: Fix comment wording
  * man: Fix typos in pulse-cli-syntax.5
  * man: Document .ifexists CLI meta command
  * daemon: Exit with code 0 on SIGINT and SIGTERM
  * pulse: Document pa_mainloop_quit()'s retval parameter
  * core: Don't export pa_rtpoll_quit(), only used internally
  * biquad: Make use of M_SQRT2 constant
  * biquad: Fix warning, gamma shadows global declaration
  * padsp: Fix wrong condition discovered by -Wlogical-not-parentheses warning
  * core: Work around -Wlogical-not-parentheses warnings
  * daemon: No need to check optarg, -p requires argument
  * core: Add missing return on protocol error
  * modules: Fix entry leak in module-card-restore
  * core: Fallbacks for machine-id in filesystem
  * modules: Fix compiler warning comparing 0 with bool
  * core: Fix GCC 6 compiler warning regarding left shift of negative value
  * tests: Include signal.h in core-util-test.c
  * build: Check version of check library, require >= 0.9.10
  * macro: Move PA_LIKELY()/PA_UNLIKELY(), PA_CLAMP()/PA_CLAMP_UNLIKELY() to pulse/gccmacro.h

  [ RODRIGUEZ Christophe ]
  * raop: Fix infinite loop in raop-sink with UDP mode
  * raop: Allow channel map module argument

  [ Alexander Patrakov ]
  * Split the enable-lfe-remixing setting into two

  [ Marc Ranolfi ]
  * card-restore: prevent segfault caused by 'restore_bluetooth_profile=true'

  [ Jaska Uimonen ]
  * socket-server: add tcp support for systemd socket activation
  * alsa-ucm: Fix volume control based on review

  [ Dave Chiluk ]
  * alsa-mixer: add support for LucidSound LS31, and create usb-gaming-headset profile

  [ Krzysztof Stasiowski ]
  * alsa-mixer: Add support for SteelSeries Arctis 5 2019 headset

  [ Josh ]
  * alsa-mixer: add support for SteelSeries Arctis Pro 2019 headset

  [ Ryszard Knop ]
  * switch-on-connect: Add blacklisting

  [ muzena ]
  * i18n: add Croatian translation
  * i18n: update the Croatian translation
  * Update Croatian translation
  * i18n: Update the Croatian translation

  [ Vasilis Tsiligiannis ]
  * start-pulseaudio-x11: Make 'plasma' version check shell portable

  [ David Heidelberg ]
  * meson: fix build with simple
  * meson: when avahi is disabled, do not build it's code
  * meson: convert post-install.sh to python
  * meson: convert to install_headers

  [ Sebastian Dröge ]
  * Implement module-always-source
  * rtp: Use yes/no in configure instead of 1/0
  * rtp: Use udpsink instead of fdsink for the GStreamer RTP implementation
  * rtp: Properly timestamp buffers in the GStreamer sender pipeline

  [ Timo Gurr ]
  * meson: allow to disable installing completions

  [ Daniil Kovalev ]
  * Fix memory leak in context_free

  [ Rickie Schroeder ]
  * start-pulseaudio-x11: fix KDE version check

  [ Peter Levine ]
  * atomic: Explicitly cast void* to unsigned long

  [ Rasmus Thomsen ]
  * meson: link libintl if it's not provided by libc

  [ Danny O'Brien ]
  * man: Add description of pactl special names.

  [ Moo ]
  * i18n: add Lithuanian translation
  * i18n: update the Lithuanian translation
  * l10n: Update lt.po
  * l10n: Update lt.po

  [ Nicolas Fella ]
  * daemon: Drop KDE-specific loading of module-device-manager

  [ Carlos Garnacho ]
  * client-conf: Avoid loading X11 properties unless SSH_CONNECTION is set

  [ Russell Treleaven ]
  * build-sys: make bootstrap.sh fail if autopoint or intltoolize are not available
  * give users a template that encourages complete bug reports
  * add script to collect information for bug reports
  * Update Bug.md to encourage users to attach pa-info output to bug reports
  * gitlab: white space change to Bug.md

  [ David Emett ]
  * dbus: fix ActiveProfile setting

  [ Lucas Stach ]
  * meson: fix build files list when building with NEON
  * meson: allow to build bluez support without libbluetooth
  * meson: add stdint.h to checked headers

  [ Jordi Mas ]
  * Fixes to Catalan translation

  [ S Page ]
  * pasuspender: explain program argument in help

  [ Kaleb Ercanbrack ]
  * alsa-mixer: Add a missing USB product ID for SteelSeries Arctis 7

  [ Frédéric Danis ]
  * bluetooth: Fix crash on disconnection
  * bluetooth: Fix bluetooth.nrec property not updated
  * bluetooth: Fix crash in setup_stream()
  * bluetooth: Fix crash when disabling Bluetooth adapter

  [ Alan Coopersmith ]
  * meson: fix builds on platorms without libsystemd
  * meson: check for sys/filio.h
  * core-util: Use /proc/fd on Solaris as well in pa_close_all

  [ Topi Miettinen ]
  * daemon: Harden systemd service

  [ Thomas Hutschenreuther ]
  * atomic: fix load and store for armv7 and higher

  [ shdown ]
  * mainloop: fix timeout assignment in pa_mainloop_prepare

  [ Mark Filion ]
  * i18n: Fix copyright information in pt_BR.po

  [ Arnaud Rebillout ]
  * build-sys: meson: Generate version.h
  * gitlab-ci: Create two different jobs for autotools and meson builds
  * core: Fix a log function when HAVE_SYSTEMD_JOURNAL && !HAVE_SYSLOG
  * meson: Define HAVE_UDEV when udev is found
  * meson: modules/alsa: Add udev support
  * meson: modules/alsa: Make alsa-util a shared library
  * meson: modules/alsa: Fix udev-util include path
  * meson: Add systemd-login to core dependencies
  * meson: Propagate systemd dep to libpulsecommon and daemon
  * meson: Make systemd-login module depend on systemd
  * meson: Make equalizer-sink modulde depend on fftw, add fftw dependency
  * meson: Add pulsecore internal libraries
  * meson: Add the rtp module library
  * meson: Comment bluez5 modules for now
  * meson: Build modules with '-Wl,no-undefined'
  * meson: Fix all the missing dependencies uncovered by -Wl,--no-undefined
  * meson: Enable dbus-protocol module
  * meson: Enable jack modules, add jack dependency
  * meson: Enable raop-sink module, add raop lib, add openssl dependency
  * meson: modules/raop: Fix rtsp_client.h include path
  * meson: Enable raop-discover module, add avahi dependency
  * meson: Enable x11 modules, add x11 related dependencies
  * meson: Enable zeroconf modules
  * meson: Enable mmkbd-evdev module
  * meson: Enable lirc module, add lirc dependency
  * meson: Enable console-kit module
  * meson: Do not build dbus files as a library
  * meson: Enable bluetooth modules, add bluez_util lib, add bluez and sbc dependencies
  * meson: Enable oss module and padsp util
  * meson: Enable ladspa module
  * meson: Enable echo-cancel module, add libwebrtc_util lib, add speex and webrtc dependencies
  * webrtc: Silence -Wsign-compare warning
  * meson: Build and install man pages
  * dockerfile: Install Meson from upstream tarball
  * meson: Add pulsedspdir option
  * meson: Add a sanity check to the prefix option
  * meson: Create bindir and libdir variables
  * meson: Add a comment to mark the beginning of the configuration data section
  * meson: Tighter coupling of XOrg dependencies
  * meson: Make x11 optional, bump meson requirement
  * meson: Build pax11publish only if X11 is found
  * meson: Install start-pulseaudio-x11 if x11 is found
  * meson: Adjust fixme comment for daemon
  * meson: Make dbus optional, fix build with dbus disabled
  * module-stream-restore: Silence compiler warnings when dbus is disabled
  * meson: Make alsa optional
  * meson: Also set HAVE_ALSA when alsa is enabled
  * meson: Make systemd optional
  * meson: Make avahi optional
  * meson: Make bluez optional
  * meson: Fix bluez5 version requirement
  * meson: Use assert() to validate the prefix
  * meson: Make jack optional
  * meson: Make fftw optional
  * meson: Make lirc optional
  * meson: Make openssl optional, fix build when openssl is disabled
  * meson: Make speex optional
  * meson: Make udev optional
  * meson: Make hal-compat optional
  * meson: Make webrtc optional
  * meson: adrian-aec requires libm
  * meson: Make Adrian echo canceller optional
  * meson: Add a sanity check regarding echo cancellers
  * meson: Add optional GLib support
  * meson: Add optional libpulse-mainloop-glib
  * meson: Add optional Gtk+ support
  * meson: Add optional GSettings support
  * meson: Add optional Async NS support
  * meson: Add optional IPv6 support
  * meson: Add optional SoX Resampler support
  * meson: Add optional libsamplerate support
  * meson: Add optional legacy-database-entry-format support
  * meson: Typo in man/meson.build
  * meson: Display summary and warnings at the end of the meson configure step
  * meson: Sort the core dependencies a bit
  * meson: Process and install files: default.pa, system.pa, daemon.conf, client.conf
  * meson: Fix HAVE_AF_UNIX, add check for mkfifo function
  * meson: Add some platform specific configuration data
  * meson: Add a dependency object for libpulse_mainloop_glib
  * meson: Add a check for sys/eventfd.h header
  * meson: Add some symbol checks
  * meson: Move shm_dep check where it belongs
  * meson: Add libpulse simple
  * meson: Enable (almost) all tests
  * meson: Boolean options default to true, no need to say it
  * meson: Define HAVE_SYS_UN_H, this was forgotten
  * meson: Enable echo-cancel test
  * .gitlab-ci: Add meson test-daemon
  * test-daemon: No need to define dl-search-path
  * meson: Install completion files
  * meson: Make man page build and install conditional
  * meson: Handle man pages symlinks with a meson install script
  * meson: Fix man install dir
  * meson: Install vala apis
  * meson: Install pkg-config files
  * meson: Fix pulsedspdir
  * meson: Add systemduserunitdir option
  * meson: Add udevrulesdir option
  * meson: Fix various install scripts
  * meson: Install ALSA udevrules
  * meson: Add basic po support
  * meson: Translate and install desktop file
  * meson: Build daemon custom targets by default
  * meson: Fix install paths
  * meson: Install dbus policy file
  * meson: Fix udevrulesdir
  * meson: Move oss-util in a library
  * meson: Install utils symlinks, install qpaeq
  * meson: Build libwebrtc-util as a shared library
  * meson: Install systemd user service
  * meson: Install cmake files
  * meson: Install headers
  * meson: Disable esound modules
  * meson: Add ORC support
  * meson: Add support for gcov
  * meson: Increase timeout for tests
  * meson: Add running-from-build-tree option
  * meson: Disable alsa-mixer-path-test

  [ Sangchul Lee ]
  * role-ducking: Fix improper unducking behavior in case of operating globally
  * role-ducking: Add support for ducking group
  * stream-interaction: Fix crash in case of invalid argument for volume
  * alsa-sink/source: always set reconfiguration callback
  * ladspa-sink: fix incorrect error conditions
  * rtp-send: remove dead code
  * udev-detect, alsa-card: Adopt avoid resampling option from daemon.conf
  * i18n: Update the Korean translation
  * alsa-util/sink/source: Add infrastructure for supported sample formats
  * alsa-sink/source: Rename a variable for supported sample rates in userdata
  * alsa-sink/source, sink, source: Consider sample format for avoid-resampling/passthrough
  * core-util: Use size_t for out parameter of pa_split_*in_place()
  * stream-interaction: Support for triggering ducking/cork by source-output
  * stream-interaction: Use PA_IDXSET_FOREACH macro to iterate idxset
  * role-ducking, role-cork: Add use_source_trigger argument
  * stream-interaction: Remove useless condition
  * sink: Set monitor source's avoid-resampling value to its sink's

  [ Friedel Wolff ]
  * i18n: New translation for Afrikaans (af)

  [ Nate Brown ]
  * Expose control param to alsa-card module

  [ Fran Diéguez ]
  * i18n: Update Galician translations

  [ Josef Andersson ]
  * i18n: Update the Swedish translation
  * i18n: update the Swedish translation
  * Update Swedish Translation

  [ Wellington Wallace ]
  * null-sink: add an option that allows rewinds to be disabled
  * null-sink: add an option that allows rewinds to be disabled
  * Merge branch 'allow-to-disable-null-sink-rewinds' of https://gitlab.freedesktop.org/wwmm/pulseaudio into allow-to-disable-null-sink-rewinds
  * null-sink: add an option that allows rewinds to be disabled
  * null-sink: setting maximum latency to 50 ms when rewinds are disabled

  [ Takashi Iwai ]
  * alsa-mixer: Recognize "Dock Line Out" jack
  * alsa: Fix inclusion of use-case.h

  [ Sascha Silbe ]
  * tests: fix possible segfault in cpu-remap-test
  * tests: test NEON 2-channel->4-channel rearrange
  * remap: support S32NE work format

  [ Olaf Hering ]
  * alsa: Use correct header path

  [ Alexander Potashev ]
  * Update Russian translation
  * i18n: Update Russian translation
  * i18n: Update Russian translation

  [ scootergrisen ]
  * Add missing space
  * Remove "module" from "module user requested module"
  * "e g " to "e.g."
  * Remove space in "Digital Passthrough  (IEC958)"
  * channel/s to channel(s)
  * Change "!" to "." to match other identical string.
  * Replace "!" to "." so string is identical with other string.
  * i18n: Add danish translation
  * i18n: Update Danish translation

  [ Takashi Sakamoto ]
  * udev: use ID_MODEL/ID_VENDOR to give friendly name for FireWire devices
  * alsa: remove double calls of snd_pcm_prepare()
  * alsa: Suppress udev detection of sound card for some units on IEEE 1394 bus
  * alsa-mixer: distinguish Focusrite Saffire Pro 10 i/o from Liquid Saffire 56

  [ João Paulo Rechi Vita ]
  * Adding module-bt-discover
  * Adding module-bt-discover to Makefile.am
  * Fix comparison of strings of different case
  * Fix the symdef include
  * Adding dynamic bluetooth audio devices detection
  * Remove VERBOSE definition
  * Changing all private functions to static
  * Improve dbus communication
  * Don't need to explicity check if hcid is running anymore
  * We don't need call_dbus_method anymore
  * Change booleans to pa_bool_t
  * Remove some unused vars and labels
  * Remove block delimiters from single line if blocks
  * Refactor all linked lists to use pulsecore/llist.h
  * Remove modargs, since module-bt-discover doesn't have any argument
  * Add sender=org.bluez to dbus add match
  * Add code from bluez/audio/ipc.[ch]
  * Initial file for module-bt-device
  * Add module-bt-device and dependencies to automake
  * Adds SBC Codec to pa tree
  * BlueZ connection configuration done
  * Fix PA_USEC_PER_SEC missing
  * Initial code for rt thread
  * Hand the stream socket to the rt thread
  * Copy arguments values instead of just getting a pointer for them
  * Changes for pa_modargs_get_value_u32 for integer arguments and correct some error messages
  * Get rid of SINK_MESSAGE_PASS_SOCKET, since we don't really need it
  * Change strerror() to pa_cstrerror()
  * Change close() to pa_close()
  * Add include for sample.h
  * Initialize rtpoll_item
  * Add include for core-util.h
  * Fix block size for SCO
  * Make stream socket non-blocking
  * Change pa_sink_render to pa_sink_render_into_full and remove some unnecessary checks on the rt thread
  * Remove PA_SINK_NETWORK flag and move the passage of streamfd to the rt thread just before the thread creation
  * Fix handling of PA_SINK_MESSAGE_GET_LATENCY
  * Try to improve time estimation
  * Change default sink name to bluetooth_sink
  * Get rid of hw_constraint function. It's code now lives inside bt_setconf().
  * Configure bt connection for a2dp
  * Fix block_size calculation
  * Fix sample size
  * A2DP poorly working
  * Refactor a2dp thread execution flow and improve time estimation
  * Fix some debug messages and other cosmetic changes
  * pa__done for module-bt-device
  * Change sbc_initialized to pa_bool_t
  * Fix some memory leaking
  * Remove u->channels and u->rates, since it's redundant info
  * Remove unnecessary initialization of getcaps_req->flags
  * Change MIN/MAX to PA_MIN/PA_MAX
  * Move render and write to the fd to a separate function
  * Use union instead of different pointer types to the same memory area to make the code C99 compliant
  * Remove check for SIOCOUTQ and add proper includes
  * Add some more device properties to the sink properties list
  * Merge A2DP and SCO thread functions
  * Free mempool
  * Remove some warnings
  * Cleanup some code
  * Move bluetooth discover and device modules to src/modules/bluetooth
  * Change all int vars that doesn't allow negative values to uint
  * Move bluetooth proximity module to src/modules/bluetooth/
  * bluetooth: handle bluetooth source
  * bluetooth: add discover of bluetooth sources
  * bluetooth: improve dbus logging
  * bluetooth: add HFP Gateway support
  * alsa-source: Fix log message
  * bluetooth: Remove unnecessary braces
  * bluetooth: Improve code and log readability
  * bluetooth: Add 'bluez.alias' property
  * bluetooth: Use 'Alias' value as the device description
  * bluetooth: Remove the 'bluez.name' property
  * module: Fix style
  * bluetooth: Remove unused DBusError
  * bluetooth: Fix coding style
  * build-sys: Fix misuse of "dependant"
  * Revert "bluetooth: Support transport auto-release"
  * Revert "bluetooth: Update to new BlueZ 5 transport acquire/release API"
  * Revert "bluetooth: Support media transport's State property"
  * Revert "bluetooth: Parse media transport's properties"
  * Revert "bluetooth: Support Properties.PropertiesChanged signal"
  * Revert "bluetooth: Support ObjectManager interface add/remove"
  * Revert "bluetooth: BlueZ 5 interface rename to org.bluez.MediaTransport1"
  * Revert "bluetooth: BlueZ 5 interface rename to org.bluez.Media1"
  * Revert "bluetooth: BlueZ 5 interface rename to org.bluez.MediaEndpoint1"
  * Revert "bluetooth: Fix error checking style"
  * Revert "bluetooth: Parse the tree returned by ObjectManager"
  * Revert "bluetooth: Detect BlueZ 5"
  * bluetooth: Update modules description and copyright
  * bluetooth: Rename bluetooth modules to BlueZ 4
  * bluetooth: Rename shared struct to make it BlueZ 4 specific
  * bluetooth: Name BlueZ 4 symbols accordingly
  * bluetooth: Register BlueZ 4 endpoints in a separate object path
  * bluetooth: Prefix BlueZ 4 card profiles enum with PA_BLUEZ4_
  * bluetooth: Remove module-bluetooth-proximity
  * build: Make the build of bluetooth modules BlueZ 4 specific
  * build: Add support for enabling/disabling BlueZ 5 support
  * bluetooth: Create stub for module-bluez5-discover
  * bluetooth: Create pa_bluetooth_discovery for BlueZ 5
  * bluetooth: Track org.bluez for BlueZ 5
  * bluetooth: Create infrastrucure for bluetooth hooks
  * bluetooth: Create pa_bluetooth_adapter for BlueZ 5 support
  * bluetooth: Create pa_bluetooth_device for BlueZ 5 support
  * bluetooth: Remove all devices and adapters when org.bluez goes away
  * bluetooth: Create pa_bluetooth_transport for BlueZ 5 support
  * bluetooth: Register MediaEndpoint1 objects with D-Bus
  * bluetooth: Implement org.bluez.MediaEndpoint1.SetConfiguration()
  * bluetooth: Implement org.bluez.MediaEndpoint1.SelectConfiguration()
  * bluetooth: Implement org.bluez.MediaEndpoint1.ClearConfiguration()
  * bluetooth: Add utility function to send D-Bus messages with reply
  * bluetooth: Get managed objects
  * bluetooth: Create a function to remove only one adapter object
  * bluetooth: Handle InterfacesAdded and InterfacesRemoved
  * bluetooth: Parse BlueZ 5 D-Bus interfaces
  * bluetooth: Parse BlueZ 5 adapter properties
  * bluetooth: Register endpoints with BlueZ 5 adapter
  * bluetooth: Handle PropertiesChanged for org.bluez.Adapter1
  * bluetooth: Parse BlueZ 5 device properties
  * bluetooth: Protect from a misbehaving bluetoothd
  * bluetooth: Handle PropertiesChanged for org.bluez.Device1
  * bluetooth: Handle PropertiesChanged for org.bluez.MediaTransport1
  * bluetooth: Track devices in module-bluez5-discover
  * bluetooth: Create module-bluez5-device
  * bluetooth: Get BlueZ 5 device object
  * bluetooth: Unload module-bluez5-device on device's disconnection
  * bluetooth: Create BlueZ 5 card
  * bluetooth: Create BlueZ 5 card ports
  * bluetooth: Create BlueZ 5 card profile for each audio UUID
  * bluetooth: Initialize profiles for BlueZ 5 cards
  * bluetooth: Create sink for BlueZ 5 cards
  * bluetooth: Create source for BlueZ 5 cards
  * bluetooth: Start / stop I/O thread for BlueZ 5 cards
  * bluetooth: Set card profile for BlueZ 5 cards
  * bluetooth: Create I/O thread function for BlueZ 5 cards
  * bluetooth: Process sink messages for BlueZ 5 cards
  * bluetooth: Process source messages for BlueZ 5 cards
  * bluetooth: Handle changes to BlueZ 5 transports state
  * bluetooth: Implement get_n_used() for module-bluez5-device
  * bluetooth: Fail to load driver if discovery module is not loaded
  * module: Create pa_module_exists()
  * cli-command: Use pa_module_exists() in .ifexists
  * bluetooth: Revive module-bluetooth-discover
  * bluetooth: Track discovery modules by index
  * console-kit: Remove logging of every message on the bus
  * bluetooth: Check adapter address to set device_info_valid
  * bluetooth: Fix crash in pa_bluetooth_discovery_get_device_by_address()
  * bluetooth: Fix lines going over column 128
  * bluetooth: Change BlueZ 5 card profile name from a2dp to a2dp_sink
  * bluetooth: Rename variable to improve code readability
  * bluetooth: Notify the main thread of a stream fd HUP
  * bluetooth: Add basic support for HEADSET profiles
  * bluetooth: Add BlueZ 5 headset profile names in policy module
  * bluetooth: Create NULL backend
  * bluetooth: Create oFono backend
  * bluetooth: Monitor D-Bus signals
  * bluetooth: Create hf_dbus_send_and_add_to_pending() for oFono backend
  * bluetooth: Register/Unregister Handsfree Audio Agent with oFono
  * bluetooth: List HandsfreeAudioCard objects from oFono
  * bluetooth: Parse HandsfreeAudioCard properties
  * bluetooth: Implement transport acquire for hf_audio_agent transports
  * bluetooth: Implement transport release for hf_audio_agent transports
  * bluetooth: Track oFono service
  * bluetooth: Handle CardAdded signal
  * bluetooth: Handle CardRemoved signal
  * bluetooth: Implement org.ofono.HandsfreeAudioAgent.Release()
  * bluetooth: Implement org.ofono.HandsfreeAudioAgent.NewConnection()
  * bluetooth: Switch transport state to idle in case of HUP
  * bluetooth: backend-ofono: Demote registration failure to info
  * card-restore: Don't restore profile on Bluetooth cards by default
  * bluetooth: Add missing argument to module's usage
  * bluetooth: Remove leftover references to the BlueZ 4/5 split
  * switch-on-port-available: Improve readability
  * switch-on-connect: Improve readability
  * switch-on-connect: Clean-up tabs used for identation
  * switch-on-connect: Add debug logs
  * module-rescue-streams: Fix tab used for identation
  * card: Fix typo in comments
  * card: Create pa_available_to_string
  * cli-text: Use pa_available_to_string
  * device-port: Use pa_available_to_string
  * card: Log initial profile selection
  * switch-on-connect: Do not ignore HDMI sinks
  * switch-on-port-available: Check if we need to change the active profile
  * module-alsa-card: Update the active profile's availability last
  * card: Only fire the profile available changed hook for linked cards

  [ Diego Viola ]
  * memblockq: fix typo: yepp -> yep

  [ Hans de Goede ]
  * alsa-ucm: Fix UCM devices which names share a prefix being seen as the same

  [ Hongxu Jia ]
  * build-sys: introduce a special build flag to explicitly disables running from build tree

  [ Zakhary Husak ]
  * alsa-mixer: Add support for 2018 Arctis 7

  [ jorisc90 ]
  * alsa-mixer: Update to support Arctis Pro Wireless headset

  [ David Hewitt ]
  * vala: Fix lengths for source/sink port arrays
  * vala: Fix card profile array bindings
  * vala: add pa_card_port_info bindings
  * Remove active_profile

  [ Joseph Herlant ]
  * Fix typo: controling -> controlling
  * Fix typo: Retreive -> Retrieve
  * Fix typo: occurrencies -> occurrences
  * Fix typo: occured -> occurred
  * Fix typo: dependancy -> dependency
  * Fix typo: Doulbe -> Double
  * Fix typo: Extention -> Extension
  * Fix typo: differnt -> different
  * Fix typo: explicitely -> explicitly
  * Fix typo: properies -> properties
  * Fix typo: distuingish -> distinguish
  * Fix typo: recieved -> received
  * Fix typo: comming -> coming
  * Fix typo: prefered -> preferred
  * Fix typo: definately -> definitely
  * Fix typo: transmited -> transmitted
  * Fix typo: substract -> subtract
  * Fix typo: managable -> manageable
  * Fix typo: documenation -> documentation
  * fix typo: satisifed -> satisfied
  * fix typo: existance -> existence
  * volume-test: Allow rounding without having to allow a random number of errors

  [ Marek Cernocky ]
  * i18n: Updated Czech translation
  * i18n: Fixed plural forms handling

  [ Will Stott ]
  * alsa: Support the older model of NI's Traktor Audio 2 DJ

  [ Yclept Nemo ]
  * object: Fix pa_object_new macro (missing close paren)

  [ Stefan Huber ]
  * echo-cancel: Fix apply_diff_time() to use correct sample spec
  * echo-cancel: Fix null implementation to setup one channel
  * echo-cancel: Fix echo-cancel-test's argument number checking
  * echo-cancel: Fix missing setup of sink_ss in echo-cancel-test.
  * echo-cancel: Fix calc_diff for asymmetric sample specs
  * echo-cancel: Enable different blocksizes for sink and source
  * echo-cancel: Extend null implementation to arbitary sample specs
  * resampler: Replace pa_bool_t by bool
  * resampler: Refactor calc_map_table()
  * resampler: Generate normalized rows in calc_map_table()
  * echo-cancel-test: Enable debug log level
  * echo-cancel-test: Pass aec_args with module args
  * echo-cancel-test: When fopen() fails tell which file failed
  * echo-cancel: Do not bypass EC implementation when play stream is empty
  * echo-cancel: Enable different sample specs for rec and out stream
  * modules: add module-remap-source
  * virtual-source: remove redundant checks and callbacks
  * modules: remove obsolete comment on PA_SOURCE_OUTPUT_DONT_INHIBIT_AUTO_SUSPEND
  * modules: Remove obsolete may_move_to callbacks
  * pacat: Fix code style

  [ Lyndon Brown ]
  * hashmap: constify hashmap ptr for various functions
  * hashmap: constify pointer of private hash_scan function
  * hashmap: constify pointer of pa_hashmap_get
  * proplist: add and use const version of MAKE_HASHMAP macro
  * proplist: pa_proplist_iterate: constify proplist pointer
  * proplist: pa_proplist_get: constify proplist pointer
  * proplist: pa_proplist_gets: constify proplist pointer
  * tagstruct: pa_tagstruct_put_proplist: constify proplist pointer
  * tagstruct: pa_tagstruct_put_format_info: constify format pointer
  * context: pa_context_proplist_update: constify proplist pointer
  * proplist: pa_proplist_to_string[_sep]: constify proplist pointer
  * proplist: pa_proplist_contains: constify proplist pointer
  * proplist: pa_proplist_[size|isempty]: constify proplist pointer
  * proplist: pa_proplist_equal: constify proplist pointers
  * scache: pa_context_play_sample_with_proplist: clarify proplist param
  * scache: pa_context_play_sample_with_proplist: constify proplist param
  * volume: pa_cvolume_get_position: constify
  * context: pa_context_new_with_proplist: constify proplist param
  * context: pa_context_get_protocol_version: constify
  * context: pa_context_get_state: constify
  * mainloop: constify get_retval functions
  * operation: pa_operation_get_state: constify
  * stream: pa_stream_get_state: constify
  * stream: pa_stream_get_context: constify
  * stream: pa_stream_get_index: constify
  * stream: pa_stream_get_device_[index|name]: constify
  * stream: pa_stream_is_[suspended|corked]: constify
  * stream: pa_stream_[writable|readable]_size: constify
  * stream: pa_stream_get_underflow_index: constify
  * stream: pa_stream_get_format_info: constify
  * stream: pa_stream_get_monitor_stream: constify
  * stream: constify internal functions
  * context: hide error attr behind pointer
  * context: pa_context_errno: constify
  * context: pa_context_rttime_new: constify context pointer
  * context: pa_context_rttime_restart: constify context pointer
  * context: pa_context_is_pending: constify
  * context: pa_context_is_local: constify
  * context: pa_context_get_server: constify
  * context: pa_context_get_server_protocol_version: constify
  * context: pa_context_get_index: constify
  * context: pa_context_get_tile_size: constify
  * mainloop: constify is_our_api api ref
  * operation: avoid state change from final state

  [ Mr. M ]
  * i18n: update the Lithuanian translation
  * i18n: update the Lithuanian translation
  * i18n: update the Lithuanian translation

  [ Ing. Jaroslav Safka ]
  * rtp-send: add configurable RTP stream name

  [ Nazar Mokrynskyi ]
  * alsa-mixer: Add support for Creative SoundBlaster Omni Surround 5.1 USB sound card
  * alsa-mixer: sb-omni-surround-5.1.conf: remove analog-surround-21, add Linux 4.3+ support
  * alsa-mixer: Support for Creative SoundBlaster Omni Surround 5.1 USB sound card with latest firmware
  * alsa-mixer: More output modes for SB Omni Surround 5.1 and cleanup
  * alsa-mixer: Don't move LFE in 2.1 and 4.1 modes on SB Omni Surround 5.1

  [ Tomaz Solc ]
  * cli-command: Report error in pa_play_file.

  [ Pierre-Louis Bossart ]
  * Subject: rtpoll: better support for DEBUG_TIMING logs
  * virutal-sink: boilerplate virtual sink to add PCM processing
  * virtual-source: boilerplate virtual source for PCM processing on inputs
  * virtual-sink,source: enable virtual-source and virtual-sink
  * add rewind-safeguard parameter
  * alsa: disable rewinds when using ALSA plugins
  * alsa: fix mixer profiles, add passthrough config
  * alsa: add missing iec958 files from previous commit
  * AC3 passthrough support
  * alsa: remove redundant call to snd_pcm_nonblock()
  * alsa: disable period wakeups in tsched mode if possible
  * sink-input: Don't resample passthrough inputs
  * alsa: reset watermark to initial values on resume
  * core: infrastructure for alternate sampling rate
  * sink,source: support for rate update
  * alsa: support for alternate sampling rate
  * alsa: fix list of sampling rates
  * alsa: get avail, delay, timestamps in a single kernel call
  * sink: force suspend/resume on passthrough transitions
  * format: Add support for Dolby TrueHD and DTS-HD HBR passthrough

  [ Javier Jardón ]
  * build-sys: Use AM_CPPFLAGS instead of AM_CFLAGS for preprocessor arguments
  * build-sys: Use upstream gettext instead glib one
  * build-sys: Use autoreconf in bootstrap.sh
  * build-sys: Use build-aux directory to store autogenerated files
  * build-sys: Do not AC_SUBST *_CFLAGS and *_LIBS
  * build-sys: Use AM_CPPFLAGS instead of AM_CFLAGS for preprocessor arguments
  * build-sys: Add -fdiagnostics-color=auto to CFLAGS
  * Use upstream gettext instead intltool

  [ Andika Triwidada ]
  * i18n: Add Indonesian translation.
  * i18n: update the Indonesian translation
  * i18n: update the Indonesian translation

  [ Luiz Augusto von Dentz ]
  * Add match rules for org.bluez.Headset and org.bluez.AudioSink.
  * Add signal handlers for Connected signals.
  * Remove PropertyChanged signal handler.
  * Fix match rule problems.
  * Fix Connected signal handler.
  * Cleanup module-bluetooth-discover.
  * Replace handlers of deprecated Connected signals with new PropertyChanged.
  * Fix loading module-bluetooth-device with an invalid parameter.
  * Unload module-bluetooth-device if the remote device disconnects.
  * Fix possible invalid read while attempting to load module-bluetooth-device.
  * Fix bug walking on module list.
  * Disable warnings for bluetooth-device-module.
  * Update module-bluetooth-device to the new ipc.
  * Send packets with proper size.
  * Fix send and recv message sizes.
  * Fix sending wrong codec capability length.
  * Fix hsp rate and channels.
  * Prevent changing volume on wrong device.
  * Maintain the original code style for sbc.
  * Fix misuse of 'frame.joint' when estimating the frame length.
  * Update ipc to match new message headers introduced on BlueZ 4.34.
  * Query and make use of the current configuration.
  * Do not reconfigure capabilities.
  * Handle DisconnectRequested in bluetooth module.
  * bluetooth: Add support for Media API
  * bluetooth: make use of dbus-util helper functions
  * core: make use of dbus_message_iter_append_fixed_array
  * bluetooth: fix case of profile UUIDs to match what BlueZ uses
  * bluetooth: fix build for libdbus < 1.3
  * bluetooth: detect when bitpool has changed on sbc codec
  * bluetooth: handle Acquire API change
  * bluetooth: reduce bitpool if audio start skipping
  * bluetooth: fix a2dp_process_push
  * bluetooth: add proper handling for bluetooth.nrec property
  * build: move sbc related files to its own directory
  * bluetooth: Fix not updating sample spec when using Media API
  * bluetooth: Fix using pointer-pointer when appending an array as variant
  * bluetooth: Only close SCO if status has changed
  * bluetooth: Fix calling many times Audio.GetProperties for the same device
  * bluetooth: Remove built-in/static SBC codec
  * bluetooth: Don't force any profile on discovery module
  * bluetooth: Add support for transport created by external profile
  * introspect: Expose card profile available flag
  * pactl: Print available flag of card profiles
  * introspect: Fix ABI break introduced by b98a2e1
  * card: Only set active_profile with available profile
  * bluetooth: Assert transport has a matching profile
  * bluetooth: Add pa_bluetooth_transport_set_state
  * bluetooth: Add pa_bluetooth_transport_unlink
  * bluetooth: Only create backend instance once objects are listed
  * bluetooth: Add discovery to pa_bluetooth_backend_new
  * bluetooth: Allow policy module to pick 'off' profile
  * bluetooth: ofono: Don't attempt to connect if fd is ready
  * bluetooth: ofono: Fix asserting when connecting as AG
  * bluetooth: ofono: Detect if Connect has been called
  * bluetooth: Don't default to native backend
  * bluetooth: Auto recover if profile is 'off'
  * bluetooth: ofono: Close fd if cannot be accepted
  * bluetooth: ofono: Fix failing to parse valid NewConnection
  * bluetooth: ofono: Use Acquire method if available
  * bluetooth: Remove BlueZ 4 support
  * bluetooth: policy: Remove BlueZ 4 related code

  [ Raman Shyshniou ]
  * loopback: add max_latency_msec argument
  * loopback: use source sample spec and channel map by default
  * optimize set_state_in_io_thread() callbacks

  [ Bert Hekman ]
  * alsa-mixer: add support for SteelSeries Arctis 5 and renamed Arctis 7 files appropriately

  [ Jean-Philippe Guillemin ]
  * alsa-mixer: add a profile-set file to fix iec958 input and output on CMEDIA USB2.0 High-Speed True HD Audio

  [ wellington wallace ]
  * vala: fix a struct field name and add missing source output volume/mute functions

  [ Sylvain Baubeau ]
  * zeroconf: use local icon for shared devices
  * module-gsettings: new module to store configuration using gsettings

  [ Daniel Rusek ]
  * i18n: update the Czech translation

  [ Jungsup Lee ]
  * rescue-streams : Fix a typo
  * allow-passthrough: Fix indentation
  * Fix memory leaks

  [ Vivek Dasmohapatra ]
  * daemon: don't re-exec if the linker supports the -z,now option

  [ Samo Pogačnik ]
  * pipe-sink: new option "use_system_clock_for_timing"
  * pipe-sink: use existing fifo

  [ Andrius Štikonas ]
  * qpaeq: port to PyQt5

  [ KimJeongYeon ]
  * module-tunnel: Fix double free
  * ladspa-sink: avoid to configure invalid format
  * i18n: Update the Korean translation
  * filter-apply: Do not re-route stream to master sink/source when manually moved to filter
  * filter-apply: Eliminate nested and redundant hook events

  [ Roliga ]
  * ladspa-sink: add module argument to set sink input properties

  [ Iceyer ]
  * augment-properties: support XDG_DATA_DIRS when find desktop files

  [ Constantine Kharlamov ]
  * sconv-s16be: declaration/implementation mismatches

  [ jnqnfe ]
  * volume: pa_cvolume_scale_mask: constify param
  * volume: slight simplification of code
  * api documentation improvements
  * merge and deduplicate some pa_buffer_attr documentation

  [ Mihai Moldovan ]
  * core-util: use the generic PATH_MAX variant of pa_realpath on Mac OS X
  * configure.ac: add HAVE_COREAUDIO to automake and code.
  * default.pa.in: load module-coreaudio-detect if HAVE_COREAUDIO.
  * system.pa.in: load module-coreaudio-detect if HAVE_COREAUDIO.
  * module-coreaudio-device: get channel name as CFString and convert to plain C string.
  * build-sys: FlatCarbon is dead. Good riddance.
  * coreaudio-device: fix improper memory handling leading to crashes.
  * module-coreaudio-{device, detect}: implement record and playback modargs, curtesy of module-waveout.
  * svolume: disable incompatible MMX and SSE code on x86 macOS

  [ Guenter Milde ]
  * alsa-mixer: fix speaker output on a couple of Asus EeePC machines

  [ Colin Leroy ]
  * rtp: New pa_rtsp_options function
  * raop: Fix sink getting destroyed after one use
  * raop: fix sequence number overflow
  * raop: fix typos
  * raop: Fix packet retransmission
  * cli-command: don't exit on "module already loaded" errors
  * RAOP: Announce real latency
  * raop: add latency value for Shairport RAOP server
  * raop: Show device codename in sink properties
  * raop: Init dummy port and card for latency change

  [ Peter Meerwald-Stadler ]
  * sink-input,source-output: Fix logging, don't overwrite old_value when value == 0
  * alsa: Check pa_modargs_get_value_boolean() retval for use_ucm
  * tests: Assert fillrate > 0 in alsa-time-test
  * stream: Check pa_tagstruct_get_format_info() retval in pa_create_stream_callback()
  * modules: Check pa_threaded_mainloop_start() return value
  * tests: Check pa_rtpoll_run() return value
  * modules: Use pa_assert_se() to check return value of dbus_message_iter_close_container()
  * Remove newline at end of log messages
  * bluetooth: Don't free modargs twice
  * bluetooth: Fix dead code
  * bluetooth: Reorganize code to avoid Coverity NULL dereference warning
  * bluetooth: Fix negative array index write
  * padsp: Fix flush and improve error handling
  * core: Replace PA_PAGE_SIZE with pa_page_size()
  * tests: Assert granularity range in stripnul.c
  * sample: Assert validity of sample_spec
  * build: Add Coverity scan model
  * raop: Fix double free
  * raop: Fix loop searching for port number
  * raop: Fail after search for port number
  * raop: Fix memleak
  * raop: Fix resource leaks
  * raop: Fix potential memory leak
  * raop: Fix indentation
  * raop: Silence unchecked return value warnings
  * raop: Fix potential resource leaks
  * raop: Fix potential NULL dereference
  * build: Use #ifdef to check for #defines
  * core-util: Fix description of pa_split()
  * raop: Fix check for invalid file descriptor
  * raop: Fix potential dereference after NULL check
  * raop: Fix potential NULL dereference
  * raop: Log if pa_atoi() fails, latency is not used anyway
  * raop: Error out on parsing server port component
  * core: Assert return value of pa_shared_set/_remove() in dbus-shared
  * core: Ignore pa_shared_remove() return value
  * oss: Fix dead code
  * pulse: Explicitly ignore pa_mainloop_run() return value in thread function
  * json-test: Fix Coverity warning
  * bluetooth: bluez5: Fix Coverity warning
  * raop: Fix gcc-7 warnings, EWOULDBLOCK
  * raop: Fix typo
  * core: Fix gcc-7 -Wimplicit-fallthrough= warnings
  * core: Fix typo and gcc-7 -Wimplicit-fallthrough= warnings
  * core: Fix gcc-7 -Wimplicit-fallthrough= warnings by rearranging comment

  [ Salvador Fandino ]
  * proplist-util: fix compilation on Windows without NLS
  * ladspa-sink: fix Windows compilation
  * build-sys: simulate ln -s correctly on Windows

  [ David Henningsson ]
  * jack: Prevent crash on jack server shutdown
  * SSE/MMX/ARM: Fix high frequency noise with unusual number of channels
  * Add "Rear Mic" to alsa mixer paths.
  * jack: Add module-jackdbus-detect
  * Fighting rewinds: Seek and write data in the same message
  * Fighting rewinds: Reduce calls to handle_seek
  * alsa-mixer: Add a few well-known descriptions
  * alsa-mixer: add required-any and required-* for enum options
  * alsa-mixer: always round towards 0 dB
  * alsa-mixer: Add new paths for Internal Mic, Front Mic, Rear Mic and Dock Mic
  * alsa-mixer: Fixup "Mic"/"Line"/"analog-input" paths to work with the new paths
  * alsa-mixer: Make sure capture source and input source use right path
  * alsa-mixer: Add support for "Line Boost" element
  * module-jack-sink/source: protect against null return in jack_get_ports
  * SSE/MMX: Fix problem with highpitched noise on i386
  * alsa-mixer: Add workaround for some USB headsets
  * protocol-native: Allow clients to know at what index underrun occurred
  * Fix crash in path subset elimination
  * Document PA_COMMAND_UNDERFLOW protocol change
  * alsa-mixer: Mute IEC958 optical raw for several Audigy models
  * alsa-mixer: Add "Line HP Swap" element
  * JACK: Load module-jackdbus-detect in default.pa
  * Remove offensive part of error message
  * switch-on-connect: Don't switch to a monitor source
  * Fix spelling sucess -> success
  * Set better priorities on input paths
  * module-switch-on-connect: Don't switch unlinked sink input and source outputs
  * alsa-mixer: Set "Front" control to 0 dB on headphone path
  * raop: Don't crash if fd is not open when trying to close it
  * sink,source: Avoid crash by not updating volume on shutdown
  * conf: Make sure module-dbus-protocol is loaded after module-default-device-restore
  * dbus: Don't crash if the module does not load
  * Fix crash in threaded message queues
  * module-jackdbus-detect: Avoid double-free of modargs
  * source-output: Do not use unset channel map in pa_source_output_new
  * Fix deferred volume not being applied if sink is closed
  * Introduce "available" concept for ports, and communicate that to clients. Bump protocol version to 24.
  * Turn device ports into reference counted objects
  * Cards now has ports directly, and device port has list of profiles
  * Notify port available status changes, and update protocol version
  * cli: Show card ports and jack detection status
  * alsa: Ignore the virtual "thinkpad-acpi" card
  * alsa: add card ports and path probe cache
  * Fixup a few things in the new path probing
  * pactl: Show port availability
  * device-port: Add a property list to ports.
  * alsa-mixer: When selecting an input, turn off boosts of other inputs
  * alsa-mixer: Refactor pa_alsa_profile_set_probe().
  * alsa: Fix log message "synchronous volume" -> "deferred volume"
  * alsa-mixer: Allow speaker port to control "Front Speaker"
  * alsa: Improve "well known descriptions" for ports
  * alsa-mixer: Make sure unsupported paths are removed after probing
  * alsa-mixer: Take override-maps into account in subset elimination
  * sample-util: Fix "Darth Vader" panning bug
  * alsa-mixer: Don't use dangling pointers as port hashmap keys
  * PROTOCOL: Fix documentation for version 22
  * tunnel: fixup create_record_stream
  * flist: Avoid the ABA problem
  * alsa: Jack detection kcontrol implementation
  * alsa: Add port information to HDMI profiles
  * Add a new module switch-on-port-available that acts on port changes
  * conf: Load switch-on-port-available module by default
  * introspect: Expose port info per card to clients
  * alsa-mixer: Make speaker get available=no when headphones are plugged in
  * alsa-mixer: Don't remove paths if jacks state.(un)plugged differ
  * daemon: Initialize dbus to use thread-safe mode by default
  * protocol-native: Protect against clients trying to set a NULL port
  * module-loopback: Never call adjust_rates after teardown
  * module-switch-on-port-available: Do not switch profile if current port is available
  * pactl: show availability information for "list cards"
  * build-sys: padsp target should not be phony
  * alsa-mixer: Show HDMI ports for older Nvidia cards
  * alsa-mixer: Fix a small issue when detecting required-any
  * Fix input device for M-audio fasttrack pro
  * sink-input/source-output: Prevent filter sink/source cycles
  * module-loopback: Reset process_msg callbacks in teardown
  * alsa-sink/source: Really set volumes on port change
  * alsa-sink/source: Make sure volumes are synchronised after fast user switching
  * sink/source.h: Clarify set_port comment
  * once: Fix race causing pa_once to sometimes run twice
  * alsa-mixer: Add special profiles for some laptops missing speaker and/or internal mic
  * alsa-mixer: Add Phantom Jack support
  * alsa-mixer: Always turn "Inverted Internal Mic" off
  * alsa-mixer: Add "Front Headphone" jack
  * alsa-mixer: Document "state.plugged" and "state.unplugged"
  * alsa-mixer: Add "Front Headphone Jack" (fixup)
  * alsa-mixer: Add "Headphone Mic" support for 3-pin ASUS netbooks
  * resampler: Fix volume on downmix to mono
  * alsa-mixer: Add "iec958-stereo-input" to well known path names
  * flist: Increase default list size to 256
  * alsa-mixer: Cache failure to open inputs/output mappings
  * alsa-mixer: Remove analog-output-lfe-on-mono
  * cli: Output asterisk when default sink/source is found
  * alsa-sink/source: Warn for scheduling delays
  * alsa-mixer: Don't let "Mic Jack Mode" alone create a "Line In" path
  * alsa-mixer: Add a few more machines to internal mic whitelist
  * alsa-mixer: Add "CLFE" and "Bass Speaker" names
  * alsa-mixer: Prefer "Digital Input Source:Digital Mic 1"
  * alsa udev quirks: Add some more Dell devices to speaker whitelist
  * alsa-mixer: Add Dell Inspiron One 2020 to mic whitelist
  * alsa-mixer: Add device.icon-name property for some common ports
  * alsa-mixer: Fix the analog-output-speaker-always path
  * pactl: Document @DEFAULT_SINK@, @DEFAULT_SOURCE@ and @DEFAULT_MONITOR@
  * alsa-sink/source: Better thread names
  * alsa-ucm: Fallback to stereo duplex
  * module: Unload modules in reverse order
  * alsa-util: Add a function to read ELD info
  * alsa-mixer: Add possibility to configure ELD device
  * alsa-card: Make ELD monitor name a port property
  * default.pa: Load module-jackdbus-detect with channels=2 by default
  * bluetooth: Never allow microphone output ports
  * core, alsa: Better drain reporting
  * tests: Move ipacl-tests to TESTS_norun
  * sink-input: Make sure the process_underrun callback is cleared
  * alsa-mixer: Add path for Headset Microphone
  * alsa-mixer: Support more phantom jacks
  * tests: Add tests for alsa-mixer paths
  * protocol-native: Ensure tlength is not set higher than maxlength
  * protocol-native: Lower default minreq in low-latency scenarios
  * client API: Document buffer_attr.maxlength
  * alsa-mixer: It's valid to have zero elements in a path
  * alsa-mixer: Add "Headset Playback|Capture" element
  * pstream: Rename "do_something" function
  * socket-server: Make the new channel low-delay, not the listening one
  * pstream: Optimise write of smaller packages
  * alsa-mixer: Add more jack detection for Headset mic path
  * alsa-mixer: Change profile-sets directory to PA_SRCDIR
  * alsa: Initialize ports before sinks/sources
  * module-switch-on-port-available: Handle hotplugged cards
  * default.pa: Load switch-on-port-available before udev-detect
  * alsa: Fix ELD access warning on shutdown
  * alsa-mixer: Allow input fallback port for devices with no gain control
  * alsa-mixer: Switch to Headphone when Headphone mic jack is plugged in
  * po: Fix error in hungarian translation
  * alsa: Fix crash when profile_set == NULL
  * alsa-mixer: Add "Line Out Jack" to analog-output.conf
  * sink-input/source-output: Don't set save_volume if volume is not writable
  * core-util: Add pa_safe_streq
  * module-device-manager: Fix description restore
  * rtp: Reset timestamp with correct size if not found
  * alsa-mixer: Add "Line Out" path
  * alsa: Fix "Scheduling delay of..." message
  * iochannel: Avoid unnecessary wakeup after successful write
  * pstream: Fixup hangs caused by recent iochannel patch
  * protocol-esound/http/simple: Make sure callers can handle iochannel_write changes
  * Revert "alsa-mixer: Add a couple of assertions"
  * daemon.conf: Document new speex-float-1 default
  * alsa-ucm: Make combination ports have lower priority
  * alsa-mixer: Prefer moving "Capture" before moving boosts
  * module-tunnel: Fixup broken build
  * alsa: Turn one assertion into two
  * default/system.pa: Do not load module-dbus-protocol
  * alsa-mixer: Drop all unused paths, not only unsupported paths
  * alsa-mixer: Add internal surround speaker elements
  * sink-input/source-output: Fix LFE remixing suddenly enabled
  * suspend-on-idle: Ensure we still time out if a stream remains corked
  * alsa-mixer: Fix Analog Input showing up on USB Headset
  * sink/source: Initialize port before fixate hook (fixes volume/mute not saved)
  * module-switch-on-port-available: Don't switch profiles on uninitialized cards
  * module-switch-on-port-available: Use port->card pointer
  * module-switch-on-port-available: Use new find best port function
  * pstream: Use pa_xnew0 in initialization
  * fdsem: remove superfluous parameter in call to pa_fdsem_new_shm
  * fdsem: Use atomic.h
  * channelmap: Add 2.1 surround
  * alsa-mixer: Add surround 2.1 profile
  * po: Add two files to POTFILES.in
  * module-rescue-streams: Fixup previous patch w r t fallback sink/sources
  * creds: Add struct for ancillary data
  * iochannel/pstream/pdispatch: Add support for receiving file descriptors
  * iochannel/pstream: Support sending file descriptors
  * srbchannel: Add the shared ringbuffer object
  * shm: Allow to open shm in writable mode
  * memblock, pstream: Allow send/receive of remote writable memblocks
  * core: Add a second rw mempool
  * pstream: Allow reading/writing through srbchannel
  * Protocol, client: Add commands to enable srbchannel
  * protocol-native: Enable srbchannel
  * tests: Add pstream/srbchannel test
  * creds: Unbreak build without HAVE_CREDS
  * alsa: Add "exact-channels" mapping configurability
  * alsa: Allow "fallback" configuration for mappings and profiles
  * alsa: Add a multichannel fallback mapping
  * alsa: Remove four channel input profile
  * conf-parser: Add debug print of parsed files
  * sink/source: Fix restore of volume on devices without hw volume
  * resampler: Remove duplicate forward declaration of pa_resampler
  * Make all debug/info level messages untranslatable
  * Replace "authorization" with "authentication"
  * alsa-mixer: Improve workaround for Valgrind's false warnings
  * core-util: Fail if XDG_RUNTIME_DIR belongs to someone else
  * configure: Fix spelling of "backend"
  * alsa-util: Add functions for accessing mixer elements through mixer class
  * alsa-mixer/card: Move to use the new mixer interface
  * alsa: Remove unnecessary hctl handles being passed around
  * alsa-time-test: Add fillrate parameter
  * alsa-time-test: Do not use Lennart's card by default
  * alsa-time-test: Make constants for channels and rate
  * srbchannel: Defer reading when setting up read callback
  * module-mmkbd-evdev: Don't crash on failure to close fd
  * connect-stress-test: Fix number of streams per sink to "20"
  * memblockq: Do not allow non-frame indices in the memblock queue
  * stream: Fail on client submitting non-frame-aligned memblocks
  * protocol-native: Fail if trying to push unaligned memblock into queue
  * configure: Remove "WIBBLE" test
  * pstream-util: Fix build on freebsd
  * module-card/device-restore: Do not legacy load an empty entry
  * alsa-mixer: Add support for "Headphone+LO" and "Speaker+LO"
  * rtpoll: Fixup pa_rtpoll_run
  * bluez 5: Build both headset backends, if available
  * bluez 5: Load the native headset backend if the oFono one is unavailable
  * bluez 5: Fix a debug message
  * bluez 5: remove null headset backend
  * bluetooth: Select headset backend through module argument
  * dbus-iface: Initialize "new_active" variable to NULL
  * configure: Bump sonames
  * NEWS: Write entry for 6.0
  * po: add pulseaudio.service.in to POTFILES.in
  * build-sys: Don't build srbchannel-test on targets without srbchannel
  * bluez5: Fix free order of adapters and devices
  * core-util: Fix build on mingw32
  * memblock: Avoid block ID collisions when exporting memory blocks
  * srbchannel: Check return value of pa_memblock_new_pool
  * memblock: Initialize mempool object to zero
  * bluez5: Do not suspend on no -> unknown profile transitions
  * Revert "launch: Disable autospawn by default when systemd daemon support is enabled."
  * memblock: Fix more block ID collisions
  * alsa-mixer: Mute headphones and speakers on line out path
  * protocol-native: Disable srbchannel by default
  * module-device-restore: Fix memory leak in read_sink_format_reply
  * alsa-mixer: Make speaker unavailable when Line Out is plugged in
  * Update NEWS file
  * alsa-util: Make two of the warnings "debug" instead of "error"
  * pstream: Don't split (non-SHM) memblocks
  * protocol-native: Re-enable srbchannel
  * pstream: Remove unnecessary if condition
  * thread-mq: Make pa_thread_mq_done more robust
  * lfe-filter: Import code from the Chrome OS audio server
  * lfe-filter: Enable LFE filter in the resampler
  * lfe-filter: Cleanup and refactor
  * memblock: Change pa_memblock_new_malloced to an inline function
  * lfe-filter: Add rewind support
  * resampler: Make some basic functions for rewinding
  * resampler: Allow disabling the LFE filter by setting crossover to 0
  * resampler: Rename "lfe_filter_required" to "lfe_remixed"
  * module: Add hook dynarray
  * module-*-restore: use pa_module_hook_connect
  * module-suspend-on-idle: use pa_module_hook_connect
  * module-alsa-card: use pa_module_hook_connect
  * module-filter-*: use pa_module_hook_connect
  * module-switch-*: use pa_module_hook_connect
  * alsa-mixer: Use separate profiles for Multichannel Input/Output
  * alsa-mixer: Add paths/ports for multichannel profile
  * core-util, pactl: Make one localised and one non-localised version of pa_yes_no
  * alsa-mixer: Make line out path unavailable when "Front Headphone" is plugged in
  * lfe-filter-test: Use S16NE format
  * echo-cancel: Add config.h in adrian-aec.c
  * stream: Check sample spec validity before abiding PULSE_LATENCY_MSEC
  * module: Warn about modules loaded after unload
  * alsa-mixer: Add "Front Line Out" and "Rear Line Out"
  * module: Always remove freed module from modules_pending_unload
  * alsa-mixer: Add "Mic Boost" and "Line Boost" to analog-input.conf
  * client: Use pa_xnew0 when creating a client
  * card: Use pa_xnew0 when creating a card
  * shm: Warn on not being able to open shm files
  * card: Use pa_xmalloc0 when creating card profiles
  * module-alsa-card: Report available ports before unavailable ones
  * pstream: Fix use-after-free in srb_callback
  * alsa-mixer: Ignore volume with unexpected number of channels
  * volume: Refactor get/set balance/fade
  * volume: Add LFE balance API
  * alsa-mixer: Add "Front Headphone" to headset mic path
  * alsa-mixer: Return early in case of no mixer poll descriptors
  * card: Add variables for splitting up a profile
  * alsa-mixer: Fill in input and output names
  * device-port: Add preferred_profile field to pa_device_port
  * card: Update preferred_profile for ports when profile changes
  * card-restore: Save and restore "preferred profile" of port
  * module-switch-on-port-available: Use input and output names
  * module-switch-on-port-available: Route to preferred profile
  * module-card-restore: Remove "version" from internal entry struct
  * card: Only update port's preferred profile if profile is saved
  * typedefs.h: Move some typedefs to a separate file
  * gitignore: Add .orig and .rej to gitignore
  * switch-on-port-available: Switch from HDMI to analog; but not the other way around
  * alsa-mixer: refactor element_probe and fix >2 channel bug
  * memblock/pstream: Fix two compiler warnings
  * switch-on-port-available: Add some basic properties

  [ Kristian Klausen ]
  * alsa-mixer: Prioritize hdmi-* mappings over iec958-* mappings

  [ Cheng-Chia Tseng ]
  * l10n: Updates to Chinese (Taiwan) (zh_TW) translation
  * l10n: Updates to Chinese (Taiwan) (zh_TW) translation
  * l10n: Updates to Chinese (Taiwan) (zh_TW) translation
  * l10n: Updates to Chinese (Taiwan) (zh_TW) translation
  * i18n: Update zh_TW translation
  * i18n: update Chinese (traditional) translation
  * i18n: update the Chinese (Taiwan) translation

  [ Johan Heikkilä ]
  * alsa-mixer: add support for Steelseries Arctis 7 headset

  [ Ian Ray ]
  * alsa-mixer: round, not truncate, in to_alsa_dB

  [ Karl Ove Hufthammer ]
  * i18n: add a Norwegian Nynorsk translation

  [ Vadim Troshchinskiy ]
  * osx: Fix latency querying
  * conf-parser: provide a replacement for scandir on Win32

  [ Denis Shulyaka ]
  * pacat: fix a memory issue

  [ Ted Ying ]
  * simple: Change latency estimation to account for already-read data in pa_simple_get_latency().

  [ David Michael ]
  * solaris: Support building on GNU Hurd

  [ Grzegorz Kolodziejczyk ]
  * bluez5-device: Log subband count instead of subband flag

  [ Muhammet Kara ]
  * i18n: Updated Turkish translation
  * i18n: Updated Turkish translation
  * i18n: Updated Turkish translation

  [ Corentin Noël ]
  * vala: use the correct syntax
  * echo-cancel: Change the DEVICE_MASTER_DEVICE property when changing device

  [ Christian Kellner ]
  * sink: Invert priorities to prefer external devices
  * sink: Add portable form factor priority (450)
  * sink: Add missing 'hifi' form factor to priorities

  [ KimjeongYeon ]
  * filter-apply: Fix memory leak in process()
  * virtual-surround-sink: Add sink_master argument to enable filter-apply to load the module
  * ladspa-sink: Add sink_master argument to enable filter-apply to load the module
  * filter-apply: Add ability to pass parameters to a filter module

  [ Imre Vadász ]
  * context: Check for errno == ECHILD instead of ESRCH after failed waitpid().

  [ Moritz Bruder ]
  * waveout: fix wrong input device
  * waveout: add argument deprecation error

  [ ced2c ]
  * raop: Fix #36: invalid access to freed object
  * raop: Fix #37: OOB access in rtsp_auth_cb

  [ Hajime Fujita ]
  * Support IPv6 address in pa_socket_client_new_string()
  * rtp: Freeing ioline when disconnecting
  * rtp: Introduce pa_rtsp_exec_ready()
  * core-util: add pa_strneq macro
  * core-util: add pa_split_space_in_place function
  * core-util: do in-place search in pa_str_in_list_spaces
  * raop: Add UDP protocol handling
  * raop: Add address to RAOP device description
  * raop: Add IPv6 support
  * raop: Silently drop out-of-history retransmission request
  * raop: Stop recording when RTSP FLUSH is issued
  * raop: Disable is_recording flag when tearing down the connection
  * raop: Discard data upon getting EAGAIN on a socket
  * raop: Fix memory leaks

  [ Martin Blanchard ]
  * raop: Cosmetic fixes / Match coding style
  * raop: Add pulsecore/core-utils a pa_str_in_list function
  * rtp: Random seq number at the beginning of the session
  * raop: Parse server capabilities on discovery
  * raop: Do not send audio before RECORD response
  * raop: Better playback resume handling
  * raop: Extract encryption related code into a separate file
  * raop: Move base64 implementation to a util file
  * raop: Add a MD5 hashing fuction
  * raop: Add BA (Basic) and DA (Digest) HTTP authentication helpers
  * raop: Merge TCP and UDP code paths + refactoring
  * raop: Prefer ALAC encoding to raw PCM if supported by server
  * raop: Update and standardise source file headers
  * raop: Rework packet's store memory management
  * raop: Remove unimplemented code (PCM and AAC)
  * raop: Correctly wrap RTP packet sequence number
  * raop: Add back initial volume RTSP SET_PARAMETER request on connect

  [ Stephen Paul Weber ]
  * raop: Do not flush when RTSP object is not ready

  [ Matthias Wabersich ]
  * raop: Packet retransmission support for UDP

  [ David Mandelberg ]
  * remix-test: test the remixer using different flags
  * resampler: Flag for remixing to all sink channels.
  * remix-test: test the remixer with PA_RESAMPLER_NO_FILL_SINK set
  * daemon-conf: add remixing-use-all-sink-channels option

  [ Renjith Thomas ]
  * bluetooth: fix distorted audio during Bluetooth SCO HFP/HSP playback

  [ Philip Chimento ]
  * build-sys: Move TLS check after flags additions
  * build-sys: Don't override libtoolize

  [ Paul Seyfert ]
  * shell-completion: update zsh completion for pasuspender

  [ Rikard Söderström ]
  * daemon-conf: changed 'not' to 'note'

  [ Ahmed S. Darwish ]
  * pulse: Document client libraries logging behavior
  * log: Introduce PULSE_LOG_JOURNAL environment variable
  * log: Fix compilation error on non-systemd systems
  * build-sys: bootstrap.sh: Do a make only if configure has succeeded
  * scripts: Introduce benchmark_memory_usage.sh
  * scripts: Plot memory benchmarks using gnuplot
  * log: journal: Prevent duplicate values for CODE_* fields
  * pulsecore: Cache daemon shm size inside pa_core
  * pulsecore: Reference count mempools
  * srbchannel: Introduce per-client SHM files
  * pulsecore: Transform pa_mempool_new() into a factory method
  * SHM: Refactor private allocations
  * pulsecore: Introduce memfd support
  * memimport: Support memfd blocks
  * pulsecore: Specially mark global mempools
  * pstream: Support memfd blocks transport
  * build-sys: Set C language standard to gnu11
  * protocol-native: Disable srbchannel for setups without SCM_CREDENTIALS
  * stream: Document pa_stream_write() size and offset requirements
  * detect: Don't deprecate module-detect on non-Linux systems
  * client audio: Support memfd transport
  * core: Support memfd transport; bump protocol version
  * shm: Fix use of uninitialized value: segment's shared-memory type
  * pstream: Fix use of uninitialized value: ancillary fd cleanup flag
  * pstream: Add rationale for pa_cmsg_ancil_data_close_fds()
  * protocol-native: DRY: Remove pdispatch callbacks declarations
  * iochannel: Strictly specify PF_UNIX ancillary data boundaries
  * protocol-native: Don't signal memfd support for 9.0 clients
  * pacat: Synchronize STDIN and "write stream ready" events
  * stream: Frame-align divided audio segments
  * pacat: Write to stream only in frame-sized chunks

  [ Juha Kuikka ]
  * bluetooth: fix race condition in BlueZ5 device disconnection

  [ Fran Dieguez ]
  * i18n: add Galician translation

  [ Anton Lundin ]
  * build-sys: Support building pulseaudio as a submodule
  * build-sys: Fix building with Android toolchain
  * raop: Correct spelling of KTH

  [ Cédric Valmary ]
  * i18n: add Occitan translation
  * i18n: update Occitan translation

  [ Mario Blättermann ]
  * i18n: update German translation

  [ Deepak Srivastava ]
  * padsp: Avoid possible deadlock. Unlocked i->mainloop before returning from default case.
  * patcl: Error msg from pactl not quite accurate for 'mute' commands
  * Removed exclamation marks from user-visible messages.
  * Rename functions with "tostring" in the name to one with "to_string" to conform with the convention.
  * pulsecore: Fixed possible memory leak
  * xen: Fixed possible memory leak.

  [ Marcin Lewandowski ]
  * vala: Added cnames to callback delegates in Vala VAPI
  * core-util: log error if we hit file descriptors limit

  [ Balázs Úr ]
  * i18n: update Hungarian translation

  [ Viktar Vaŭčkievič ]
  * i18n: add Belarusian translation

  [ John Paul Adrian Glaubitz ]
  * pulsecore: Fix incorrect architecture mapping on sparc64.
  * core-util: Use _SC_NPROCESSORS_ONLN instead of _SC_NPROCESSORS_CONF

  [ Nils Schneider ]
  * pipe-sink: align buffer

  [ Dušan Kazik Kazik ]
  * i18n: Update Polish translation

  [ Pierre Ossman ]
  * alsa: Support ALSA without a use case manager
  * module-tunnel: automatically find the PulseAudio server
  * daemon conf: "high-priority" setting isn't respected
  * core: make sure win32 sockets remain blocking
  * Revert "core: Transparently handle non-blocking sockets on Windows"
  * protocol-native: Early request bandaid for high latency sink/source
  * build-sys: don't build raop modules on win32 as they need librtp
  * mainloop: avoid race-y double wakeup status
  * poll: don't use shared event in Windows pa_poll()
  * poll: don't let select() block on Windows
  * daemon: get rid of win32 message timer
  * core: make sure we use the correct win32 socket errno:s
  * context: continue without srbchannel if it fails
  * memblockq: move minreq handling in to memblockq
  * tests: add test to verify correct minreq behaviour
  * memblockq: remove internal "missing" state variable

  [ Romain Naour ]
  * build-sys: C++11 is only required for WebRTC support

  [ Ulrich Eckhardt ]
  * core-util-test: Add boilerplate
  * core-util-test: Add tests
  * core-util: Improve pa_replace() behaviour
  * modargs: Document behaviour on missing arguments
  * memblockq-test: Utility function to alloc chunks
  * memblockq-test: Utility function to validate queue invariants
  * memblockq-test: Some refactoring
  * memblockq-test: Add a test that checks initial properties
  * memblockq-test: Add test changing the parameters of a queue
  * memblockq-test: Add a test for missing data behaviour

  [ Chris Billington ]
  * source: Fixed bug: pa_source_set_port() did not update the latency_offset.
  * sink, source, device-port: renames to distinguish latency offsets

  [ Aidan Gauland ]
  * qpaeq: Don't set font-size on widgets

  [ Guillaume Desmottes ]
  * allow-passthrough: Add module to allow passthrough streams always go through

  [ Barun Kumar Singh ]
  * resampler: Fix leaking lfe filter on init failure

  [ Sachin Kumar Chauhan ]
  * module-filter-apply: Fix a memory leak
  * resampler: Fix a memory leak in pa_resampler_ffmpeg_init()

  [ Jeremy Huddleston Sequoia ]
  * build-sys: Fix check for CoreServices.h

  [ YunQiang Su ]
  * i18n: update Simplified Chinese translation

  [ Gabor Kelemen ]
  * Updated Hungarian translation

  [ Kamil Rytarowski ]
  * netbsd: NetBSD ships with paccept(2) a superset of Linux-specific accept4()
  * netbsd: Improve handling of <locale> and <xlocale.h> headers
  * netbsd: Fix unportable test(1) construct
  * core-rtclock: Add missing declaration of struct timespec
  * core, pulse, modules: Fix undefined behavior with array subscript of invalid type
  * netbsd: Revamp NetBSD platform checks
  * NetBSD: Stop depending upon nonstandard __WORDSIZE
  * solaris: Illumos does not ship with SOUND_PCM* functionality

  [ Jonathan Perkin ]
  * solaris: Catch up with newer API

  [ Jason Gerecke ]
  * bluetooth: Prevent aborts caused by invalid module arguments

  [ jungsup lee ]
  * rtpoll: Fix build error when building with DEBUG_TIMING

  [ Kiran Krishnappa ]
  * sndfile-util: fix format for 24bit depth wav files
  * module: Remove redundant core argument from pa_module_unload()

  [ Mingye Wang (Arthur2e5) ]
  * i18n: Updated zh_CN translation

  [ Thomas Petazzoni ]
  * pulsecore/packet: avoid redefinition of pa_packet structure

  [ Zbigniew Kempczyński ]
  * alsa-sink: Avoid unloading alsa-sink module before calling try_recover()

  [ Lev Melnikovsky ]
  * rtp: fix non null terminated string / non portable sscanf

  [ Andrey Semashev ]
  * resampler: Fix sample_format_more_precise() for the case of comparing against PA_SAMPLE_S32BE
  * Added libsoxr resampler backend.
  * Enabled libsoxr resampler backend.
  * Added libsoxr detection and optional build of soxr resampler backend.
  * Added documentation for soxr resampling methods.
  * soxr: Use soxr_clear() if libsoxr version is 0.1.2 or later.

  [ Peter Mattern ]
  * pacmd: Fix typo in set-default-* help

  [ Julien Isorce ]
  * core-util: avoid calling fchmod if already right mode
  * thread-mainloop: keep SIGSYS unblocked if currently trapped

  [ Ross Burton ]
  * git-version-gen: Avoid further processing when tarball-version is present

  [ John Horan ]
  * make availability of ports visible over dbus

  [ Manish Sogi ]
  * xen: Resource leak in local function alloc_gref() - alloc_fd and dev_fd
  * pacmd: Placeholders describing command line options should not have spaces
  * bluetooth: bluez4: Remove the unused "auto_connect" parameter as it is not used in bluez4

  [ Shawn Walker ]
  * modules: Fix struct namespace collision on Solaris
  * build-sys: don't use the nodelete linker flag on executables

  [ Dušan Kazik ]
  * i18n: Update the Slovak translation
  * i18n: update Slovak translation
  * i18n: Update Slovak translation

  [ Michael Cree ]
  * tests: Fix test-suite failure on Alpha

  [ Zavadovsky Yan ]
  * build-sys: fix order of libraries installation

  [ Ville Skyttä ]
  * build-sys: Install bash completion to where bash-completion.pc says

  [ Paul Menzel ]
  * Typo. s/a/are/
  * man pages: correct formatting/markup of options
  * client.conf.in: Typo. s/a/are/
  * man: Clarify wording in volume sync documentation.
  * man: Reference correct `--use-pid-file` and fix typo (`s/Of/If/`).
  * build-sys: Correct typos in configure
  * tunnel: Remove bogus `{`
  * bluetooth: run `make update-sbc` to pull in build fix for thumb mode
  * .gitignore: add `.tarball-version`
  * svolume_{mmx, sse}, sconv_sse: Fix compilation errors with X32 toolchain
  * doc: Add entry for correct spelling
  * Correct spelling of PulseAudio
  * Fix spelling of separated: s, sepera, separa, g
  * lfe-filter: Use length modifier `z` for type `size_t`

  [ Andrey Zholos ]
  * detect: Fix OSS device detection with long names

  [ René J. V. Bertin ]
  * coreaudio: Change error type to OSStatus

  [ Sagar Nageshmurthy ]
  * Fix: Prevent calling pa_rtpoll_free() for a NULL rtpoll

  [ Sukesh Adiga ]
  * cpu-arm: Fix memory leak in pa_cpu_get_arm_flags()

  [ David Herrmann ]
  * core-util: Fix set_nice() to use private bus connections

  [ Ondrej Holecek ]
  * update FSF addresses to FSF web page

  [ kozdincer ]
  * i18n: Add Turkish translation

  [ Boris Egorov ]
  * alsa-util: fix parenthesis position in err assignment
  * tunnel: use proper value for pa_source_state switch
  * pacmd: add missing 'else' keyword

  [ Jason Newton ]
  * module-equalizer-sink added
  * module-equalizer-sink:
  * module-equalizer-sink: added more assertions to aid in debugging
  * module-equalizer-sink: attempt different buffering strategy
  * module-equalizer-sink: trying new buffering strategies
  * module-equalizer-sink: simplified sink_input pop callback and introduced new variables that simplify different strategies.
  * module-equalizer-sink:
  * module-equalizer-sink:
  * module-equalizer-sink:
  * module-equalizer-sink:
  * module-equalizer-sink:
  * module-equalizer-sink:
  * module-equalizer-sink: reverted buffering logic back to how the ladspa sink did it
  * module-equalizer-sink:
  * module-equalizer-sink:
  * module-equalizer-sink:
  * module-equalizer-sink:
  * module-equalizer-sink:
  * module-equalizer-sink
  * module-equalizer-sink.c
  * module-equalizer-sink.c: swapped order of attach_within_thread and set_max_request within sink_input_attach_cb
  * module-equalizer-sink: fixed timeval initialization
  * module-equalizer-sink: drop old macros for new library based ones
  * module-equalizer-sink: added support for preamp
  * module-equalizer-sink: fixed a bug w/ new zero-latency input scheme (that was an interesting/cool bug!)
  * module-equalizer-sink: per-channel filtering support + profiles, easier default configuration
  * module-equalizer-sink: added server side persistance of profile names
  * module-equalizer-sink: fix improper usage of pa_modargs_get_value_boolean for u->set_default
  * module-equalizer-sink: resync with ladspa parent sink
  * module-equalizer-sink: resyncing with head and fix invalid writes
  * module-equalizer-sink: *added client initiated sync support for filter state *added note of possible unstable behavior with next-power-of-2 sample rate calculation
  * module-equalizer-sink: disable active profile name restoration as something in pack/unpack is funky and I don't have time for a
  * module-equalizer-sink: fixed equalizer state save/restore
  * module-equalizer-sink:
  * module-equalizer-sink: drop source executable permissions configure.ac: add enable/disable + summary line for fftw
  * module-equalizer-sink: fixed equalizer state save/restore
  * module-equalizer-sink:
  * module-equalizer-sink: drop source executable permissions configure.ac: add enable/disable + summary line for fftw
  * drop redundant alloc call
  * module-equalizer-sink: try to limit buffering to mempool's max_block_size and disable debug output
  * module-equalizer-sink:
  * module-equalizer-sink: (re)added output memblockq commented out timing debug statements
  * module-equalizer-sink: switch back to reference dsp implementation - cpu usage doesn't really change and there may be
  * module-equalizer-sink: add latency of output_q and input_q to get latency calculation
  * added qpaeq script for GUI equalizer control to src/util
  * remove .py extension from qpaeq
  * Makefile.am: added qpaeq to installed scripts
  * src/utils/qpaeq: added more friendly error messages to common errors
  * module-equalizer-sink: use fftwf_free in all the right places
  * module-equalizer-sink: remove erroneous fixme

  [ Sjoerd Simons ]
  * Let bootstrap.sh require version 1.10 of the various autofoo bits. Otherwise things will break during compilation
  * fix iteration over random devices
  * Load module gconf earlier
  * build-sys: Make sure all alsa path config files are installed
  * build-sys: Link libpulse directly to libdbus-1 if needed
  * build: Force order of library installation
  * .gitignore: Add padsp to gitignore
  * build-sys: webrtc-utils needs to be installed before module-echo-cancel
  * build-sys: Correct bluez support error if sbc is missing
  * alsa-mixer: recognize Dock headphone jack
  * alsa-mixer: Disable line-out if headphone jack is plugged
  * Alsa: Correct port availability with multiple jacks

  [ Mauro Guerrera ]
  * build-sys: Fix daemon linking when building with systemd-daemon support

  [ Colin Guthrie ]
  * Perfer client.conf over X11 property variables.
  * Also link libpulsecore.la to some libraries (needed for logging). Discovered while compiling with --as-needed
  * Rejig r2495 slightly and directly compile the necessary source files as libpulsecore.so is not available when libpulsedsp.so is built
  * Do not invalidate the cookie if no file was specified.
  * Trivial typo fix in debug log message.
  * Export the cleanup_name() function and rename it to pa_namereg_make_valid_name().
  * Add xmltoman to the distribution. This saves pulling in an external dependancy
  * Fix documentation of constant: PA_VOLUME_MUTED (not PA_VOLUME_MUTE)
  * Merge branch 'master' of git://git.0pointer.de/pulseaudio
  * Merge branch 'master' of git://git.0pointer.de/pulseaudio
  * Merge branch 'master' of git://git.0pointer.de/pulseaudio
  * Fix linking
  * Merge branch 'master' of git://git.0pointer.de/pulseaudio
  * Fix linking
  * Merge branch 'master' of git://git.0pointer.de/pulseaudio
  * Fix more linking issues in x11-publish and stream-restore
  * Linking fix for rtclock on libpulsedsp
  * Add a small lib to interpret and produce headers as used in http style requests.
  * Add a RTSP client impelmentation.
  * Add a simple base64 library that will be used by the sink
  * Start the raop sink. It's based on pipe sink and isn't anywhere near finished. It does however compile.
  * Use pa_sprintf_malloc to do simple concatenation rather than using the higher overhead of pa_strbuf
  * Use _free rather than _destroy so as not to mix naming conventions.
  * Convert to using pa_socket_client rather than using blocking IO.
  * Convert the return values to fit with the rest of pulse 0 == success, < 0 == failure
  * Fix svn properties and some minor indentation
  * Trivial change to allocate memory using pulse methods.
  * Move closer to an asynchronous structure (still some parsing code to be converted).
  * Add a skeleton raop client which builds on the rtsp client.
  * Some minor tidyup to remove code now in raop client. Still nowhere near functional.
  * Add a function for packing bits into a byte buffer. This will be needed when encoding the audio data in ALAC format.
  * Add a pa_iochannel callback for when the RAOP connection connects.
  * Use a more stateful response parser.
  * Wrap the io_callback to ensure that all data is written before asking for more.
  * Rename rtsp.{c,h} to rtsp_client.{c,h}.
  * Combine pa_raop_client_new and pa_raop_client_connect (no point in having them separate)
  * Properly duplicate the hostname passed in on connect.
  * Add more libraries to librtp now that it's doing a lot more.
  * A very rough first version of the sink.
  * Do not assert on NULL values of s. This means the connection was closed. This change somehow kills the mainloop with an assert, so I need to sort that out.
  * Move the ownership of the encoded data memchunk into the raop_client.
  * Add a new callback structure to propigate when the RTSP connection dies
  * Listen to the on_close callback. This still causes asserts in the mainloop, so this is not a complete solution
  * Various changes suggested by Lennart.
  * Change suggested by Lennart. Do not return a memchunk, instead pass in the pointer.
  * Fix up IPv6 address format to enclose it in []
  * Some misc fixes. consts, base64 optimisation (not that it will be with us long anyway), and c comments
  * unref the raw data memblock before requesting more data.
  * Don't try to free stack variables.
  * Do not prefix internal function rtsp_exec.
  * Do tidy up on disconnection.
  * Move the encoding loop around a bit such that it does not grab the data and keep it for the next loop iteration.
  * Set the send buffer size to prevent rendering silence in amongst our good data (this should be more sophisticated but that can wait for a glitch-free port)
  * Set forgotten keyword property
  * Keep track of the memblock pointer internally and do not rely on subsequent calls to pass it back in for unref'ing
  * A few related changes:
  * Fix up a couple of values related to encoding overhead.
  * Minor update to copywrite (I still plan to replace this completely but in the mean time....)
  * Add seq and rtptime params to record/flush with a view to using these for timing and device suspension
  * Remove unneeded headers accidentially added in r2500.
  * Change the API of the RTSP client a bit.
  * Add some new public API functions to connect and flush.
  * Still send silence when we are not doing anything else, but also flush the buffers correctly upon recovery from suspension.
  * Minor correction of help text
  * Automatic discovery of airtunes devices via Bonjour/Avahi.
  * Add Lennart back in to Copyright as I copied these files from his originals and was a bit overzealous in changing things ;)
  * Use the new pa_namereg_make_valid_name() function.
  * Implement a set volume function to expose this capability to higher layers
  * Implement hardware volume control.
  * Make module-raop-sink/discover work with 0.9.11 API
  * Remove $Id$ lines left over from SVN
  * Modularise the RAOP stuff that requires OpenSSL and make it optional at compile time
  * Follow master change r34dd4a and fix shutdown when --disallow-module-loading=1 is passed
  * Fix a potential C++/C99 ism, add a log message on error condition
  * Fix two typos that broke tunnels
  * Fix a potentially non-returning function in base64 code.
  * Fix the message processing for PA_SINK_MESSAGE_GET_LATENCY by returning rather than breaking and falling through.
  * Clean up volume/mute settings a bit.
  * Trivial typo in a comment
  * A couple of dependancy ordering fixes.
  * Remove references to trademarked terms.
  * Add the module dir to the libpulse pkgconfig file (needed for paprefs)
  * Fix a very strange 'file not found' error in module-alsa-card.
  * bluetooth: Fix under linked module-bluetooth-device
  * Don't assume that device reservation is enabled.
  * raop: Allow for nice sink descriptions to be set (interpolated from avahi)
  * raop: Log teardown explicitly
  * raop: Handle the reponse header memory allocation more sensibly.
  * Use pa_assert_se() when the containing code has side effects.
  * Use LGPL 2.1 on all files previously using LGPL 2
  * raop: Add call to pa_sink_set_max_request()
  * udev: Don't install the udev rules if we're not compiling udev support
  * combine: Do not set (and update) description if the user passed one in during load.
  * introspect: Fix a bug in sink/source info protocol handling related to ports.
  * bootstrap: Ship git-version-gen with the tarball.
  * introspect: Fix two memory issues in port handling code.
  * Merge commit 'flameeyes/master'
  * raop: Use pa_module_unload_request_by_index as per module-zeroconf-discover
  * rtp: Factor out direct io writing and use ioline instead.
  * rtp: Remove 'fix me' comment after it was actually fixed in [56b6e1]
  * alsa: Give all ports a human name to allow UI tools to present the choice to users.
  * conf: Fix typo in daemon.conf: rlimit-rtttime - too many t's
  * stream-restore: Comment fix
  * tunnel: fix parsing of source info from newer servers
  * libpulse: Add *_NOFLAGS flags with value 0 for various enums
  * device-manager: Add a new module to keep track of the names and descriptions of various sinks.
  * device-manager: Add an untested protocol extension.
  * device-manager: Fix indentation
  * device-manager: Export device-manager extension functions
  * device-manager: Link native protocol library.
  * device-manager: Fix tagstruct description extraction (copy+paste blunder)
  * device-restore: Fix the application of an entry to allow changing the name of devices.
  * stream-restore: Preventative initialistion to NULL
  * device-manager: Only store and save details for non-monitor sources
  * device-manager: Fix copy+paste leftover
  * device-manager: Update docs version -> 0.9.19 (predicted)
  * device-manager: Provide a way for clients to enable/disable role-based device-priority routing.
  * device-manager: Fix copy+paste code that looped over the tagstruct when not necessary
  * device-manager: Provide a method for prefering/defering a device.
  * device-manager: Change the write function to a rename function.
  * device-manager: Let subscribed clients know when something changes.
  * device-manager: When a new device is encountered, initialise the priority list to an appropriate value
  * device-manager: Fix the freeing of the datum on prefer/defer.
  * device-manager: debug and comments
  * device-manager: Rough framework (slots etc.) for handling routing.
  * device-manager: Remove unneeded logic for checking for and (un)loading module-stream-restore. We can co-exist
  * device-manager: Add a function to get a list of the highest priority device indexes for each role.
  * device-manager: Add routing functions that are triggered when sinks/soruces are added/removed.
  * device-manager: Set the most appropriate sink/source when new streams are created
  * device-manager: Remove unused variables
  * device-manager: Allow the routing component to be turned on via a module argument as well as via protocol extn.
  * device-manager: Some efficiency and safety tweaks
  * device-manager: Update exports
  * device-manager: Fix the database write mode
  * device-manager: Keep a cache of the highest priority devices for each role.
  * device-manager: Reroute the streams on startup and update our cache on enable.
  * device-manager: More sensible names for internal functions
  * device-manager: Refactor the routing method to allow the routing of a single stream
  * device-manager: Reroute streams when they change allowing the media.role to be updated mid-stream.
  * device-manager: Add a function to dump the database which we do whenever we save it (and on startup)
  * device-manager: Expose the priority lists in the protocol extension.
  * device-manager: Save icon and report current availability over protocol.
  * device-manager: Don't notify clients on every subscription (it happens all the time).
  * device-manager: Change the prefer/defer options to a single 'reorder' command.
  * device-manager: Add extra debug messages
  * device-manager: Fix the writing of the database when priority doesn't change.
  * device-manager: Misc fixes.
  * device-manager: Misc fixes to co-exist with other stream management/routing modules.
  * device-manager: Add some scripts that are only run under KDE to load/initialise module-device-manager with routing turned on.
  * device-manager: Fix typo in module loading script.
  * device-manager: No need to check the version after calling read_entry()
  * device-manager: Keep track as to whether or not the user specifically renamed the device.
  * device-manager: Make use of PA_IDXSET_FOREACH when applying entries.
  * device-manager: Play nice with module-stream-restore.
  * device-manager: Rather than flagging the device as available, just include the sink/source index with PA_INVALID_INDEX meaning unavailable
  * device-manager: Fix compiler warning.
  * device-manager: Update docs version -> 0.9.20
  * device-manager: Update docs version -> 0.9.20
  * build-sys: Fix missing trailing slash in 14eaf2
  * Merge remote branch 'tanuk/master'
  * stream-restore: Clear the save_sink/save_source flags on apply_entry.
  * core: Fix macro typo - PA_SINK_IS_LINKED -> PA_SINK_INPUT_IS_LINKED
  * alsa: cover Input Source:Int Mic
  * alsa: Cover the 'Int Mic Boost' element.
  * pacat: Don't use any buffer attr if we don't set any latency/process time params
  * build-sys: Mention dbus support in the summary
  * intended-roles: Do not pick monitor sources when doing automatic role-based device selection
  * rtp: Fix bracketing in pa_rtp_recv.
  * Merge remote branch 'tanuk2/fixes'
  * alsa: Fix assertion on mmap_write (triggered via a52 plugin)
  * cli: Allow .include on directories as well as files.
  * alsa: Set the rewind safeguard proportionally to sample spec
  * alsa: Only set the 'first' flag to false when we actually call snd_pcm_start()
  * x11: Partially convert to XCB.
  * xcb: Ensure the XCB connection is valid before using it.
  * xcb: xcb_get_setup() can return 0, so make sure we check it before using
  * x11: Use the default screen for X11 properties.
  * augment-properties: Search for .desktop files in subfolders too.
  * device-manager: Ensure that sinks/sources populate the device manager lists in order of their priority.
  * suspend: Do not assert when checking for device suspended status and a stream is not linked.
  * sink-input: Fix comment
  * augment-properties: Fix debug messages and statement bracketing.
  * introspect: Include whether a stream is corked in the info callback.
  * Merge remote branch 'vudentz2/master'
  * intended-roles: Mark devices with a form factor of 'headset' as being appropriate for 'phone' streams
  * log: Totally trivial spelling 'correction' (for en-US)
  * dbus: Fix log message after volume changes.
  * combine: Only check if the sink is h/w etc. in automatic mode
  * version: Drop the micro version number
  * doxygen: Fix version numbers for new features
  * build-sys: Add some smarts to version extraction from git tags.
  * build-sys: Replace dummy Makefiles with proper Makefile.am's
  * build-sys: Fix make distcheck failure due to udev rules fixed install path
  * build-sys: Include the .version file in the distribution tarball
  * volume: Trivial cosmetics (remove a space)
  * Revert "core: make use of dbus_message_iter_append_fixed_array"
  * console-kit: Console Kit support is dependent on DBUS and is thus optional.
  * build-sys: Put in specific warnings when there is no udev or DBUS support
  * build-sys: Make --disable-dbus actually work.
  * tunnel: Fix automatic names when source/sink_name argument is missing.
  * Merge commit 'e4979ab5cff84ef64c88bba3a1b6b4c5e02f7777'
  * Merge remote branch 'mkbosmans/rate-adjustment'
  * Merge remote-tracking branch 'mkbosmans/mingw32-build'
  * core: Add a new hook PA_CORE_HOOK_CARD_PROFILE_CHANGED
  * Merge remote-tracking branch 'arun/no-ramping'
  * x11: Make pax11publish -r remove PULSE_SESSION_ID
  * conf: Make system.pa use udev-detect and not hal-detect.
  * volume: Add a PA_VOLUME_UI_MAX define for the recommended max volume to show in UIs
  * alsa-mixer: Fix a git-am cockup in b0f72311
  * cork-on-phone: Only cork (and subsequently uncork) streams that are not already corked.
  * build-sys: No need to create folder for echo-cancel module.
  * Merge remote-tracking branch 'vudentz/master'
  * bluetooth: Fix build errors relating to SBC
  * build-sys: Whitespace changes
  * build-sys: Fix bluetooth update-sbc now that it's in a subfolder.
  * Merge remote-tracking branch 'mkbosmans/mingw32-build'
  * build-sys: Make update-sbc, update-reserve and update-rtkit work in OOT builds
  * bluetooth: Run 'make update-sbc'
  * tunnel: Fix tunnel streams with recent servers
  * echo-cancel: Fix warning/typo
  * Merge remote-tracking branch 'zonique/osx'
  * daemon: Fix regression with --start introduced with the double fork in 8e94f653
  * po: Remove files no longer in the tree (and which didn't have any translations anyway).
  * daemon: Fix some more error paths in the double forking.
  * daemon: Fix regression introduced in f1d1447e.
  * dbus: Do not refcnt the core.
  * bluetooth: Fix a double-free-esque error introduced in 8f3ef04b
  * vala: Fix path error in the last commit.
  * doc: Fix typo
  * equalizer: Use sink_master as the module argument rather than just master.
  * filter-apply: New module to automatically load filter sinks (and move streams) based on sink-input property hints.
  * filter-heuristics: New module that applies some basic heuristics regarding filters.
  * filter: Move the proplist defines into the central place and document them.
  * test: Make the connect-stress less likely to bail out due to >32 streams.
  * combine: Rename module-combine to module-combine-sink.
  * Merge branch 'passthrough'
  * tests: Fix resampler-test.
  * i18n: Fix POTFILES
  * bluetooth: Fix early return styling and add missing return value
  * sink-input: Fix memory leak of proplist when sending format-changed events
  * protocol-native: Fix memory leaks introduced in protocol 21 (passthrough support)
  * streams: Fix the actual resampler method shown in debug messages.
  * pulsecore: Add a couple pa_asserts() on pa_tagstruct* calls.
  * device-manager: Free a hook slot to prevent segv on unload
  * combine: Fix a crash on shutdown if the module is loaded outside of our control.
  * Merge remote-tracking branch 'mkbosmans/merge/build-sys'
  * build-sys: module-equalizer-sink needs dbus.
  * alsa-sink: Some trivial tidyups
  * introspect: Clear out memory properly on error.
  * def: Add some flags for source outputs.
  * capture: Add the passthrough format negotiation to capture streams.
  * introspect: Get formats for sources
  * capture: Implement per-stream volume control for capture streams.
  * introspect: Get format of source output
  * alsa: Remove unneeded include
  * streams: Tidy up includes
  * alsa-mixer: When setting hw volume, always round up with playback and down with capture.
  * capture: Remove support for synchronised capture streams.
  * esound,streams: Fix some crashes.
  * database: Convert our use of database files to save in tagstruct format.
  * device-restore: Add a new protocol extension for device-restore.
  * database: Support legacy format database entries.
  * build-sys: bump soname
  * alsa-mixer: Add an mixer profile exception for a BT Agile handset
  * alsa-mixer: Add UAC1.0 Sennheiser Dongle to the usb-headset profile.
  * alsa-mixer: Whoops, forgot to git-add this in a previous.
  * build-sys: equalizer-sink needs DBus aswell as FFTW
  * devices: Use wrapper functions to set the *_volume and *_mute callbacks.
  * devices: Set certain sink/source flags automatically.
  * alsa: Reinitialise the mixer on port change.
  * alsa-mixer: Do not 'unify' mixer paths.
  * alsa-mixer: Detect and then drop pointless paths in the path set.
  * alsa: No need to go via sink/source to get the core.
  * alsa-mixer: Remove workaround for USB head/handsets
  * reserve: Fix compile warning when compiling without dbus
  * build-sys: bump soname
  * source-output: Fix resampling.
  * stream-restore: Save/restore source output volume/mute
  * device-restore: Various fixes for the protocol extension.
  * pactl: Make stat backwards compatible with previous versions.
  * alsa-mixer: Fix rounding direction on mixer initialisation
  * alsa: Ensure that volumes are written to the h/w at startup.
  * ext-device-restore: Include format.h
  * sink-input: Drop redundant assert (PA_SINK_INPUT_IS_LINKED() checked already)
  * core: Unload the modules and cached samples before unref'ing the core.
  * build-sys: bump soname
  * def: Add a new enum to allow differntiation between sinks and sources.
  * dbus: Use pa_device_type_t rather than an internal equivalent
  * device-restore: Change the API to include type information (sink vs. source)
  * device-restore: Split device restore database into two parts.
  * device-restore: Restore volumes on port change.
  * build-sys: bump soname
  * device-restore: Simplify the migration of data to per-port keys.
  * stream-restore: Add in some variable sets that were missing from 9ffa93.
  * stream-restore: Add proper data validity checks to the legacy database entry read.
  * formats: The format code should be in libpulse, not libpulsecommon
  * formats: Export more functions needed for a clean build.
  * device-restore: Fix use-after-free error.
  * raop: Use the port supplied by avahi when connecting to RAOP devices.
  * bluetooth: Bump DBus version to 1.3.0 and drop conditional code.
  * alsa: Tidy up argument descriptions
  * modargs: Ensure modargs can be accessed in their raw form.
  * raop: Properly deal with the name coming from the device.
  * build-sys: Oops forgot to add the Kinect profile to the build system.
  * volume: Rename 'sync volume' to 'deferred volume'.
  * doc: Update README with fresh links.
  * build-sys: bump soname
  * build-sys: Switch to the tar-ustar format (as per a lot of GNOME stuff for 3.2) and distribute .xz files.
  * build-sys: bump soname
  * libpulse: Always return a three part version number in API calls.
  * build-sys: Provide a simple CMake Config setup (similar to pkgconfig)
  * Update LICENSE.
  * conf: Use .nofail when loading module-jackdbus-detect
  * role-cork: Rename module-cork-music-on-phone to module-role-cork.
  * role-cork: Make module-role-cork more generic.
  * role-cork: Allow module-role-cork to act globally.
  * pulsecore: Fix issue with circuilar definitions.
  * x11: Drop unneeded 'struct' and use the typedef directly.
  * device-port: Remove redundant include after the better circular dep fix.
  * i18n: Fudge translations after previous commit to avoid mixing English/localized phrases.
  * i18n: Do not translate strings that cannot have any sensible translations.
  * i18n: Run make update-po
  * cli: Ensure source output volumes are printed via cli interface (pacmd ls)
  * bluetooth: Run update-sbc
  * core-util: Attempt to make runtime paths smaller to avoid 108 char limit.
  * Revert "resamplers: Optimize trivial resampler"
  * man: Document the cli inteface a little.
  * cli: Allow source-output volumes/mute to be set via CLI
  * alsa: Add the DTS/DCA mapping to extra-hdmi.conf too.
  * card: Ensure we still pick a profile even if it's unavailable.
  * sink/source: When picking the initial ports, prefer ones that are not unavailable.
  * man: Fix XDG_RUNTIME_DIR variable reference.
  * build-sys: Clarify some systemd sub-component variable/define names.
  * build-sys: Add support for newer systemd without compatibility libs
  * socket-server: Add support for systemd socket activation.
  * launch: Avoid specifically starting PA and rely on autospawn/socket activation
  * launch: Add systemd units for launching pulseaudio user instances
  * launch: Disable autospawn by default when systemd daemon support is enabled.
  * build-sys: Minor cosmetic tidyup of configure summary

  [ Michał Górny ]
  * build-sys: Alias bash-completion for all PulseAudio commands

  [ Ricardo Salveti de Araujo ]
  * daemon-conf: changing default rlimit_rttime value to 200 ms
  * module-stream-restore: use entry_write when filling up the database
  * vala: adding missing fields for sink_input/source_output info struct

  [ Dusan Kazik ]
  * i18n: Add Slovak translation

  [ Lukasz Marek ]
  * Client API: Add pa_stream_write_ext_free() function.

  [ Lukas Peleska ]
  * jack: made it possible to use multiple jack sources and sinks

  [ poljar (Damir Jelić) ]
  * device-port: Change the latency offset type to a signed int.
  * conf-parser: Initialize the state to zero immediately.
  * device-port: Send a subscription event when the offset changes.
  * man: Add latency offset documentation to the cli syntax.
  * card-restore: Add the ability to save and restore the latency offset.
  * device-port: Add a card pointer to the ports.
  * device-port: Access the cards directly.
  * device-port: Cleanup of the sink/source subscription events.
  * device-port: Fire a hook when the latency offset changes.
  * card-restore: Only use hooks for the events.
  * pactl: Add the ability to toggle mute state.
  * build: Add zsh completion
  * build: Add bash completion
  * bash-completion: Don't complete devices in the list commands
  * pactl: Add a command for setting the default sink/source.
  * zsh-completion: Add support for remote servers.
  * zsh-completion: Add support for the new pactl commands.
  * zsh-completion: Fix pacat completion.
  * systemd-login: Remove unused variable session.
  * device-port: Introduce pa_device_port_new_data
  * switch-on-port-available: Silence gcc warning.
  * shell-completion: Add list-cards to the pacmd completion.
  * Whitespace cleanup: Remove tabs
  * Whitespace cleanup: Fix broken indentation by hand
  * Style fix: Add a space betwen the if statement and the opening bracket
  * Style fix: Add a space between the closing/opening bracket
  * Style fix: Remove new lines from opening brackets
  * Whitespace cleanup: Remove all multiple newlines
  * Remove pa_bool_t and replace it with bool.
  * Fix alignment issues introduced by the pa_bool -> bool conversion
  * Revert dbus_bool_t variables to use TRUE/FALSE instead of true/false
  * Revert windows BOOL variables to use TRUE/FALSE instead of true/false
  * macro: Remove unneeded typedef for pa_bool_t.
  * bash-completion: Fix device completion for pacat
  * resampler: Make resampler struct implementation agnostic
  * resampler: Move the fix method logic into a separate function
  * resampler: fix_method use switch instead of if/else
  * resampler: Move the work format finding logic into a separate function
  * resampler: choose_work_format use switch instead of if/else
  * resampler: Add a function for comparing sample format precision
  * Resampler: Don't use the peaks resampler for upsampling
  * resampler: Introduce a implementation specific struct
  * resampler: Add assert to set_input/output_rate
  * resampler: Get rid of redundant implementation specific structs
  * resampler: Add a choose_auto_resampler function
  * card-restore: Watch for profiles added after card creation.
  * build-sys: Enable subdir-objects option
  * build-sys: Silence warning about missing AC_LANG_SOURCE call in configure.ac
  * build-sys: Silence warning about missing AC_LANG_SOURCE call in acx_libwrap.m4
  * build-sys: Update ax_pthread macro
  * resampler: Revert to auto if the rates are equal and copy is chosen
  * bash-completion: Add --monitor-stream completion to pacat
  * zsh-completion: Fix pacat device completion
  * zsh-completion: Add --monitor-stream completion to pacat
  * log: Add support for the systemd journal
  * bluez5-util: Free the adapter_path in device_free().
  * alsa-mixer: Free the description key in alsa_path_free().
  * resampler: Split the resampler implementations into separate files

  [ Rafael Ferreira ]
  * Updated Brazilian Portuguese translation
  * i18n: Updated Brazilian Portuguese translation

  [ Sajeesh Sidharthan ]
  * core: Closing proper file descriptor when pipe creation fails

  [ Joe Marcus Clarke ]
  * freebsd: fix atomic ops implementations
  * freebsd: implement pa_get_binary_name
  * daemon: Don't try to lock and synchronise threads on (k)FreeBSD

  [ Alexander Couzens ]
  * thread-mq: Support a mainloop as thread/consumer
  * client-conf: refactor cookie loaders
  * tunnel-sink-new: add a rewrite of module-tunnel using libpulse
  * context: add pa_context_load_cookie_from_file()
  * tunnel-source-new: counterpart to module-tunnel-sink-new
  * tunnel-sink-new: remove switch-default from state change callbacks
  * tunnel-sink-new: Fix a possible crash
  * tunnel-new: add cookie module argument
  * tunnel-new: add un/corking to the state change callback
  * tunnel-new: remove uncorking in thread_func. Now handled by state change callback.

  [ Evan Nemerson ]
  * client-conf: add missing directory to pulse/client-conf.x11.h include

  [ Dimitris Spingos ]
  * i18n: Update Greek translation

  [ Bradley Broom ]
  * core-util: Call fchown() only when necessary
  * default.pa: Use freedesktop theme sounds in sample examples

  [ Hemanth Meenakshisundaram ]
  * combine-sink: fix zero adjust_time behaviour.

  [ Alexander Kurtz ]
  * vala: Some bugfixes for the vala bindings
  * vala: move GLibMainLoop class into separate file to fix linker errors
  * vala: More vala fixes
  * vala: Add bindings for libpulse-simple

  [ Niels Ole Salscheider ]
  * Add module-virtual-surround-sink.
  * virtual-surround: Add silence to hrir if necessary.
  * virtual-surround: Limit the number of hrir samples.
  * virtual-surround: check if resampled memblock is not equal to input
  * virtual-surround-sink: Move normalization heuristic to its own function

  [ Parin Porecha ]
  * protocol-native: Express XOR asserts more concisely
  * pactl: Allow to set volume of each channel independently (Bug #39190)

  [ Peter Ujfalusi ]
  * alsa-util: Reset hwparams_copy before the second try of buffer setup

  [ Pete Beardmore ]
  * alsa: Use card description in default sink/source prefix when available

  [ James Bunton ]
  * bluetooth: Don't abort on SBC decoding error
  * bluetooth: Fix timing to count based on decoded data

  [ Rex Dieter ]
  * daemon: consolidate startup scripts
  * daemon: ensure pulseaudio early startup on kde

  [ Koop Mast ]
  * sconv, svolume: Fix compilation on 32-bit FreeBSD
  * Make tests compile on FreeBSD

  [ Dominique Leuenberger ]
  * build-sys: Move ORC_SOURCE definitions outside of "if HAVE_ORC"

  [ Daniel Albers ]
  * combine-sink: fix segfault

  [ Ben Brewer ]
  * mainloop, glib-mainloop: time_restart could cause incorrect event ordering
  * rtp-send: Remove "don't inhibit auto-suspend" flag
  * ladspa-sink: Handle empty chunks in sink_input_pop_cb
  * ladspa-sink: Set a silence memchunk for the memblockq

  [ Héctor Martín ]
  * zeroconf-discover: Specify the interface when connecting to a link-local IPv6 address

  [ Laurentiu Nicola ]
  * module-rtp-recv: Add an argument for latency
  * rtp-recv: Only try adding the group membership for multicast addresses

  [ Ryan Lortie ]
  * bootstrap.sh: use /usr/bin/env to find bash
  * core-util: set_scheduler: check for RLIMIT_RTTIME
  * Add support for FreeBSD <sys/capability.h>

  [ Lars-Peter Clausen ]
  * alsa: Disable timer-scheduling for PCMs with the BATCH flag

  [ Kenneth Perry ]
  * bonjour-publish: Return ports in network byteorder

  [ Scott Reeves ]
  * daemon: fix leak of script_commands
  * Core: Fix incorrect check of return value
  * protocol-native: Remove written differently but functionally redundant check.

  [ Stefan Sperling ]
  * Fix undefined behaviour in pulseaudio --start.

  [ victory ]
  * i18n: Japanese translation update

  [ Magnus Ekhall ]
  * pacat: Added support for recording from one specific sink input

  [ Kerrick Staley ]
  * Fix typos in command_names

  [ Mikel Astiz ]
  * bluetooth: Fix property reply handling for hfgw
  * bluetooth: Don't use the old socket IPC mechanism with BlueZ
  * bluetooth: Refactor property parsing code
  * bluetooth: Remove library for IPC to BlueZ
  * bluetooth: Minor style fixes
  * bluetooth: Consider different input and output MTU
  * bluetooth: Avoid duplicating profile argument twice
  * bluetooth: Replace deprecated ListAdapters()
  * bluetooth: Replace deprecated ListDevices()
  * bluetooth: Remove minor unnecessary check
  * bluetooth: Minor style fix
  * bluetooth: Fix missing state checks for a2dp_source
  * bluetooth: Fix bluetooth.protocol property
  * bluetooth: Trivial style fix
  * bluetooth: Generalize module-bluetooth-policy
  * bluetooth: Support HFGW in module-bluetooth-policy
  * loopback: Disable adjust timer when suspended
  * bluetooth: Remove return value of bt_transport_config()
  * bluetooth: Remove return value of setup_stream()
  * bluetooth: Refactor parsing of signal PropertyChanged
  * bluetooth: Refactor code to helper function
  * bluetooth: Fix wrongly set "phone" role for HFGW
  * bluetooth: Fix using garbage memory
  * bluetooth: Fix check if transport exists before acquire
  * sink, source: Support creating suspended sinks and sources
  * bluetooth: Provide dummy set_port callbacks
  * bluetooth: Config MTU transport after acquire
  * bluetooth: Support port availability flag
  * bluetooth: Set profile even if transport not acquired
  * bluetooth: Do not acquire transport during profile change
  * bluetooth: Acquire transport when becomes available
  * bluetooth: Release transport when not available
  * bluetooth: Do not switch to HFGW automatically
  * bluetooth: Let suspend-on-idle request audio in headset
  * bluetooth: Add port availability transition policies
  * bluetooth: Ignore Device.DisconnectRequested
  * bluetooth: Trivial function rename
  * bluetooth: Fix potential assertion failure
  * bluetooth: Don't find device if set profile is off
  * bluetooth: Release transport in stop_thread()
  * bluetooth: Unlink sink-sources in stop_thread()
  * bluetooth: Remove stream moving code
  * bluetooth: Use assertions when setting off profile
  * bluetooth: Check return value of init_profile()
  * bluetooth: Check return value of start_thread()
  * bluetooth: Remove const qualifier for transports
  * bluetooth: Add hook to tell transport was removed
  * bluetooth: Set to off if transport removed
  * bluetooth: Set to off instead of failing module load
  * bluetooth: Hold transport pointer while profile set
  * bluetooth: Remove const qualifier for device
  * bluetooth: Add hook to tell device was removed
  * bluetooth: Self unload module-bluetooth-device
  * bluetooth: Hold device pointer while module loaded
  * bluetooth: Refactor code to create card profiles
  * bluetooth: Refactor code to create profile ports
  * card: Support adding profiles dynamically
  * card: Support adding ports dynamically
  * bluetooth: Add hook to announce late UUIDs
  * bluetooth: Rename former device_is_audio()
  * bluetooth: Run the discovery hook only when necessary
  * bluetooth: Merge headset ports into one
  * bluetooth: Disable profile auto-switch policy for headsets
  * conf: Load bluetooth-policy module by default
  * bluetooth: Trivially refactor to call setup_stream() directly
  * bluetooth: Do not setup stream before thread starts
  * bluetooth: Request headset audio during profile switch
  * bluetooth: Fix unacquired transports during sink resume
  * dbus: Support dynamically created card profiles
  * dbus: Add signal org.PulseAudio.Core1.Card.NewProfile
  * bluetooth: Handle UUIDs announced later
  * bluetooth: Fix condition to load module
  * bluetooth: Make pa_bluetooth_transport_parse_property() private
  * bluetooth: Remove unused pa_bluetooth_discovery_get_transport()
  * bluetooth: Add device pointer to transport
  * bluetooth: Use round() to convert PA<->BT volumes
  * bluetooth: Add transport hashmap to discovery
  * bluetooth: Use transport array instead of hashmap for devices
  * bluetooth: Remove pa_bluetooth_device_get_transport()
  * bluetooth: Avoid PA_BLUETOOTH_DEVICE_HOOK_REMOVED
  * bluetooth: Extend discovery to support multiple hooks
  * bluetooth: Move device hooks into pa_bluetooth_hook_t
  * bluetooth: Use array to store profile states
  * bluetooth: Refactor parse_audio_property() to support more properties
  * bluetooth: Add state to transport objects
  * bluetooth: Add transport hooks into pa_bluetooth_hook_t
  * bluetooth: Avoid PA_BLUETOOTH_TRANSPORT_HOOK_REMOVED
  * bluetooth: Avoid PA_BLUETOOTH_TRANSPORT_HOOK_NREC_CHANGED
  * bluetooth: Remove deprecated transport hooks
  * bluetooth: Connect all hooks during module load/unload
  * bluetooth: Abstract microphone gain in transport
  * bluetooth: Abstract speaker gain in transport
  * bluetooth: Use bluetooth-util for mic/speaker gain control
  * bluetooth: Move profile_to_string() to bluetooth-util
  * bluetooth: Refactor parsing of profile state changes
  * bluetooth: Use transport state to update port availability
  * bluetooth: Abstract transport access types inside bluetooth-util
  * bluetooth: Trivially remove bt_transport_is_acquired()
  * bluetooth: Refactor dependency to org.bluez.Audio
  * bluetooth: Use transport state instead of profile states
  * bluetooth: Remove D-Bus dependency in module-bluetooth-device
  * bluetooth: Call setup_stream() manually
  * bluetooth: Replace acquire param 'start' with 'optional'
  * bluetooth: Fix incorrect error messages
  * bluetooth: Fix minor style issues
  * bluetooth: Check message signature for SetConfiguration
  * bluetooth: Use stdbool for pa_bool_t
  * bluetooth: Do not check profile states is device_audio_is_ready()
  * bluetooth: Remove device_is_audio_ready()
  * bluetooth: Simplify redundant error check
  * bluetooth: Fix potential assertion failure if MTU changes
  * bluetooth: Fix sending D-Bus reply before internal callback
  * bluetooth: Fix potential assertion failure due to unaligned packet size
  * bluetooth: Propagate to property parsers if it is initial value
  * bluetooth: Detect changes in constant properties
  * reserve: Move get_name_owner() to the public rd_device API
  * reserve: Fix leaking NameLost signals after release+acquire
  * bluetooth: Fix incorrect index check with PA_ELEMENTSOF
  * bluetooth: Fix premature acquire attempts
  * core: Internally deprecate pa_port_available_t to use pa_available_t
  * card: Add card profile availability
  * cli: Show card profile availability status
  * bluetooth: Expose card profile availability
  * bluetooth: Use profile availability to auto-switch profiles
  * bluetooth: Merge all ports into "bluetooth-input" and "bluetooth-output"
  * bluetooth: Fix possible adapter duplicates
  * bluetooth: Fix assertion failure if BlueZ crashes during GetProperties
  * card: Set initial profile availability state
  * bluetooth: Use enum to represent form factors
  * bluetooth: Add specific form factor for phones
  * bluetooth: Use form factor to set port name and description
  * Revert "card: Support adding ports dynamically"
  * bluetooth: Create ports before card profiles
  * bluetooth: Fix missing port->profile association
  * bluetooth: Detect BlueZ 5
  * bluetooth: Parse the tree returned by ObjectManager
  * bluetooth: BlueZ 5 interface rename to org.bluez.MediaEndpoint1
  * bluetooth: BlueZ 5 interface rename to org.bluez.Media1
  * bluetooth: BlueZ 5 interface rename to org.bluez.MediaTransport1
  * bluetooth: Support ObjectManager interface add/remove
  * bluetooth: Support Properties.PropertiesChanged signal
  * bluetooth: Parse media transport's properties
  * bluetooth: Support media transport's State property
  * bluetooth: Update to new BlueZ 5 transport acquire/release API
  * bluetooth: Support transport auto-release
  * loopback: Fix cork state not updated after move

  [ Shuai Fan ]
  * cli, log: Improve the set-log-target functionality

  [ Mitchell Fang ]
  * thread-mainloop: Fix bug in example code

  [ Nikolay Amiantov ]
  * pactl: Flush stdout buffer when printing subscribe events.

  [ Ismo Puustinen ]
  * ladspa: D-Bus interface for setting algorithm parameters on-the-fly.
  * ladspa: Added a python script for testing.
  * module: initialize module index to invalid value.

  [ Albert Zeyer ]
  * semaphore-osx: posix implementation based on named semaphores

  [ Maarten Lankhorst ]
  * bluetooth: Fix a2dp processing
  * module-loopback: Prevent an infinite loop when rate adjusting is disabled
  * loopback: Fix crashes
  * pulse: Fix old bug in stream_free
  * module-jack-sink/source: Set fixed latency correctly on creation
  * alsa: skip eld initialization if hctl_handle is NULL

  [ Martin Pitt ]
  * console-kit, systemd-login: Check for logind, not for systemd

  [ Robin H. Johnson ]
  * rtp: Cleanup variable naming.
  * rtp: rename modarg destination to destination_ip
  * rtp: Introduce source IP configuration

  [ Marc-Antoine Perennou ]
  * udev: Don't use deprecated udev_get_*_path() functions
  * port to gtk+-3.0

  [ Akihiro Tsukada ]
  * add support for MPEG-2 AAC pass-through
  * Bump the native protocol version

  [ Jarkko Suontausta ]
  * bluetooth: Release transport when the pa_rtpoll_run loop finishes.
  * core: Assert on memchunk divisibility by sample spec in pa_memblockq_push().

  [ Jyri Sarha ]
  * bluetooth-device: Add safe guard against BT streaming irregularities.
  * core: optimize pa_sink_render_full()
  * core: Take samples from silence cache rather than write zeros
  * optimization: Optimized pa_sink_render_full.
  * core: Add infrastructure for synchronizing HW and SW volume changes
  * alsa: Take syncronized HW volume infra into use for alsa-sink
  * udev-detect: Add sync_volume parameter
  * daemon-conf: Add sync volume parameters to daemon-conf
  * man: sync_volume parameters to manual page
  * core: New LIFO style flist implementation v2.2
  * core: Lower "flist is full" log message level to debug and ratelimit it
  * core: Add name to flist struct for more informative log messages
  * build-sys: Link binaries linking libpulse to libpulsecommon too
  * build-sys: Link binaries linking libpulsecommon to libpulse too
  * build-sys: Link lirc libraries in right order
  * core: Change sematics of pa_flist_new_with_name() (v1.1)
  * core: Use volume_change_safety_margin when rewinding sync-volume events
  * core: Use pa_sink_get_latency_within_thread() in sync-volume code
  * alsa-sink: Fix double use of string
  * alsa-sink: Don't assume we were able to enable hw-volume or sync-volume (v1.1)
  * protocol-native: Stop auto timing updates if connected to suspended sink or source
  * suspend-on-idle: Trigger mempool vacuuming
  * combine: Stop rate adjustments if sink is supended

  [ Paul Meng ]
  * pulse: Add pa_operation_set_state_callback() API

  [ Peter Nelson ]
  * jackdbus-detect: Add channel count override.

  [ Wang Xingchao ]
  * alsa: Update process_usec before going to sleep
  * alsa: resets POLLOUT event
  * sink-input: Avoid fake rewind in corked state
  * sndfile-util: reduce useless loop

  [ Christoph Gysin ]
  * doc: Generate API documentation for ext-device-manager and ext-device-restore.

  [ Ștefan Săftescu ]
  * virtual-sink: Removed the option to specify sample format.

  [ Matěj Laitl ]
  * qpaeq: Try to load equalizer module before failing, better error messages

  [ Flavio Ceolin ]
  * sink-input: Remove redundant check in pa_sink_input_request_rewind().
  * modargs: New function: pa_modargs_get_value_double().
  * pulse: Fix for volume documentation
  * utils: Adding a function to get volume from string
  * sink-input: New volume_factor system
  * modargs: Adding pa_modargs_get_value_volume()
  * role-ducking: Apply a ducking effect based on streams roles

  [ Deng Zhengrong ]
  * cli: Add set-log-target command for pacmd
  * daemon: use pa_streq instead of plain strcmp
  * x11: fix the wrong parameter sequence in pax11publish
  * build: Add gcov coverage support
  * pacmd: add help info for 'set-log-target'
  * xen: add the HAVE_CONFIG_H macro guard
  * add a new log target that enables to create new log file if it exists
  * bluetooth: add a parenthesis around pa_streq()
  * man: document option `set-log-target`
  * core: add more verbose error info
  * build-sys: add `check` test framework
  * tests: modify mix-test to use new 'check' test framework
  * tests: add cpu test
  * tests: modify mainloop-test to use new 'check' framework
  * tests: modify utf8-test to use new 'check' test framework
  * tests: modify strlist-test to use new 'check' framework
  * build: add a target to ease the creation of coverage files
  * tests: enable to test standalone pulseaudio daemon
  * tests: modify volume_test to use new 'check' framework
  * tests: modify usergroup-test to use 'check' test framework
  * tests: modify format-test to use 'check' framework
  * tests: modify get-binary-name-test to use 'check' framework
  * tests: modify thread-test to use 'check' framework
  * tests: modify thread-mainloop-test to use 'check' framework
  * tests: modify alsa-time-test to use 'check' framework
  * tests: modify asyncmsgq-test to new 'check' framework
  * tests: modify asyncq-test to use 'check' framework
  * tests: modify channelmap-tets to use 'check' framework
  * tests: modify cpulimit-test to use 'check' framework
  * tests: modify queue-test to use 'check' framework
  * tests: modify connect-stress to use 'check' framework
  * tests: modify memblock-test to use 'check' framework
  * tests: modify proplist-test to use 'check' framework
  * tests: modify memblockq-test to use 'check' framework
  * tests: modify hook-list-test to use 'check' framework
  * tests: modify extended-test to use 'check' framework
  * tests: modify sync-playback to use 'check' framework
  * tests: modify smoother-test to use 'check' framework
  * tests: modify interpol-test to use 'check' framework
  * tests: modify sigbus-test to use 'check' framework
  * tests: modify sig2str-test to use 'check' framework
  * tests: modify rtpoll-test to use 'check' framework
  * tests: modify lock-autospawn-test to use 'check' framework
  * tests: modify once-test to use 'check' framework
  * tests: modify ipacl-test to use 'check' framework
  * tests: fix the wrong library path in check-daemon
  * tests: make 'check' optional
  * build: fix Mac OS X configure process

  [ Frédéric Dalleau ]
  * bluetooth: Fix Media Endpoint for HandsfreeGateway
  * bluetooth: Do not unload module-bluetooth-device on ERR or HUP
  * bluetooth: Release MediaEnpoint if card profile is set to Off
  * bluetooth: Set off profile on SCO disconnect
  * bluetooth: Set hfgw profile when HandsfreeGateway is playing
  * bluetooth: Use static string in DBUS signal handler description
  * bluetooth: Remove match for org.bluez.MediaTransport.PropertyChanged
  * loopback: Fix crash when moving sink-input fails
  * loopback: Fix crash on error during init
  * loopback: Enable routing on loopback streams
  * bluetooth: module-bluetooth-policy initial commit
  * pacmd: Display inputs and outputs PASSTHROUGH flag
  * loopback: Cork sink-input if source is suspended
  * loopback: Cork source-output if sink is suspended
  * resampler: Fix crash if 'auto' resampler chooses ffmpeg with variable rate

  [ Wieland Hoffmann ]
  * man pulse-daemon.conf: Correct typoes

  [ Uoti Urpala ]
  * sink-input: Fix underrun_for calculation when resampling.
  * core: adjust playing_for and underrun_for at rewind

  [ Thomas Martitz ]
  * pacat: Enable binary mode on Windows.
  * core: Transparently handle non-blocking sockets on Windows
  * pacat: Replace read(), write() with pa_* equivalent.
  * core: Slightly more helpful pa_cstrerror for unknown errors
  * gccmacro: Disable printf-like format checking on mingw32 compilers.
  * core: Proper poll() emulation to fix pacat and friends on Windows
  * core-util: Don't error out on existing runtime directory.

  [ Chan-yeol Park ]
  * bluetooth: Remove ipc.[ch] files in the bluetooth module

  [ Colin Walters ]
  * git-version-gen: Honor GIT_DESCRIBE_FOR_BUILD environment variable

  [ Matthijs Kooijman ]
  * http: support HTTP HEAD
  * equalizer: Don't cleanup u->sink in sink_input_kill_cb yet

  [ Martin-Éric Racine ]
  * manpage, finnish translation: fix spelling errors

  [ Feng Wei ]
  * alsa: Integrate UCM basic functions
  * alsa: Add UCM jack detection
  * alsa: Catch role matched streams to enable/disable modifier

  [ Sjors Gielen ]
  * osx: Add a single "On" profile to coreaudio devices. Fixes crash on OS X.

  [ Jarkko Nikula ]
  * alsa: move pa_alsa_setting_select close to pa_alsa_path_select
  * alsa: Merge pa_alsa_setting_select with pa_alsa_path_select

  [ poljar (Damir Jelic) ]
  * introspect: Add functions to handle the latency offset.
  * pactl: Add set-latency-offset command.

  [ poljar ]
  * pacmd: Added --help and --version options.
  * pacmd: Added --help and --version descriptions to the man page.
  * native: Use foreach to iterate trough modules.
  * pactl: Add unloading modules by name.
  * pacmd: Add unloading modules by name.
  * bluetooth: Add ports to the bluetooth sink/source
  * device-port: Add a latency variable to the port struct
  * sink, source: Add a latency offset which is inherited from the port
  * pacmd: Add functions to handle the latency offset

  [ Arti Trivedi Bora ]
  * modules: Use pa_streq instead of strcmp.
  * pulsecore: Use pa_streq instead of strcmp.
  * tests: use pa_streq instead of strcmp
  * daemon: use pa_streq instead of strcmp

  [ Harsh Prateek Bora ]
  * modules: Use PA_IDXSET_FOREACH wherever applicable.
  * pulsecore: Use PA_IDXSET_FOREACH wherever applicable.

  [ Lennart Poettering ]
  * create glitch-free branch
  * really create glitch-free branch
  * commit glitch-free work
  * commit glitch-free work
  * commit glitch-free work
  * commit glitch-free work
  * commit glitch-free work
  * remaining bits and pieces
  * add proper arm atomic ops support, patch from Jyri Sarha
  * Abort instead of cleanly exiting, so we can obtain a core dump and find out
  * add vendor data to pk policy file
  * rename polkit policy file to org.pulseaudio.policy to follow upstream guidelines
  * modernize polkit code a bit, use new functions from pk 0.7 instead of our home-grown ones
  * Attempt to resolve the multilib conflicts by getting all the config files
  * Double maximum sample size for some overly huge samples some distros ship
  * make loading of a few more modules non-fatal
  * create branch for 0.9.10
  * bump revision
  * merge r2078 from trunk
  * merge r2074 from trunk
  * merge r2073 from trunk
  * merge r2075 from trunk
  * merge r2076 from trunk
  * merge r2077 from trunk
  * merge r2079 from trunk
  * merge r2081 from trunk
  * Enable per-user esound sockets by default. Esound CVS already enables this by default, and all sane distributions ship a patched esd anyway. And those which do not should get a life and start patching esd
  * copy originial l2ping license from bluez into bt helper
  * merge r2083 from trunk
  * merge r2145 from trunk
  * merge r2084 from trunk
  * merge r2090 from trunk
  * merge r2091 from trunk
  * remove a redundant if check
  * merge r2092,r2093,r2094,r2152 from trunk
  * merge r2095 from trunk
  * merge r2096 from trunk
  * merge r2097 from trunk
  * merge r2098 from trunk
  * merge r2104 from trunk
  * merge r2105 from trunk
  * merge r2106 from trunk
  * merge r2107 from trunk
  * merge r2108 from trunk
  * merge r2109 from trunk
  * merge r2110 from trunk
  * merge r2111 from trunk
  * merge r2112 from trunk
  * merge r2113,r2214,r2115 from trunk
  * merge r2116 from trunk
  * merge r2117 from trunk
  * merge r2127 from trunk
  * merge r2128 from trunk
  * merge r2129 from trunk
  * merge r2130 from trunk
  * merge r2131 from trunk
  * merge r2132 from trunk
  * merge r2133 from trunk
  * merge r2134 from trunk
  * merge r2146 from trunk
  * initialize gconf module before we publish our X11 credentials -- because gconf might cause network support enabled in the first place
  * merge r2179 from prepare-0.9.10
  * properly notify clients about suspended state when moving source output streams. Closes #244. Patch from slicer
  * work around yet another solaris braindamage
  * Fix ioctl() definition for solaris compat. Patch from yippi. Closes #253
  * actually set lennart to the user name, not the group name. Set lennart too.
  * if we are run as root, always use 'root' as username, regardless of any env vars
  * don't segfault when module-tunnel is used without a sink_name/source_name parameter. Closes #197
  * don't fail on init if the default device does not exist and .nofail is active
  * merge r2187 from trunk
  * bump soname
  * require autoconf 2.60 since we use AC_PROG_MKDIR_P
  * fix compiler warning
  * avoid name clash with libc's remove() function
  * make pa_drop_caps() abort on failure
  * rework pa_assert_se() to make sure it never gets optmized away, even if NDEBUG is defined
  * fix buildsystem to provide pa_log() in all binaries
  * merge r2182 from prepare-0.9.10
  * merge r2183 from prepare-0.9.10
  * merge r2184 from prepare-0.9.10
  * merge r2185 from prepare-0.9.10
  * merge r2186 from prepare-0.9.10
  * merge r2187 from prepare-0.9.10
  * merge r2190 from prepare-0.9.10
  * merge r2189 from prepare-0.9.10
  * merge r2191 from prepare-0.9.10
  * merge r2192 from prepare-0.9.10
  * merge r2193 from prepare-0.9.10
  * merge r2194 from prepare-0.9.10
  * merge r2195 from prepare-0.9.10
  * merge r2136 from prepare-0.9.10
  * update copyright year
  * fix caps stuff for crazy people who disable caps
  * catch up with trunk HEAD (i.e. 2118:2213)
  * - deprecate autoload stuff
  * mark libpulse-browse as obsolete
  * drop support for periodic timers, cleanup code a bit
  * propery calculate min_avail in frames instead of bytes. don't use device_id= parameter in alsa modules if parameter wasn't specified
  * add utility functions to dump alsa PCM state
  * fix bug where we silently dropped data that didn't fit into one mempool tile
  * call snd_pcm_hwsync() expclicitly before we access any of the status fields, since this seems to be necessary. try to find the right mixer device via the card index
  * include proplist.h in doxygen docs
  * bump protocol version
  * add new latency argument
  * export both min and max latency that is configured for a sink; add API for querying the requested latency of a sink/source from the main thread
  * show configured latency and its ranges
  * init min/max latency properly; fix avail_min updating
  * remove doxygen \since tag for API changes older than 0.9; properly implement new latency query APIs
  * implement server side of new sink/source reconfiguration commands
  * add new pa_proplist_setf() API function
  * add new describe-module CLI command
  * move gccmacro from pulsecore/ to pulse/
  * fix proplist serialization
  * add new API pa_rtclock_from_wallclock()
  * increase version of required ALSA to 1.0.16. check for gdbm
  * add new module module-device-restore
  * add gccmacro.h to doxygen docs
  * fix bad memory access when initializing client proplist
  * remove gcc macros from cdecl.h because we have them in gccmacro.h now
  * add new API function pa_timeval_add()
  * fix bit depth guarantee for pa_usec_t
  * add C++ safety to header file
  * remove misplaced PA_GCC_PURE
  * mark autoload functions as deprecated
  * make use of new alsa SND_PCM_NO_AUTO_xxx flags; redirect alsa errors to normal PA log system
  * redirect alsa errors to normal PA log system; export buffer settings in device props
  * don't use fqdn if we don't have to
  * fix linker warning macro code, move pa_strnull() to core-util.h, move PA_LIKELY definitions here from gccmacro.h
  * don't print 'signal' each time a rtpoll poll() call is canceled
  * update list-xxx commands a bit
  * don't fail if a signalled writability of STDOUT is no longer true when we try it because some other thread already wrote something
  * make shm magic marker compat with multiarch systems where 64bit and 32bit processes might share SHM areas
  * add new PA_GCC_PACKED macro
  * mark shm marker struct as packed, to guarantee identical sizes between archs
  * fix packet formatting for a few commands
  * fix help string for volume commands
  * add new pa_get_state_dir() function, move pa_strnull() here
  * properly initialize ->memblockq
  * dump all info we know about sinks/sources/... in pactl
  * register sink/source name as first step when creating a new sink/source so that we can hand the valid name string to the hook functions; se tup props for monitor sources correctly; fix implicit flag setting logic
  * s/pulsecore\/gccmacro.h/pulse\/gccmacro.h/
  * add missing 'break's in switch
  * add _cb suffix to _max_rewind function like with all other functions, too
  * make sure to clear all queued RT signals before arm a new timer
  * properly ask the sink to rewind on new sink inputs and when they disappear
  * the pointer to rewind() may actually be NULL
  * define PA_xxxSEC_PER_yyySEC for usec, too
  * add new rtstutter tool which can be used generate artifical scheduling latencies in the OS to trigger buffer underrun events in your software. it's an awesome debug tool for glitch-free; also move test programs from automake's check_ back to noinst_ to make sure it is built everytime Lennart presses F9 in his emacs
  * print a message on xrun
  * add new API function pa_memchunk_memcpy()
  * add new silence memblock caching subsystem
  * remove debug messages
  * add new pa_pstream_get_shm() API, rename pa_pstream_use_shm() to pa_pstream_enable_shm(); pa_bool_t-ization
  * follow pa_pstream_use_shm->pa_pstream_enable_shm rename
  * add lower boundary for artifical latencies
  * increase the default pool size to 16MB because we now need to keep a lot more memory around due to glitch-free.
  * split user supplied data in multiple memory blocks if necessary to fit in one mempool tile. If the caller supplied a free_cb and we use shm it's better to copy the data immediately to the shm region instead of keeping it around as user memblock
  * update to recent changes of proplist api
  * we have not periodic timers anymore
  * fix for new location of gccmacro.h
  * maintain a global silence memblock cache
  * Big pile of dependant changes:
  * rename sink_input->rewind to process_rewind() and set_max_rewind to update_max_rewind()
  * drop a redundant pa_init_proplist(), properly set MEDIA_NAME property on stream, not on context
  * use the sink description instead of the name to choose the description for the monitor source
  * initialize properties for ALSA sinks/sources more elaborately, re #277
  * fix C++ compat
  * improve dB volume calculation
  * properly initialize memblock->is_silence for imported memory blocks; make is_silence and read_only a bit field
  * - Change meaning of special values of latency request: 0 -> "minimal latency, please"; (pa_usec_t)-1 -> "don't care"
  * make sure the client buffer has space for 2*minreq+tlength. Explain why
  * implement --process-time
  * add new function pa_alsa_recover_from_poll() to merge common core from module-alsa-sink and module-alsa-source
  * if no latency was configure for a sink/source, fill in the max latency automatically
  * if no timer was armed, we don't need to disarm it
  * some beautification updates, show msec instead of usec everywhere
  * show configure latency metrics
  * * don't increase tsched_watermark on underrun without limits 
  * do not fix automatic buffer attrs anymore, the new protocol version doesn't need this anymore and it creates more problems than it solves. Also drop the initial timing info query. Correct programs shouldn't depend on it anyway
  * drop a misplaced newline
  * unify code that fixes up buffering metrics
  * add new function pa_alsa_build_pollfd() to alsa-util to unify a bit more common code from the sink and the source
  * add missing header definitions for last commit
  * respect the resampler's maximum block size to avoid that we get kicked out of the memory pool due to resampling. actually drop data from the delay queue after we used it
  * pa_bool_t'ization
  * add new tool 'stripnul' which can be used to drop leading zeros from a file which is useful to do byte-by-byte comparison of what goes in and comes out of PA
  * Big pile of interdependant changes:
  * add stripnul to build
  * fix build for auxiliary modules
  * fix size of requested_latency
  * define minimal and maximal wakeup/sleep times; check for underrun condition only once during buffer fillup
  * save errno before calling free()
  * a bit of pa_bool_t'ization
  * make check for $DISPLAY=="" more readable, pa_bool_tization
  * * Increase history set to 64 to simplify reduction of indexes
  * strip CRLF line breaks from read CLI commands. This should fix the cli interface for people accessing it via telnet.
  * add new function pa_sample_clamp()
  * port pa_sample_clamp() to liboil
  * don't allow overwriting of callback pointers when we're already dead
  * check for $PULSE_INTERNAL before enabling padsp
  * minor reformat
  * save and restore errno in log functions
  * change pa_rtpoll_set_timer_absolute() to take a pa_usec_t instead of struct timeval
  * install gccmacro.h properly, drop  unused core-def.h file
  * parse boolean parameters as boolean instead of int wherever applicable. add new function pa_cli_command_execute_file_stream()
  * some minor updates
  * move unlinking code to operation_unlink()
  * Yes, yet another evil all-in-one commit of intervowen changes. I suck.
  * don't enable prebuffering if we just call is_readable()
  * add multiarch paths to default LADSPA search path
  * some modernizations
  * fix a compiler warning
  * reorderer a few things
  * a few modernizations
  * only send PA_SINK_MESSAGE_SET_STATE if there's still an asyncmsqg around to do so
  * don't require a module name when resolving a dl symbol
  * make sure to call sink->update_requested_latency() always when we change latency, same for source
  * send PA_SINK_MESSAGE_REMOVE_INPUT only when an asyncmsgq is available, reset resampler only when we really need to
  * follow _unlink() changes from sink-input
  * when rewinding after the end of an underrun, make sure to rewind as much as we can, so that we deal properly with changed latencies of the sink
  * explain why a rewind was requested
  * update LADSPA module for glitch-free moed
  * fix remapping sink for glitch-free
  * add a few more asserts, don't allow pa_limit_caps() to fail
  * rename 'routing' to 'filter'
  * explain why changing rlimits at this time is safe
  * define callback function types; allow pa_signal_done() to be called even without prior pa_signal_init()
  * decrease verbosity a bit
  * rework the rewinding logic once again, fixing
  * update to new rewinding logic
  * beefup proplist handling for sound events
  * make memchunk/memblockq streams work with glitch-free
  * fix a memory leak
  * apparently alsa expects us to free the memory for card names
  * fix a race condition when tearing down the ladspa/remap sink
  * double default asyncq size
  * fix recording
  * fix some comments
  * bah, english sucks
  * make sure the smoother code can deal with incoming data that is out-of-order; start smoothing only when we have at least a configurable number of entries in our history
  * modify test to generate data events out-of-order
  * - Fix moving of sink inputs between sinks
  * fix module-sine for glitch-free
  * if zero is passed to pa_memblock_new() allocate largest memory block possible from mempool
  * store peer name in native-protocol.peer property
  * some fixes to make the simple protocol work on glitch-free again
  * some fixes to make the esound protocol work on glitch-free again
  * fix braindead mistake
  * fix pipe sink for glitch-free
  * update pipe source for glitch-free, too
  * don't spam us with wakeup msgs in non-tsched mode
  * initialize volume properly, set more properties, modernizations
  * modernizations
  * modernizations
  * add pa_memblockq_get_nblocks()
  * add pa_ulog2()
  * add PA_REFCNT_INIT_ZERO
  * add 'stream' as media role
  * use pa_bool_t
  * more pa_bool_t'ization
  * reduce number of allocated memblocks when receiving RTP data by reusing blocks
  * increase shm size limit, modernizations
  * increase default mempool size, make mempool_slot an abstract struct because the only fields it defined where actually unused
  * export a few more properties for RTP streams
  * add adaptive resampler to the RTP receiver, other modernizations
  * add pa_vsnprintf()
  * reduce malloc() usage when logging, to minimize the hit of logging in RT threads. Not complete yet, i18n still uses malloc
  * Print message when stream started playback, use terminal sequence to clear line when printing that message
  * export a couple of more functions from libpulse
  * fix suspend for alsa sink
  * don't access stream before it is valid
  * fix moving of record streams
  * fix up requested latency when we move a record stream
  * decrease default tsched buffer to 2s to reduce overall memory consumption
  * follow recent alsa sink changes in the alsa source
  * update protocol spec
  * merge glitch-free branch back into trunk
  * also update PROTOCOL
  * bump so revisions
  * declare the explicit type for our PA_xSEC_PER_ySEC constants
  * fix a minor compiler warning
  * type fixes for constants
  * type fixes for constants
  * fix pa_stream flag checking
  * fix peak detection pseudo resampler
  * dump latency metrics for recording streams, too
  * only unref memblock if there is one
  * add new function pa_source_set_latency_range(), fix type of requested_latency
  * link latency of monitor source to sink
  * use pa_sink_set_latency_range() where applicable
  * use pa_source_set_latency_range()/pa_sink_set_latency_range() in the ALSA drivers; fix sleep time calculation
  * use pa_source_set_latency_range()/pa_sink_set_latency_range() in the ALSA drivers; fix sleep time calculation
  * add another assert to catch sleep time miscalculations easier
  * fix return value of noop pa_limit_caps()
  * fix a misplaced assert
  * fix pa_close_all() to make it actually work as advertised
  * make sure we don't hit an assert when autospawning
  * remove a misplaced assert
  * add a small test program for pa_close_all()
  * ignore close-test binary
  * fix daemon shutdown with active monitor streams
  * add new functions pa_state_path()/pa_get_state_dir(), change return value of pa_startswith()/pa_endswith() pa_bool, add pa_in_system_mode() and pa_streq(); alow pa_unlock_lockfile() without file name spec
  * add O_NOCTTY
  * fix a compiler warning
  * make state and config path for system instance configurable
  * properly handle if pa_runtime_path() fails
  * deal with failing pa_runtime_path()
  * define PA_SYSTEM_CONFIG_PATH and PA_SYSTEM_STATE_PATH for C
  * move volume restore table from runtime to state dir, fix another compiler warning
  * move default device from runtime to state dir
  * move device volume file to state dir
  * big mumbo jumo of interleaved patches.
  * fix a minor memory leak
  * readd name field to upload datagram
  * fix esound proto to not crash
  * always expect name field in upload datagram
  * never hand out more data from a sink input than requested. Otherwise the resampler might run for too long and we get a heavy delay/underrun
  * allow on-the-fly deleting of hashmap entries wile we iterate through them
  * update props
  * fix a compiler warning on ARM due to missing cast, patch from Jyri Sarha
  * update well-known property list
  * replace pa_atof() by pa_atod() because floats are lame
  * add new module module-position-event-sounds for positioning event sounds in space
  * add new module-console-kit which tracks ck sessions to avoid termination when there is still some session using the PA instance
  * install auto unload time event only when we have at least one auto unload module
  * reformat things
  * move pa_core_check_quit() a bit later
  * don't exit when the XSM signals us a session exit. instead just unload all X11 modules
  * add new switch --start to the PA binary which allows starting PA if it is not running yet. In contrast to normal startup an already running PA will not be considered an error. Also, take the autospawn lock so we can guarantee that after this call returns PA is ralive and running
  * enable ConsoleKit support and positioned event sounds by default
  * enable auto-spawning by default
  * merge Colin Guthrie's module-always-sink module, and add priorization to the hook subsystem while doing so.
  * drop hal inclusion from module-console-kit.c
  * fix a minor memory leak when unloading m-c-k
  * sometimes a simple memset() is much faster
  * consider passing the same argument twice to a module an error, also consider a variable name without following = an error
  * rearrange things
  * fix a bad memory access pulsecore/client.c
  * update todo
  * avoid division by zero when informing user about unloaded lazy samples in the sample cache
  * minor modernizations, increase unload timeout to 60s
  * add missing inclusion
  * add new functions pa_socket_is_local() and pa_socket_address_is_local()
  * make use of the new pa_socket_address_is_local() function
  * add new function pa_iochannel_socket_is_local()
  * a few modernizations
  * use new pa_sink_set_latency_range() in null sink
  * check for packet size on server info data
  * add Nokia copyright
  * add pa_memblockq_get_base()
  * add missing const to a few functions
  * move pa_init_proplist() to proplist-util.[ch]
  * make use of the pa_init_proplist() version in proplist-util.[ch]
  * minor modernizations
  * rework shm usage negotiation; merge a few pa_bool_t in a single bit field to save a bit of memory; drop redundant implementation of pa_init_proplist()
  * server side of new shm negotiation scheme; fix a bad memory access
  * bring module-tunnel back to life
  * limit the prebuf value by tlength
  * reset prebuf if it is too large
  * fix man page xml
  * if building a man page fails remove the output to make sure that calling make repeatedly will actually work
  * Add a small README with the new git URLs and stuff
  * Add a .gitignore file for the src/ directory.
  * add another .gitignore file, this time for pulse/
  * add missing gitignore files
  * get rid of svn $ keywords
  * remove remaining $
  * ignore tarballs
  * add new API pa_channel_map_init_extend() to synthesize a channel map if noone is known
  * make user of pa_channel_map_init_extend() wherever it makes sense
  * remove trailing spaces
  * add new remix= parameter to remap sink
  * add new function pa_smoother_reset()
  * add new abstract device class
  * fix interpretation of remix parameter
  * Rework module-combine to work with glitch-free core; add new max_request field to pa_sink
  * Request a rewrite immediately after we have been linked, so that playback starts immediately
  * allow sinks to be created with max_request initialized to 0, so that the data can be filled in later when attaching to some piggybacked sink
  * execute detach callback before we change the state to UNLINKED
  * since the sink is unlinked before the sink input we need to make sure we don't call any function for unlinked sinks from any sink input callback
  * call the right function in the right context
  * Don't fail when we cannot determine the lock file path
  * Properly check for home directory
  * fix deadlock when resuming oss sinks
  * support file-based capabilities instead of SUID root for giving PA rights to acquire RT/HP scheduling: setcap cap_sys_nice=ep /usr/bin/pulseaudio
  * include proplist.h in pulseaudio.h
  * don't refer to nonexisting pa_stream_read() function
  * call update_source_requested_latency callback for source outputs only when it is set to non-NULL
  * Merge branch 'master' of git://git.debian.org/git/pkg-pulseaudio/pulseaudio-upstream
  * choose more sensible default buffer sizes for old clients
  * fix return value of pa_namereg_make_valid_name()
  * call the enum PA_STREAM_NOT_MONOTONIC and make PA_STREAM_NOT_MONOTONOUS an alias for that
  * fix up monotonicity of input to _get() instead of hitting an assert
  * fix up if the smoother shall be resumed 'before' it was actually paused
  * use the bight lighter _silence() instead of _flush() when destructing our little q
  * comment two functions in memblockq.c
  * split pa_memblockq_flush() into two flush commands, one which fixes up the read ptr, and one which fixes up the write ptr
  * properly initialize pa_stream::corked based on the flags
  * remove redundant check
  * use the newer name for monotonic/monotonous
  * make sure to call process_rewind() under all circumstances before we do the next loop iteration
  * convert to double only once, and make sure we can deal with negative results of -y
  * unify smoother pause/resume handling in a single function check_smoother_status()
  * move initialization order of validity bools around a bit
  * add a FIXME
  * reorder a few things to get rid of an uneeded comparison
  * rework logic to request automatic timing updates a bit
  * some svn->git updates in the Makefile
  * always forward rewind requests to the sink, and don't abort on nbytes=0
  * cork/uncork before we ask for the rewrite, to make sure the rewrite actually gets trhough
  * fix crash when using sync'ed streams
  * use (uint32_t) -1 to signify default buffer_attr values instead of 0, to allow prebuf=0
  * fix underrun detection for prebuf=0 streams
  * fix typo in man page, closes rhbz #447355
  * some modernizations
  * save some memory by increasing the dynamic array at a slower rate
  * rename pa_queu_is_empty() to pa_queue_isempty() to follow idxset/hashmap nomenclatura
  * some modernizations
  * rework the flist implementation to halve memory consumption by merging the state field and the pointer in the flist cells
  * modernize hashmap implementation a bit, reduce memory consumption a bit
  * halve memory consumption of mempool flist, since we know we cannot have more than n_blocks entries in it
  * modernize idxset a bit, reduce memory consumption, get rid of pa_idxset_foreach()
  * save a bit of memory
  * handle rewind requests
  * handle rewind requests
  * simplify handling of rewrite requests
  * update ffmpeg resampler from upstream SVN
  * update speex resampler
  * add additional file when updating speex resampler
  * ignore ~ files
  * make sure we call pa_sink_process_rewind() under all circumstances if a rewind was requested before we call pa_sink_render()
  * add proper update_max_request handler to native protocol streams
  * get rid of our internal copy of the speex resampler. Instead, link against a system-installes libspeexdsp
  * Merge branches 'master' and 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * try to bypass alsa softvol, since it is broken when used with snd_pcm_rewind()
  * forward process_msg calls to the generic source handler, not the generic sink handler
  * fix gconf autoconf check
  * prepare doxygen docs for 0.9.11
  * enable exit-on-idle by default
  * don't drop caps if we are started as normal root user
  * make missing gdbm fatal (spotted by Betelgeuse)
  * bump alsa dep to 1.0.17
  * don't break if we fail to resume access to an audio device
  * allow module-x11-xsmp to be loaded more than once
  * follow consolekit's recent D-Bus API change, original patch from William Jon McCan
  * bump api verson
  * add missing pieces for new startup logic
  * reset dbus error struct before retrying parsing messages
  * hide start-pulseaudio-x11
  * fix destruction of dbus modules: make sure we don't leave filter function registered after unreffing the dbus connection
  * make module-hal and module-ck live together in peace
  * fix two thinkos in signal reset/close_all code
  * hide doxygen docs from git
  * remove debug message
  * don't pass rediculously high values to umask()
  * install a default system.pa
  * bump needed automake version
  * use the right LIBICONV macro, spotted by woglinde, closes #324
  * don't allow --start in system mode
  * Work around D-Bus bug that involves dbus_shutdown() to call exit() when it shouldn't. Patch from Coling Guthrie
  * reword comment on dbus a bit
  * allow global tsched setting for all modules loaded by module-hal
  * a bit of pa_bool_t'ization
  * Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * fix build without ALSA
  * rename pa_property_xxx to pa_shared_xxx to avoid confusion with property lists
  * rename props.[ch] to shared.[ch]
  * add new auth cookie singleton
  * allow running of PA with a valgring that doesn't know cap_set_caps
  * make sure we don't leak userdata struct
  * use @ as seperator between shared name variable and instance
  * rename pa_hook_free() to pa_hook_done() since the hook struct is allocated on the stack not via malloc
  * introduce pa_cli_eof_cb_t
  * add new api function pa_cli_get_module()
  * simplify a bit
  * use pa_channel_map_init_extend() instead of pa_channel_map_init_auto() to make things more robust
  * make all protocol objects global singletons
  * some pa_bool_t'ization
  * start idle timer even when no module is ever loaded
  * add a new error code PA_ERR_NOEXTENSION
  * store load_once flag for module
  * add extension system for native protocol
  * define CANONICAL_HOST as macro for the GNU canonical host
  * fix uninitialized memory access
  * a bit of refactoring
  * add new module module-stream-restore
  * load module-device-restore and module-stream-restore by default, don't load module-volume-restore anymore
  * don't hit an assert if  when process_rewind() is called with nbytes=0
  * add new API function pa_cvolume_remap()
  * store channel map in database and remap volumes if ncessary
  * split out save trigger function
  * add hooks for connection creation/deletion, for that export pa_native_connection
  * store channel map in database and remap volumes if necessary
  * add protocol extension to module-stream-restore
  * wrap protocol extension of module-stream-restore
  * update list of exported symbols
  * ignore PA_GCC_DEPRECATED and PA_GCC_PRINTF_ATTR when generating map file
  * pa_bool_t is not exported
  * add missing C++ checks in header
  * remove port definitions from header file since they are not actually used yet
  * inherit proplist on sample playback from client
  * fix documentation to follow what actually happens
  * fix copy/paste error
  * fix a few more copy/paste errors
  * fix error path (spotted by Coling Guthrie)
  * allow extension messages to actually carry information
  * don't enforce valid callbacks for extension module APIs
  * add a function to dump the stream database for debugging purposes
  * fix shutdown when --disallow-module-loading=1 is passed
  * fix a few potential bad memory accesses
  * don't include authkey-prop.h anymore
  * remove authkey-prop from tree
  * add i18n support
  * add new switch --disallow-exit
  * add disallow-exit to default configuration file
  * add a few configuration sanity checks for system mode
  * fix channel position string
  * add basic german translation
  * fix a few things in the translations
  * include host name in default sink/default source file
  * translate error strings
  * add new function pa_machine_id()
  * print machine id during startup
  * don't spam to stderr in API functions
  * Rework state/runtime directory logic
  * Modify pa_state_path() to take an additional argument for prepending the machine id to the file name.
  * remove some leftover debug string
  * add compatibility with older PA socket paths
  * make sure we don't crash if pa_thread_join() is called more than once on the same pa_thread object
  * set errno properly in all cases
  * add locale support to pa_parse_boolean()
  * set errno properly in all functions from core-util.c
  * set errno properly in all functions from pid.c
  * print reason when we fail to kill a running daemon
  * rework autospawning code to survive multiple pa_contexts in a single process
  * free regex_t after use
  * don't use PA_GCC_UNUSED anymore
  * adhere to C strict aliasing rules
  * make gcc shut up
  * fix bad memory access
  * adhere to struct gcc aliasing rules
  * optimize volume changing a bit by only using a single counter for the inner loops instead of two
  * otpimize mixing code a bit by moving a few checks out of the inner loops
  * fix two uninitialized memory accesses
  * initialize IP ACLs properly
  * fix protocol destruction
  * reset lock_fd_mutex after destruction
  * add new API function pa_cvolume_max()
  * reword some log messages
  * add new function pa_alsa_volume_divide()
  * rework volume/mute APIs: split out pa_xx_set_soft_volume() and add force_refresh argument to read functions
  * extend hardware dB scale in software to full range if necessary, instead of reverting back to software-only volume control
  * drop 0db reset functions since they are not necessary anymore
  * pass force_refresh=FALSE to all volume/mute read invocations
  * disable hotplug sounds by default
  * don't restore devices for direct-on-input streams
  * apply the correct rules to sink inputs
  * apply volumes properly more than once in a row
  * apply newly configured rules properly
  * Make Multicast TTL for RTP configurable, patch from 'dfort'
  * fix type error
  * save a bit of memory
  * rework validity checking of sink/source/... names
  * allow clients to not specify the volume for their streams
  * restore volume/device for streams only when it wasn't set before
  * bump release
  * add some code to make invalid valgrind warnings go away
  * don't unref pa_native_options object twice
  * a few modernizations
  * Merge commit 'flameeyes/autoconf-2.62'
  * require ac 2.62 in bootstrap.sh
  * update gitignore
  * run autoupdate
  * add a few more gcc warning flags and fix quite a few problems found by doing so
  * simplify pa_start_child_for_read by using pa_close_all()/pa_reset_sigs()/pa_unblock_sigs()
  * rework cpu limit logic to use monotonic instead of wall clock time
  * use final glibc eventfd() instead of our homegrown syscall invocations
  * add doxygen documentation for ext-stream-restore.h
  * add a few missing casts
  * call close() in a loop to catch EINTR
  * Fix error code in pa_stream_get_timing_info()
  * fix typo
  * increase pa_xmalloc() limit to 96 MB, closes #344
  * document in which direction we round
  * add byte-to-usec and usec-to-byte converters that round up, not down
  * rework pa_ulog2 and base it on __builtin_clz if available, make pa_make_power_of_two based on it
  * add missing config.h inclusion
  * fix up latency before calling into stream code, to make sure we don't ask for too much data to early
  * reduce needlessly large gdbm cache a bit
  * optionally add timestampts to every line logged
  * Change return value of cmpxchg atomic op to pa_bool_t
  * the native atomic ops implementation for amd64 seems to work fine
  * downgrade a few messages
  * change default log level for the library to PA_LOG_ERROR to avoid spamming to stderr more often
  * reword amd64 message
  * fix a few compiler warnings on older gcc
  * remove a few more gcc warnings
  * rework device opening code: work around broken SND_PCM_NO_AUTO_xxx support in ALSA <= 1.0.17a
  * include more build info in debug output
  * output relative timestamps in addition to absolute timestamps when logging
  * avoid rounding errors on requested buffering metrics
  * add malloc related gcc attribute macros
  * add gcc malloc related function attributes where appropriate
  * prefix  internally used inline function with _
  * don't include leagacy definition PA_STREAM_NOT_MONOTONOUS in docs
  * drop -Winline from build cflags
  * use gcc malloc attribute macros for internal functions, too
  * fix misuse of return value
  * Rework pa_machine_id() a bit
  * Implement "early requests" mode.
  * reindent comments a bit
  * use PA_STREAM_EARLY_REQUESTS for OSS streams
  * introduce macros for all flags so that clients can check for them with #ifdef
  * Merge commit 'origin/master-tx'
  * Downgrade hrtimer warning to notice level
  * update documentation and help texts for s32le/s32be sample types
  * update map-file script to ignore gcc malloc attributes
  * add new API function pa_channel_map_compatible()
  * update map file
  * introduce upper channel map definition limit PA_CHANNEL_MAP_DEF_MAX
  * a few minor clean-ups
  * use pa_channel_map_compatible() where applicable
  * check for errors returned by pa_context_connect()
  * if we are exiting due to idleness, say so
  * if we are exiting due to cpu overload, say so via syslog, too
  * connect to localhost via IP address instead of host name, to avoid needless NSS lookup
  * rework autospawning to allow to multiple parallel autospawning contexts
  * include build and runtime host information in debug output
  * Add new option to disable remixing from/to LFE and set it to on by default
  * move autospawn lock to pulsecore/ since we don't need it in the client anymore
  * Merge branch 'master' into master-tx
  * Work around presumable ALSA bug that treats the dir argument to
  * fix minor typo
  * When returning from a suspend, pass exactly the same flags as originally when
  * unbreak pa_idxset_rrobin
  * minor improvements in debug handling
  * make sure peaks resampler also works for very short input buffers
  * bump revisions
  * add src/pulsecore/lock-autospawn.c to POTFILES.in
  * fix S32 validity check
  * add trivial redirecting makefile to bt dir
  * downgrade a D-Bus log message to debug
  * enable bluetooth by default
  * replace Makefile stub copies by symlinks
  * make sure ~/.pulse exists before we create the runtime dir link beneath it
  * some minor fixes and cleanups in the bt code
  * make pa_idxset_trivial_compare_func() do a full compare instea of just equakity check
  * add a generic priority queue implementation
  * ignore bt proximity helper
  * fix compilation errors in priority queue code
  * remove a few compiler warnings in BlueZ code
  * use TRUE for pa_bool_t arguments
  * Use the same module parameter names for module-bluetooth-device as for most other modules
  * instead of failing when the requested sampling rate is not available find the next one that is higher
  * all kinds of minor type, memory leak, initializatio fixes
  * make module-bluetooth-discover actually load modules and smaller other fixes
  * Make the shared memory segment size configurable
  * Some man page updates, add missing documentation, other fixes.
  * follow PropertyChanged signals from BlueZ
  * fix typo in default.conf, closes bug #354
  * it might be a bit too early to initialize bluetooth by default for now, since it's still very rough around the edges
  * replace module-volume-restore by module-stream-restore in system mode, too
  * a few FreeBSD fixes, from alexis
  * Merge commit 'coling/master'
  * it's --daemonize, not --daemon
  * fix support for ALSA devices which lack dB information
  * remove useless log message, re #367
  * remove useless log message
  * don't hit an assert if a kernel driver reports invalid dB information, instead just warn the user
  * PA_WARN_REFERENCE works only for ELF targets
  * when killing gconf helper, loop over EINTR
  * make simple protocol not crash when allocating a memory block
  * inform dsp_empty_socket() *after* we emptied the dsp socket, that it is now empty
  * properly parse response to pa_stream_set_buffer_attr() calls. closes #370
  * when we mix into a 16bit accumulator make sure we clamp before we scale with a volume to avoid range faults when multiplying
  * make sure we call pa_sink_process_rewind() if a rewind was requested under all circumstances
  * optimize mixing routines a bit by pulling the multiplication with the global volume out of the inner loop by applying it first to the per-stream volumes
  * use PA_FLOAT32_SWAP where useful
  * user lrint() and friends in inner loops instead of normal C casts to speed up a few things
  * if a volume or channel map is invalid show so when printing it
  * add new API function pa_sample_spec_init()
  * treat a channel map only then as compatible with a sample spec if it is valid
  * a bit of late pa_bool_t'ization
  * make a few casts explicit to remove compiler warnings
  * extend documentation for pa_channel_map_init()
  * add new API call pa_cvolume_init()
  * add new API call pa_cvolume_snprint_dB()
  * add new API call pa_cvolume_compatible()
  * add missing calls to map file
  * when checking the validity of a cvolume check whether all values are not -1
  * increase PA_CVOLUME_SNPRINT_MAX to a proper value and document that it is not considered part of the ABI
  * allow - in sample names
  * rename pa_cvolume_snprint_dB to pa_sw_cvolume_snprint_dB since it is
  * add new API function pa_in_valgrind() to check for
  * instead of checking for  directly use new function pa_in_valgrind()
  * show valgrind status on startup
  * do not cleanup staticly allocated memory unless we are in valgrind mode
  * add missing inclusion
  * don't call snd_pcm_drain() when we suspend because that might take awfully long with our long buffer sizes these days
  * increase suspend timeout to 5s so that it is always longer then the default tsched buffer size of 2s
  * implement pa_sw_volume_divide() and pa_sw_cvolume_divide()
  * get rid of pa_alsa_volume_divide() since we have pa_sw_volume_divide() now
  * substract the unused record buffer size from the overall size before calculating the space still left for recording
  * add missing include
  * disable valgrind macro usage for now since valgrind generates a lot of spurious warnings as it seems
  * update module-tunnel for recent protocol changes
  * make sure we send a started messages when we are uncorking
  * Merge commit 'vudentz/master'
  * bump version and sonames
  * Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * make distcheck pass
  * Initialize exit_idle_time to -1 instead of 0  when in system mode.
  * Initialize exit_idle_time to -1 instead of 0  when in system mode.
  * Merge commit 'origin/master-tx' into master-tx
  * instead of resetting virtual_volume unconditionally on initialization, do so only when no volume was set before
  * when the volume is changed make sure we send out a subscription event
  * modernize a few checks
  * use pa_channel_map_init_extend() instead of pa_channel_map_init_auto() as channel map for sink inputs/source outputs in case no map is specified
  * if the channel map was modified due to PA_SINK_INPUT_FIX_CHANNELS, remap the specified volume properly
  * additional validity checks
  * after calling PA_CORE_HOOK_SINK_SET_VOLUME hook, check again whether the volume changed
  * if a stream comes with now sensible properties attached, use common
  * add a comment that pa_sink_input_set_volume and module-flat-volume.c are related
  * remove $Id$
  * ignore sinks that do not carry decibel information
  * some minor reformatting
  * check the maximum volume of all sink inputs instead of the average volume to avoid digital amplification in favour of attenuation
  * use pa_sink_set_volume() for changing the volume
  * query the sink volume outside of the loop because it might be quite expensive
  * Merge branch 'flatvol'
  * enable flat volumes by default
  * define 0dB in PA as maximum amplification
  * Merge commit 'coling/airtunes-0.9.13'
  * correctly load module-flat-volume instead of module-flat-volumes
  * properly remove dbus matches an filters when unloading m-b-d
  * Merge commit 'vudentz/master'
  * always check for libtool prefix binary name to avoid confusion when using both installed and run-from-build-tree versions of PA in parallel
  * Fix spelling of privilige
  * Make missing git-changelog.perl non-fatal
  * fix invalid validity check
  * add new virtual function may_move_to to sink inputs/source outputs to allow modules to forbid certain connections
  * implement may_move_to for ladspa/remap sinks
  * fix return value of pa_frame_aligned()
  * convert argument to boolean int in PA_UNLIKELY, too
  * fix arguments to format string
  * add pa_config_parse_unsigned()
  * include log.h near the end so that macro.h can be included in log.h and defines pa_bool_t properly
  * Support showing a backtrace on log messages
  * support changing logging parameters during runtime using the CLI
  * Make log meta, time, backtrace configurable using config file
  * make log meta, time, backtrace configurable using command line
  * Try to catch certain driver errors
  * make the debug trap macro a proper macro in macro.h
  * reorder setting of AM_CFLAGS a bit
  * temporary commit to allow flameeyes a look
  * update map file
  * make new build logic actually work
  * a lot more build system updates
  * reorder setting of AM_CFLAGS a bit
  * update map file
  * don't set the volume of pacat unless it is explicitly set
  * warn if ALSA wakes us up and there is actually nothing to do
  * make sure to use 64bit rounding even on 32bit machines when converting to pa_usec_t
  * Merge branch 'new-world-order'
  * bump micro version
  * Implement new flags DONT_INHIBIT_AUTO_SUSPEND and START_UNMUTED
  * a bit of pa_bool_t'ization
  * Make sure libpulse never gets unloaded
  * make shm marker architecture independant, patch from michich, closes #401
  * Merge commit 'flameeyes/libtool-2.2'
  * Check if environ is actually set before we use it
  * libtool 2.2 updates
  * Fix return value of --dump-resample-methods
  * fix implementation of bind now ltdl loader for libtool 2.2
  * Don't mix front-center into rear channels
  * Pass GDBM_NOLOCK to gdbm
  * Load module-volume-restore and module-device-restore before all other modules
  * Don't hit an assert when checking for idleness
  * introduce new function pa_module_unload_request_by_index
  * Don't store pointer to pa_module
  * actually unload the modules from a new stack frame
  * unload tunnel modules from a new stack frame
  * it's better to always use the index of a module instead of the pa_module*
  * downgrade a few warnings
  * Make sure we drop CAP_NICE if RT is not allowed
  * Allow access("/dev/dsp", W_OK) succeed
  * Use FIONREAD instead of TIOCINQ
  * Implement PA_SOURCE_MESSAGE_GET_LATENCY
  * make sure we don't hit an assert when we issue two rewind requests in a
  * If we cannot open an ALSA device with SND_PCM_NO_AUTO_FORMAT retry without
  * fix a gcc warning
  * Merge commit 'vudentz/master'
  * Add new API functions pa_volume_snprint() and pa_sw_volume_snprint_dB()
  * Add APIs to pass pa_volume_t fields in a tagstruct
  * Add "base volume" field to sinks/sources
  * Implement base_volume for ALSA sinks/sources
  * Rework handling of the PA_SINK_LATENCY/PA_SOURCE_LATENCY flags
  * Merge commit 'vudentz/master'
  * -Wconvert is pain, let's drop it again
  * Prefer mixer controls with volumes over switches
  * Merge commit 'origin/master-tx'
  * run "make update-po"
  * Add new debuuging API pa_memchunk_dump_to_file()
  * A few minor cleanups and updates
  * Add new test source module-sine-source
  * Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * drop a few warning options, add a few new ones
  * add a few missing parens
  * make things compile again
  * Add new pa_reduce() and pa_gcd() functions
  * show maximum usable slot size
  * make module-sine-source actually work
  * Make sure we don't drop any data on the client side
  * fix version check
  * for record streams fill in the latency as the fragsize
  * read base volume only in proto 15
  * Fix suspending of all sinks/sources
  * Extend command name lookup tables to cover complete protocol
  * add new API function pa_memchunk_sine()
  * Port sine modules to pa_memchunk_sine()
  * Merge commit 'origin/master-tx'
  * bump version/soname
  * Fix version info
  * add pa_proplist_size() and pa_proplist_isempty()
  * fix calculation of avail_min
  * include new proplist functions in export list
  * remove calc_sine() since we don't need it anymore
  * Merge commit 'elmarco/master'
  * Fix a typo I know owe Marc-Andre a beer for.
  * make pa_asyncq_push() fail under no circumstances.
  * document that PA_API_VERSION is only for incompatible API changes
  * fix a potential format string vulnerability
  * don't rely on PA_SINK_RUNNING vs. PA_SINK_IDLE for optimizations since it might not be fully up to date
  * add new dont_rewind_render flag to allow quick starts of newly created streams
  * convert pa_client instantiation to use a pa_client_new_data struct and add hooks for manipulating it
  * port missing modules to new pa_client_new() API
  * make PA_CONTEXT_IS_GOOD/PA_STREAM_IS_GOOD a macro so that we can easily check for its availability
  * fix bad memory access
  * add new pa_card object as a way to logically combine multiple sinks and sources
  * maintain a list of sink inputs/source outputs as part of the pa_client object
  * add functionality to dump list of cards
  * redirect folks to the ALSA developers not me when their sound drivers are broken
  * Merge commit 'e0f8ffe41f99789fafac575e944acf02e940bbf7'
  * kill autoload stuff as planned
  * we don't support glib1.2 anymore
  * make things compile again
  * make proplist inheritance scheme automatic and implicit
  * don't show autoload flag anymore since it is obsolete
  * rework module usage counter stuff to be pull based
  * move alsa and oss modules into their own subdirectories
  * add stub makefiles for oss and alsa subdirs
  * include libcli.la in libprotocol-cli's dependencies
  * rename card config to card profile
  * Add SPDIF/HDMI ALSA devices and device descriptions to device search table
  * fix version info in protocol history
  * add support for 24bit packed samples
  * Add support for 24bit samples encoded in the LSB of 32 bit words
  * make use of PR_SET_TIMERSLACK
  * remvoe a bit of duplicate code
  * add card profile prober
  * add pa_strbuf_isempty
  * add pa_proplist_to_string_sep()
  * Split up pa_alsa_init_proplist into two seperate functions for the card and snd_pcm_t specific parts
  * Don't enumerate invalid profile
  * actually create pa_card object in module-alsa-card
  * dump profiles when listing cards
  * beautify cli output a bit
  * get rid of pa_module_get_info because it is not used
  * add api for manipulating volume balances
  * show balance value in CLI listings
  * allow setting properties for modules, too
  * fix bad free()
  * fix doxygen version references
  * fix up balance format string a bit
  * show dB and balance for cached samples
  * Beef pactl output up a bit
  * Merge commit '7104d54bbce8f9bd2553e16f45f3a0f69ac75b8b'
  * Merge commit 'vudentz/master'
  * Document explicitly that the internal sink/source states are not considered part of the ABI/API
  * include sink/source state in pactl output
  * remove misplaced whitespace
  * document that I am a retard
  * Merge commit 'flameeyes/buildfixes-2'
  * add missing eof checks
  * fix profile names to include input/output specifier
  * don't divide by zero if no left resp. no right channels are defined
  * fix destruction when no profiles are defined
  * dump active profile
  * add client API for querying card information
  * show active profile
  * remove unused variable
  * always add 'disabled' profile
  * add priority logic to find best default profile
  * export pa_channel_map_superset()
  * add new call pa_alsa_open_by_device_id_profile()
  * add an API to create arbitrary alsa sinks/sources dynamically without having to load/unload modules
  * fix copy/paste error
  * allow cards be referenced by their index
  * add set-card-profile CLI command
  * remove bogus pa_core_check_idle() call
  * when changing profiles do the actual assignment in the generic implementation
  * remove leftover define
  * fill in dev_id properly
  * make implementation of module-alsa-card complete
  * make pa_card_new_data::active_profile a string
  * don't restore mute/volume when already set
  * minor cleanups
  * add a card profile restore module
  * enable module-card-restore by default
  * implement PA_COMMAND_SET_CARD_PROFILE
  * implement pactl set-card-profile
  * require autoconf 2.63
  * don't include full path in driver name.
  * mark a few more ALSA dB values as 'valid' for valgrind
  * add new function pa_card_suspend()
  * add new function pa_strna
  * fix copy'n'paste error
  * make gcc shut up a bit more
  * only reread volume if we actually have a good mixer. Closes #466
  * fix segfault when in record-only mode
  * make gcc shut up
  * rework logic how alsa sinks/sources/cards are named
  * fix minor memleak in prober
  * include PA_SINK_INVALID_STATE in all switch/case statements to make gcc shut up
  * rework module-hal-detect and make it use module-alsa-card instead of module-alsa-sink/-source
  * When resuming an OSS device ask for the very same fragment settings as we did the first time
  * add API pa_ncpus()
  * make rtstutter use pa_ncpus()
  * use pthread_setaffinity_np() only when it is available
  * don't overflow when we do digital amplification of 16 bit samples
  * add a simple abstraction for SIMD operations
  * Merge commit 'flameeyes/flameeyes'
  * drop --ltdl from the libtoolize invocation, since we don't ship ltdl anymore
  * allow sample spec/channel map to be queried for pa_resampler objects
  * maintain a pa_core state variable
  * teach module-rescue-streams and module-always-sink to not do anything if we are shutting down anyway
  * include list of sinks/source in card dump
  * in most cases we can use i->core instead of i->sink->core and o->coure instead of o->source->core
  * move sink input/source output move functions into two parts so that we can start the move, delete the original sink, create a new sink, finish the move; similar for source outputs
  * add functions to move all inputs of a sink away/similar for source outputs
  * make module-alsa-card move streams between the old and new sink/source, allowing 'hot' switching between profiles
  * add support for static mutexes
  * add generic rate limiting implementation
  * add pa_log_rate_limit()
  * use pa_log_ratelimit() at a few places
  * include a few HAL properties in our card/sink/source properties for ALSA devices
  * rate limit a warning
  * add a bitset implementation
  * implement new API functions pa_channel_map_can_balance(), pa_channel_map_to_name() and pa_channel_map_to_pretty_name()
  * implement pa_cvolume_scale()
  * check for availability of RLIMIT_NOFILE and RLIMIT_AS before we make use of it
  * make a few comments appear in doxygen
  * store requested resampling method in a seperate field and use it when create a new resampler after a move
  * remove redundant cast
  * show pretty channel map name if possible
  * invert an ill-placed assert
  * always define PA_MAJOR/PA_MINOR/PA_MICRO to ease feature checking in client applications
  * import version.h in all header files to make sure that version-based feature testing works
  * add a few missing doxygen comments
  * swap argument order of pa_cvolume_get_balance() to be a bit more systematic
  * allow samples to be played with 'default' (i.e. unspecified) volume.
  * get rid of module-flat-volumes since we are moving this into the core
  * fix size calculation
  * move flat volume logic into the core. while doing so add n_volume_steps field to sinks/sources
  * add new paramter ignore_dB= to alsa modules
  * add missing 'const'
  * when changing volume, store whether it is worth remembering or no
  * only store volume/device information that has been flagged for saving, and store both relative and absolute volumes
  * make m-p-e-s use pa_cvolume_set_balance()
  * instead of making the volume relative our own, let' pa_sink_input_new() do it for us
  * don't make m-e-s hit an assert when the latency is queried
  * add missing usage strings
  * make m-v-r a stub that simply load m-s-r
  * Merge commit 'coling/master'
  * print the right software volume
  * fix two typos
  * store the default sink/source in proper pa_sink*/pa_source* pointers instead of a string
  * Merge commit '12db687acf3befe485bfff3700111999c95247fa'
  * Merge commit 'origin/master-tx'
  * Run make update-po
  * make things compile again
  * add new functions pa_dbus_add_matches()/pa_dbus_remove_matches()
  * make use of new functions pa_dbus_add_matches/pa_dbus_remove_matches
  * get rid of nonsensical late initialization of namereg/scache and things
  * add some helpers for dealing with DBusPendingCall based on Mrc-Andre's work in module-bluetooth-discover
  * temporary commit of lennarts new bt changes
  * add missing files
  * properly deal with the case when l/r is silent when adjust balance
  * fix a bogus assert
  * implement pa_cvolume_{get|set}_fade
  * Add a little Gtk test tool to show how balance/fade/value and the channel volumes play together
  * Merge branch 'master' into lennartsbtfixes
  * add new function pa_alsa_get_driver_name()
  * include ALSA driver in properties for cards/sink
  * suppress lines made up only of whitespace
  * dump properties when we create a new sink or source
  * Merge branch 'master' into lennartsbtfixes
  * drop -Wpacked
  * implement pa_channel_map_can_fade
  * look for libpulse in multiple different places
  * allow passing of channel map on command line and hide unused sliders
  * check for NULL before accessing the name
  * use uintpr_t when casting between pointers and integers
  * work around dlsym() return value mistyping as suggested in POSIX
  * introduce PA_PROP_APPLICATION_PROCESS_MACHINE_ID
  * add a few new form factors
  * download everything from gitweb twice to make sure we don't get a 'Generating...' message
  * drop -pedantic
  * store the module index shifted by 1 to map PA_INVALID_INDEX to NULL
  * when determining the minimum volume of all sink inputs make sure to handle the case when there are no sink inputs correctly
  * try to use glib's g_get_application_name() to set PA_PROP_APPLICATION_NAME
  * set PA_PROP_WINDOW_X11_DISPLAY from :0.0 and initialize PA_PROP_APPLICATION_PROCESS_MACHINE_ID properly
  * add new functions pa_bluetooth_cleanup_name() and pa_bluetooth_get_form_factor()
  * Fix a few sink/source calls when they are called in suspended state.
  * shortcut pa_sink_process_rewind() when no rewind is happenning and none was requested
  * reset rewind_requested when we enter suspend mode
  * update sbc stuff
  * fix soft_mute handling
  * handle EAGAIN properly
  * whitespace cleanup
  * make rtp.h ANSI C compliant
  * big module-bluetooth-device.c rework
  * don't use PA_STREAM_NOT_MONOTONOUS anymore
  * pull in new SBC/BT files
  * make update-sbc should also update other BT related sources
  * make iterating with pa_idxset_next() robust in regards to idxset modifications
  * implement PA_STREAM_FAIL_ON_SUSPEND logic
  * add new error code PA_ERR_NOTIMPLEMENTED
  * make a few functions return void where the retval isn't used/never != 0
  * make a couple of functions return proper error codes
  * Merge commit 'origin/master-tx'
  * add a macro definition for each error code
  * before applying balance/fade check it actually makes sense
  * when moving a sink between sinks make volume relative
  * add new API pa_cvolume_compatible_with_channel_map()
  * add a bit of missing i18n
  * add a lot of validity checking
  * add pa_sample_size_of_format()
  * add new API pa_ascii_valid(), pa_ascii_filter()
  * fix up parser in pa_proplist_from_string() to handle escapes correctly; make pa_proplist_to_string() escape quotes properly
  * in addition to per-property env vars PULSE_PROP_xxx look for for a stringified PULSE_PROP env var
  * beef up proplist test a bit
  * simplify code a bit by using pa_sample_size_of_format()
  * rearrange a few things
  * make gcc shut up
  * add new calls pa_replace() and pa_unescape()
  * add a few additional validity checks
  * clarify things a bit
  * merge in properties earlier to make identification of streams from hooks easier
  * version all entries in the database
  * fix a validity check
  * properly handle failing stream creation
  * remove soft volume from pa_sink_input_new_info since it should be handled internally and automatically by the sink input
  * Merge commit 'coling/master'
  * Merge commit 'vudentz/master'
  * Merge commit 'flameeyes/flameeyes'
  * rate limit underrun messages
  * make pacmd work in a pipe
  * bump version and soname
  * run make update-po
  * store the identification key in the module-stream-restore.id property
  * add a .mailmap file for git shortlog
  * add a 'volume factor' that is implicitly multiplied into the volume of a sink input without being visible to the outside
  * make module-position-event-sounds use volume factor
  * handle default volume initialization properly
  * add pa_client_update_proplist() call
  * make return value of pa_{sink_input|source_output}_update_proplist() void
  * allow overwriting of process properties with environment variables
  * add missing hook
  * make native protocol use pa_{sink_input|source_output|card}_update_proplist()
  * parse ini-style sections properly
  * add new module-augment-properties module for augmenting properties from .desktop files
  * A few MacOS X portability fixes
  * add #defines for all enums that lacked it
  * Merge branch 'master-tx'
  * allow sending meta/policy events to clients
  * implement a module that corks music/video streams automatically when a phone call is active
  * make gcc 4.4 shut up
  * declare 'animation' stream role for Flash and suchlike
  * minor reformatting
  * Merge commit 'elmarco/bt-wip'
  * call _kill functions instead of _unlink since the latter should only be called be the stream implementor
  * addendum to f56da9893: don't crash when s->sink is NULL
  * instead of reparsing the rate module argument when changing profile, simply restore the originally requested sample_spec, this also makes sure the channel count is properly reset
  * some minor fixups
  * tabs are evil
  * properly free modargs object when init fails; don't abbreviate modargs in struct
  * make module-hal-detect pick up all cards even when they have no device 0
  * handle errors from BT service properly
  * prepare test2
  * run make update-po
  * the service fd is a stream socket, so handle things accordingly
  * minor service IO fixes
  * use the same service fd shutdown logic when destructing module and changing profile
  * don't claim that profile changes are always successful
  * don't try to recycle rtpoll objects
  * add full set of argument description
  * add a module that forwards cork/uncork requests to X11 as fake pause/resume key events
  * fix aiff channel mapping for 6 channels
  * we reinit proplist since the server will copy from client proplist anyway
  * drop check for PA_PROP_APPLICATION_NAME since often enough we can deduce this better from g_get_application_name()
  * make PA_GCC_PACKED and PA_GCC_MALLOC actually work
  * add definition for GCC style weak references
  * make PULSE_PROP env vars non-overriding but introduce PULSE_PROP_OVERRIDE for allowing overriding
  * properly read icon/application name/display from gtk/glib/gdk
  * ignore gtk-test
  * show whether gtk+ support is enabled after configure
  * document all currently known properties
  * add doxygen comment for PA_GCC_WEAKREF
  * unify ALSA mixer initialization
  * don't open the alsa devices in hw:xxx mode
  * bluetooth: fix message queue/rtpoll
  * bump required alsa version
  * allow pa to be run in a chroot() environment tht lacks /proc
  * simplify pa_alsa_init_proplist_pcm() a bit and include resolution bits in alsa device props
  * minor optimizations
  * refer folks to the ALSA devs, not us
  * allow importing of more memory blocks than exporting
  * if we fail to import a memblock fill in silence to guarantee stability of timing
  * export pa_match()
  * introduce pa_realpath()
  * export card information for sinks/sources and number of sinks/sources a profile would create to clients
  * handle both positive and negative errno's
  * additional validity check
  * additional validity check
  * make interpol-test useful for recording as well
  * add pa_timespec_load
  * modernize pa_msleep() a bit
  * split out mixer setup into seperate functions to make things more readable
  * Merge commit 'elmarco/legacy-dir'
  * Merge commit '38ded3bb31bc49664641965f856a35f432a8a956'
  * don't try to use weakref stuff on older compilers that don't really support it
  * make profile names translatable
  * make it easier to debug timing related problems
  * Make sure we actually call _() for translating profile names
  * add test tool for debugging broken timing in sound drivers
  * fix comment
  * big alsa module rework to make things more robust to broken sound drivers and make it easier to debug them
  * Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * Merge commit 'origin/master-tx'
  * run make update-po
  * simplify some code
  * tell gcc to ignore invalid gtk header files
  * split off foreign code into a convenience library to make gcc warnings go away
  * check for ENABLE_LEGACY_RUNTIME_DIR with #ifdef, not #if
  * add new property PA_PROP_APPLICATION_PROCESS_SESSION_ID and initialize it by default
  * introduce default channel map in addition to the default sample spec
  * print warnings about driver bugs at most once
  * prefer profiles that match the default channel map
  * fix wording, closes #484
  * make string translatable (fixes #483)
  * rework logging to make it more modular
  * make sure we don't choke on PULSE_PROP_OVERRIDE
  * make sure we don't choke on overly long lines in .desktop files
  * initialize selem index
  * rework suspending/resuming
  * prepare test for tracking down ens1371 issue
  * Allow passing a NULL proplist to pa_xxxx_update_proplist() to just fire a notification
  * a couple of boring updates
  * add new function pa_alsa_get_driver_name_by_pcm()
  *  add new wrapper pa_alsa_safe_delay() around snd_pcm_delay()
  * print driver name when we encounter driver bugs
  * use pa_alsa_safe_delay() where appropriate
  * allow scache entries to have arbitrary names
  * set esound.byte_order property
  * implement esd sample panning. closes #428
  * complete esd suspend/resume implementation
  * it's probably more appropriate to return the configured latency instead of the actual latency
  * fix handling of stereo
  * update gitignore
  * Merge commit 'coling/master'
  * introduce new well-known role 'a11y'
  * if ALSA gives us nonsensical data at least try to fix it up a little
  * in case alsa lies to use don't spin forever
  * implement device reservation scheme
  * update reserve.c from upstream git
  * don't put both the card and the pcm name in the description of a device if one contains the other
  * set reserve interface application device name
  * Merge commit 'origin/master-tx'
  * run make update-po
  * ignore tags file
  * Merge commit 'elmarco/shave'
  * make sure we check the sink status for PA_SINK_INPUT_FAIL_ON_SUSPEND only after module-suspend-on-idle had the chance to resume the device
  * hide shave in gitignore
  * forgot to bump the revision
  * try to vacuum a little when nothing is going on
  * revise list of form factors a little
  * when an underrun happens, increase watermark by 10ms instead of doubling it
  * when alsa tweaks our sample_spec make sure we adjust the watermark accordingly
  * Merge commit 'coling/master'
  * make example code a bit more robust/change-proof
  * introduce seperate vendor/product id fields
  * revise form factor list a bit, simplify and use singular everywhere
  * rename PA_PROP_DEVICE_CONNECTOR to PA_PROP_DEVICE_BUS
  * get additional device data from udev
  * add logic for initializing a useful icon name
  * For now don't list icon property (in favour of icon name property) since icon negotiation is probably much more complex (i.e. sizes...) than just putting icon data somewhere.
  * make dependency on udev versioned
  * Merge commit 'coling/master'
  * add update-shave target
  * run make update-shave
  * run update-reserve
  * run make update-sbc
  * run make update-ffmpeg
  * Merge commit 'coling/master'
  * properly handle directed card info requests
  * pass profile priority value to clients
  * Merge commit 'coling/lgpl21'
  * fix device reservation for system mode
  * document more closely from which context certain functions may be called
  * pa_xnew cannot fail -- that's what the x is in the name
  * various smaller cleanups
  * Fix a NULL pointer access when sutting down esound/simple connections
  * Don't allow suspending of monitor sources.
  * make suspend state of monitor source follow the suspend state of the sink it belongs to
  * fix handling of _suspend_all(), return first failure error code
  * handle negative error codes
  * print error code when suspend/resume fails
  * never try to suspend monitor sources, suspend the sinks they belong to instead
  * try more things to get a proper icon for sinks/sources
  * fix typo in FOREIGN_CFLAGS
  * Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * make interpol test more interesting by corking/uncorking multiple times
  * try to detect when stupid clients forks and refuse all service from then on
  * Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * Merge commit 'elmarco/bluetooth-fixes'
  * Merge commit 'origin/master-tx'
  * run make update-po
  * prepare release 0.9.15-test4
  * prepare test5
  * Merge commit 'elmarco/bluetooth-fixes'
  * Ignore HAL NoSuchProperty errors when looking for capabilities field. Closes rhbz #489394
  * deduce a proper icon for TV sets
  * Merge commit '2d903bae9a2e57f997a3d3f335379c3880f95c77'
  * get rid of setsockopt() calls since they have never been implemented upstream
  * document todo items discussed at bt meeting
  * fix prototypes of sbc functions a bit
  * Merge commit 'elmarco/bluetooth-fixes'
  * Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * Merge commit 'origin/master-tx'
  * unfuck i18n
  * document things that need to be fixed with FIXME
  * fix a comment
  * introduce pa_assert_fp() for fast path assertions
  * introduce pa_sink_input_get_relative_volume()
  * always remap relative volume properly
  * simply bluetooth nrec handling a bit
  * fix channel mapping for a52 devices. Closes #508
  * don't try to unref reserve stuff if we don't use it
  * fix prototypes of remaining sbc.[ch] API regarding size_t/const
  * rework bluetooth IO loops
  * fix a misplaced assert
  * make sure we dispatch messages in order
  * add pa_hook_is_firing
  * rework device discovery to share a single device list among all modules
  * at a couple of #ifdef NOKIAs for now
  * add functions that modules can call whenever they now the volume changed
  * readd volume control logic
  * Merge commit 'origin/master-tx'
  * enable bluetooth default by support
  * only store card profile if flagged for that
  * add pa_assert_cc() for compile time assertions
  * don't fail when no session bus is available
  * only decrease timer slack, never increase
  * simplify latency range by not allowing stored 'wildcard' ranges anymore
  * set request/rewind sizes only via accessor functions
  * minimal reordering
  * Allow calling pa_{sink|source}_update_proplist() without an actual proprlist
  * fix bad memory access when destroying m-b-d
  * get rid of 'default' min/max latencies, simplify things by just having absolute boundaries
  * make pa_source_set_max_rewind() work similar to pa_sink_set_max_rewind()
  * introduce new flag that marks sinks/sources which can adjust the latency dynamically
  * simplify things and make sure timing setters can be called in most contexts
  * link jack modules's max_request to the jack buffer size
  * set latency range only in tsched mode
  * don't fiddle with latency range because we cannot adjust it dynamically
  * Don't initialize userdata twice
  * again, don't fiddle with latency range in sinks with static latency
  * initialize max_request
  * don't fiddle with latency range in sources with static latency
  * initialize max_request to SO_SNDBUF
  * beef up esd sink properties a bit
  * trivial simplification
  * add simple ref counting debugging framework
  * don't show full so path in backtrace
  * optionally skip initial frames in backtrace
  * fix misplace _ref() calls that should have been _assert_ref()
  * fix value of DYNAMIC_LATENCY
  * use u->use_tsched everywhere
  * copy latency flags from sink to monitor source
  * add missing whitespace
  * on monitor source be fine with any latency range set by the sink
  * make sure the discovery module is only loaded once
  * add missing initialization
  * fix typo
  * Small fix for MacOSX compat
  * don't enabled tsched on software ALSA devices
  * Trigger move callback a little bit earlier so that no IO thread is running
  * simplify latency config functions a bit and make them callable in more contexts
  * document more often the context certain functions are called in
  * add pa_memblockq_apply_attr()/pa_memblockq_get_attr()
  * typo fix
  * notify clients about tlength changes
  * rework tunneling code
  * Merge commit 'origin/master'
  * Merge commit 'coling/master'
  * Use pa_source_set_max_rewind_within_thread() for updating the monitor source's max_rewind
  * Merge commit 'elmarco/dbus'
  * Merge commit 'elmarco/bluetooth-fixes'
  * introduce typedef for pa_bt_audio_state and use it everywhere
  * get rid of old 'Connected' property parsing and make sure we don't execute two case branches
  * make sure we always read in all properties
  * make sure we never access an invalid pa_bluetooth_device object
  * fix compiler warning
  * take org.pulseaudio.Server instead of org.pulseaudio to match the interface name already used in the HAL module
  * minor cleanups
  * allow nofail mode only when no server string was specified
  * Revert "make sure we always read in all properties"
  * explain ff7033c11d9248fe837204b03c8397231dc511fe
  * Merge commit 'origin/master-tx'
  * fix an error where a signal was accidently freed when it is tried to register it twice
  * update command name table
  * handle buffer_attr changed messages properly
  * Log underruns
  * be a bit more verbose about max_request changes
  * fix buffer defaults
  * add buffer_attr callback stuff to exported symbol list
  * in verbose mode log buffer attr changes
  * increase timing update interval exponentially
  * prepare test6
  * don't access i->sink if it is not set
  * pass destination source/sink when moving streams so that we can access them
  * prepare test7
  * load bt discover module only when installed
  * use machine id instead of hostname to identify local connections
  * properly account for seeks in the requested_bytes counter
  * plot the difference between system and sound card time
  * downgrade a few messages
  * Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * Merge commit 'origin/master-tx'
  * run make update-po
  * add missing files to POTFILES.in
  * refuse to initialize on modem devices
  * increase log buffer further
  * initialize sound cards only after the 'control' object appeared
  * Modify smoothing code to make cubic interpolation optional and allow 'quick fixups' on resuming
  * introduce pa_{sink|source}_get_latency_within_thread()
  * don't try to outsmart the transport
  * Fix a couple of races in native protocol
  * make it easy to disable interpolation in the interpolation test tool
  * Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * Merge commit 'origin/master-tx'
  * run make po-update
  * make sure we keep a reference of the bus connection during the whole runtime if we manage to acquire the bus name
  * be a bit more verbose about the busses we are connected to
  * don't fail device reservation if the D-Bus connection is dead
  * properly handle interpolation when queried x is left of last data position
  * extend documentation for pa_stream_cork() a bit
  * Make sure we don't get stuck when prebuf is too high
  * make sure we don't apply sampling rate fixes that bring the sampling freq > PA_RATE_MAX
  * enable debugging output based on if DEBUG_DATA macro is set
  * add suspend_within_thread() callbacks to pa_sink_input/pa_source_output
  * send the source latency based on the MTU size
  * adjust max_rewind/max_request whenever the latency changes
  * mark null sink as support dynamic latency
  * make use of SO_TIMESTAMP timestamp for accuracy and leave smoother paused until we have data
  * If the sink volume is lowered to 0 and then increased again, make sure all stream volumes follow instead of staying at 0
  * compare with doubles, not integer
  * reduce number of conversions to/from linear volumes
  * we need to make our multiplications with linear values
  * after propagating a sink volume change to the sink inputs recalculate their soft volumes
  * update documentation regarding stream timing a bit
  * print smallest attenuation/sample
  * when calculating volume from dB use ceil()
  * introduce relative_volume field in sink_input and make use of it on sink flat volume change
  * bluetooth: make sure to set max_request
  * interpol-test: make it easier to test corking only optionally
  * bluetooth: memory leak, actually free discovery struct itself
  * dbus: memory leak, free server id after use
  * dbus: memory leak, free pending calls
  * socket-server: memory leak, free machine id after use
  * protocol-native: print underrun message only once for each underrun
  * protocol-native: downgrade message if we receive pcm block for dead stream
  * dbus: drop pa_ prefix from static symbol
  * dbus: memory leak, actually free dbus wrapper
  * core: memory leak, fix ref counting when moving streams
  * core: add a seperate fixed_latency field for sinks/sources with fixed latency
  * bluetooth: rename sco to hsp also for the user
  * bluetooth: be a bit more verbose if we exit due to bad poll() revents flag
  * bluetooth: rework timing logic, properly implement latency callbacks
  * bluetooth: when starting up HSP stream, send 2 packets first, only afterwards enter one-read-one-write logic
  * alsa: when printing warning about bogus data from alsa include snd_pcm_dump()
  * Merge commit 'origin/master-tx'
  * run make update-po
  * set fixed latencies at more places where appropriate
  * prepare another snapshot
  * add missing languages to LINGUAS
  * Downgrade default log level to NOTICE to follow documentation
  * make sure we never overflow when calculating sleep time
  * lirc: drop lirc_in_use, it's made redundant by PA_MODULE_LOAD_ONCE
  * api: introduce PA_VOLUME_MAX
  * lirc, mmkbd: extend controllable volume range to PA_VOLUME_MAX
  * mmkbd,lirc: make use of pa_assert_not_reached()
  * mmkbd: get rid of support for ancient kernels
  * lirc: fix logic behind mute buttons
  * cork-music-on-phone: make sure that we don't check the refcnt of pa_core when the daemon goes down
  * core-util: add pa_session_id()
  * core-util: filter utf8 in pa_machine_id()
  * print session id when starting up
  * client-conf: modernize a few things
  * proplist-util: use pa_session_id() instead of accessing 7b816367b01393ed3e3e650047d78f6e-1239640487.203609-1061245823 directly
  * client-conf: make setting a default server independant from the autospawn setting
  * client-conf: when  is set, disable autospawn setting
  * client-conf-x11: unbreak autospawn due to stale X11 properties
  * volume: increase dB range to -90dB
  * alsa: when passing emptry mixer control name, force sw volume
  * alsa: store mixer controls to use in profile data
  * alsa: include the alsa mixer control that is used in the property list
  * core: introduce new 'reference' volume for sinks
  * Merge commit 'origin/master-tx'
  * update LINGUAS
  * run make update-po
  * sort LINGUAS
  * core: use pa_{source|sink}_get_latency_within_thread() at one more place
  * pacat: add missing newline
  * core: when applying delay memblockq take monitored sink latency into account
  * bump version for final 0.9.15 release
  * explcitly ignore return values of some functions marked with gcc's warn_unused_result attribute
  * add a few missing initializations
  * rescue-streams: when one stream move fails try to continue with the remaining ones
  * core-util: handle EINTR already inside of pa_read/pa_write
  * object: keep refcount at 1 while destructing objects
  * util: if NULL is passed to pa_path_get_filename() just hand it through
  * log: print file name only when we have it
  * log: use pa_logl() instead of pa_log_level()
  * alsa: properly convert return values of snd_strerror() to utf8
  * alsa: remove debug code
  * object: fix ref counting of objects on destruction
  * object: revert to old unref() behaviour
  * llist: add PA_LLIST_FOREACH
  * mutex: when we fail to fill in mutex into static mutex ptr free it again
  * mutex: add initializer for static mutexes
  * semaphore: introduce static semaphores
  * memtrap: add new logic to trap and handle SIGBUS
  * memtrap: when we fail to handle sigbus say so
  * memtrap: make installation of SIGBUS handler explicit to ease integration into libraries
  * memtrap: hook up core to memtrap system
  * memtrap: fix parameter type
  * memtrap: add a bit of documentation for memtrap
  * Merge commit 'origin/master-tx'
  * i18n: add missing file to LINGUAS ... again
  * i18n: run make update-po
  * memtrap,aupdate: split atomic update from memtrap into seperate aupdate framework
  * start-pulseaudio-x11: don't start a local sound server if a remote sound server is configured
  * build-system: run make update-shave
  * build-system: hide .version from git
  * build-system: move x11 and jack modules into subdirectories
  * idxset: add enumeration macro PA_IDXSET_FOREACH
  * strbuf: add new call pa_strbuf_putc()
  * shm: page align shm size when mmap()ing it
  * shm: minor modernizations
  * macro: add new macro pa_align_ptr()
  * macro: make pa_page_align roung up instead of down
  * memtrap: implicitly page align memory areas
  * core-util: introduce pa_get_host_name_malloc() and pa_get_user_name_malloc()
  * protocol-native,proplist-util: port to pa_get_{user|host}_name_malloc()
  * alsa: allow configuration of fallback device strings in profiles
  * protocol-http: substantial modernizations
  * simple-protocol: don't hit an assert when we call connection_unlink() early
  * ioline: add callback that can be called when the ioline object is fully drained
  * ioline: add new calls pa_ioline_detach_iochannel() and pa_ioline_is_drained()
  * protocol-http: allow listening into sinks/sources via HTTP
  * http: split out mime type handling calls
  * rygel: add module that interfaces with Rygel UPnP
  * rygel: make server name configurable
  * parseaddr: add new call pa_is_ip_address()
  * strlist: add new calls pa_strlist_{next|data}()
  * http: export information about currently active server strings
  * rygel: instead of always handing out wildcard address find out the actual address we are listening on
  * rygel: get rid of forgotten debug trap
  * headers: minor cleanups
  * zeroconf: computer native protocol port automatically
  * zeroconf: copy more sink/source properties into DNS-SD TXT data
  * zeroconf: use pa_get_{user|host}_name_malloc() where applicable
  * alsa: don't hit an assert when invalid module arguments are passed
  * sample: correctly pass s24-32 formats
  * zeroconf: properly unref native protocol object
  * endian: fix LE/BE order for 24 bit accessor functions
  * sample-util: properly allocate silence block for s24-32 formats
  * sample-util: fix iteration loop when adjusting volume of s24 samples
  * alsa: initialize buffer size before number of periods to improve compat with some backends
  * resampler-test: use global PA_FLOAT32_SWAP implementation
  * resampler-test: add tests for 24bit sample formats
  * sconv: fix a few minor conversion issues
  * macro: add macros for initializing memory
  * core: introduce pa_{sink,source}_set_fixed_latency()
  * core: make sure we fix up flags/monitor flags already in pa_sink_new() instead of pa_sink_put()
  * core: cache requested latency only when we are running, not while we are still constructing
  * core: liberalize 99a6a4 a bit
  * channelmap: add pa_channel_map_has_position()
  * mime: drop additional whitespace from mime types
  * upnp: fix URL of MediaServer spec
  * upnp: update to newest spec, generate 'Updated' signal
  * upnp: properly issue method not found exception when we don't now it
  * upnp: use new rygel @HOSTNAME@ wildcard for server name
  * upnp: rework property handling
  * git: activate default commit hook
  * http: fix segfault on connection termination
  * alsa: include mixer name in sink/source properties
  * core: automatically add icons for headsets/headphones/speakers for devices
  * volume: introduce pa_cvolume_{get|set}_position()
  * database: add abstracted database API
  * database: add gdbm backend
  * database: add tdb backend
  * macro: include string.h because we need it for memset
  * database: port restore modules to new database API
  * alsa: be a bit more verbose when a hwparam call fails
  * upnp: implement item-count/container-count properties
  * rescue: make we don't end up in an endless loop when we can't move a sink input
  * upnp: convert all property names to CamelCase to follow D-Bus spec
  * shm: rework alignment when punching memory
  * upnp: update to newest spec
  * upnp: s/url/URL/ in GetAll() D-Bus call
  * volume: change pa_volume_t mapping to cubic
  * tests: show dB in volume-ui.py
  * core-util: fall back to sysconf(_SC_OPEN_MAX) to find maximum file descriptor
  * channelmap: document how apple's/microsoft's channel names map to ours
  * upnp: s/org.Rygel./org.gnome.UPnP/ following the newest version of the spec
  * sample: introduce pa_sample_format_is_{le,be,ne,re}()
  * sample: introduce pa_proplist_setp()
  * channelmap: introduce pa_channel_map_mask() and pa_channel_position_mask_t
  * proplist: add two new generic properties, media.copyright and media.software
  * map-file: add missing channel map/cvolume position functions
  * volume: implement pa_cvolume_{scale|max|avg}_mask()
  * cli: allow easy repeating of commands with '/'
  * core-util: introduce pa_disable_sigpipe()
  * sndfile: big rework of libsndfile interfacing code
  * alsa: fix wording, we are speaking of card profiles, not output profiles
  * oss: don't deadlock when we try to resume an OSS device that lacks a mixer
  * libpulse: introduce PA_CHECK_VERSION macro
  * modargs: introduce pa_modargs_get_proplist()
  * simple: set ADJUST_LATENCY by default
  * null: introduce sink_properties= argument
  * Merge commit 'flameeyes/master'
  * modules: add {sink|source|card}_properties argument to all modules
  * modules: introduce PA_MODULE_DEPRECATED() macro for marking modules deprecated
  * Merge branch 'master' of ssh://rootserver/home/lennart/git/public/pulseaudio
  * utils: use pa_path_get_filename() where applicable
  * tdb: include signal.h before tdb.h for compat reasons
  * reserve: update reserve.[ch] from upstream git
  * reserve: wrap device reservation monitor reference implementation
  * core: add a suspend cause flags field
  * alsa: monitor device reservation status and resume automatically when device becomes unused
  * augment: try to deduce the media role from the menu category
  * rtp: remove gcc warning
  * udev: add module-udev-detect for discovering and configuring devices
  * hal,udev: deprecate HAL support in favour of udev
  * hashmap: introduce PA_HASHMAP_FOREACH macro
  * core: suppress suspending/resume when we are already in the right state
  * core: monitor sources need to inherit the suspend cause from their sinks
  * udev: try to unsuspend devices whenever they are closed by other processes
  * build-sys: bump libsndfile dependency
  * udev: properly initialize userdata to 0
  * daemon: optionally call mlockall() on startup
  * conf: remove obsolete module-idle-time directive from default config file/man page
  * man: document log related daemon.conf options
  * man: document 24bit sample types in man page
  * man: document that tsched doesn't use fragment settings
  * rtstutter: increase log level by default
  * core: make sure soft mute status stays in sync with hw mute status
  * core: replace tabs by spaces
  * Merge commit 'origin/master-tx'
  * i18n: update po data
  * prop: introduce new PA_PROP_DEVICE_INTENDED_ROLES property
  * udev: reshuffle the properties we read from udev a bit
  * sample: fix build on BE archs
  * alsa: fix bad memory access for devices that lack a mixer
  * daemon: write a warning blurb to syslog when folks use --system mode
  * idxset: implement pa_idxset_copy()
  * hashmap: implement api to iterate a hashmap backwards
  * hashmap: implement pa_hashmap_last()
  * volume: implement functions for multiplicating a cvolume with a scalar
  * channelmap: implement pa_channel_position_from_string()
  * version: fix prefix in PA_CHECK_VERSION macro
  * channelmap: make sure a mask is generated is 64 bit int
  * malloc: implement pa_xrenew()
  * channelmap: define a couple of standard channel masks
  * volume,channelmap: reimplement a couple of calls based on channel masks
  * conf-parse: implement .include directive
  * core-util: implement pa_xstrfreev()
  * core-util: implement pa_split_spaces_strv()
  * core-util: implement pa_maybe_prefix_path()
  * rtp: fix s/recieve/receive/ typo
  * card: some modernizations
  * card: make sure to always hand failure code back in some calls
  * card: get rid of description field which is unused
  * gdbm: set default block size to 1K
  * pstream: fix s/recieve/receive/ typos
  * pdispatch: fix s/recieve/receive/ typos
  * alsa: rework mixer logic
  * alsa: allow placing device id in alsa device strings at arbitrary positions
  * bluetooth: return sensible error code in set_profile()
  * native: implement command to change sink/source port
  * libpulse: implement client side for sink/source port selection commands
